searchData={"items":[{"type":"module","title":"GoogleApi.AndroidPublisher.V2","doc":"API client metadata for GoogleApi.AndroidPublisher.V2.","ref":"GoogleApi.AndroidPublisher.V2.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.discovery_revision/0","doc":"","ref":"GoogleApi.AndroidPublisher.V2.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V2.Api.Purchases","doc":"API calls for all endpoints tagged `Purchases`.","ref":"GoogleApi.AndroidPublisher.V2.Api.Purchases.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Api.Purchases.androidpublisher_purchases_products_get/6","doc":"Checks the purchase and consumption status of an inapp item.","ref":"GoogleApi.AndroidPublisher.V2.Api.Purchases.html#androidpublisher_purchases_products_get/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V2.Api.Purchases.androidpublisher_purchases_products_get/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V2.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - The package name of the application the inapp product was sold in (for example, 'com.some.thing').\n*   `product_id` (*type:* `String.t`) - The inapp product SKU (for example, 'com.some.thing.inapp1').\n*   `token` (*type:* `String.t`) - The token provided to the user's device when the inapp product was purchased.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V2.Api.Purchases.html#androidpublisher_purchases_products_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V2.Api.Purchases.androidpublisher_purchases_products_get/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V2.Model.ProductPurchase{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V2.Api.Purchases.html#androidpublisher_purchases_products_get/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Api.Purchases.androidpublisher_purchases_voidedpurchases_list/4","doc":"Lists the purchases that were canceled, refunded or charged-back.","ref":"GoogleApi.AndroidPublisher.V2.Api.Purchases.html#androidpublisher_purchases_voidedpurchases_list/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V2.Api.Purchases.androidpublisher_purchases_voidedpurchases_list/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V2.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - The package name of the application for which voided purchases need to be returned (for example, 'com.some.thing').\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:alt` (*type:* `String.t`) - Data format for the response.\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters.\n    *   `:userIp` (*type:* `String.t`) - Deprecated. Please use quotaUser instead.\n    *   `:endTime` (*type:* `String.t`) - The time, in milliseconds since the Epoch, of the newest voided purchase that you want to see in the response. The value of this parameter cannot be greater than the current time and is ignored if a pagination token is set. Default value is current time. Note: This filter is applied on the time at which the record is seen as voided by our systems and not the actual voided time returned in the response.\n    *   `:maxResults` (*type:* `integer()`) - \n    *   `:startIndex` (*type:* `integer()`) - \n    *   `:startTime` (*type:* `String.t`) - The time, in milliseconds since the Epoch, of the oldest voided purchase that you want to see in the response. The value of this parameter cannot be older than 30 days and is ignored if a pagination token is set. Default value is current time minus 30 days. Note: This filter is applied on the time at which the record is seen as voided by our systems and not the actual voided time returned in the response.\n    *   `:token` (*type:* `String.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V2.Api.Purchases.html#androidpublisher_purchases_voidedpurchases_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V2.Api.Purchases.androidpublisher_purchases_voidedpurchases_list/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V2.Model.VoidedPurchasesListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V2.Api.Purchases.html#androidpublisher_purchases_voidedpurchases_list/4-returns"},{"type":"module","title":"GoogleApi.AndroidPublisher.V2.Connection","doc":"Handle Tesla connections for GoogleApi.AndroidPublisher.V2.","ref":"GoogleApi.AndroidPublisher.V2.Connection.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V2.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#get/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#head/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V2.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V2.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V2.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#options/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#post/4"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#put/4"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.AndroidPublisher.V2.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.AndroidPublisher.V2.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.AndroidPublisher.V2.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.AndroidPublisher.V2.Connection.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V2.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V2.Model.PageInfo","doc":"","ref":"GoogleApi.AndroidPublisher.V2.Model.PageInfo.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V2.Model.PageInfo","doc":"*   `resultPerPage` (*type:* `integer()`, *default:* `nil`) - \n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - \n*   `totalResults` (*type:* `integer()`, *default:* `nil`) -","ref":"GoogleApi.AndroidPublisher.V2.Model.PageInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Model.PageInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V2.Model.PageInfo.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V2.Model.PageInfo.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V2.Model.PageInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V2.Model.ProductPurchase","doc":"A ProductPurchase resource indicates the status of a user's inapp product purchase.","ref":"GoogleApi.AndroidPublisher.V2.Model.ProductPurchase.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V2.Model.ProductPurchase","doc":"*   `consumptionState` (*type:* `integer()`, *default:* `nil`) - The consumption state of the inapp product. Possible values are:  \n    - Yet to be consumed \n    - Consumed\n*   `developerPayload` (*type:* `String.t`, *default:* `nil`) - A developer-specified string that contains supplemental information about an order.\n*   `kind` (*type:* `String.t`, *default:* `androidpublisher#productPurchase`) - This kind represents an inappPurchase object in the androidpublisher service.\n*   `orderId` (*type:* `String.t`, *default:* `nil`) - The order id associated with the purchase of the inapp product.\n*   `purchaseState` (*type:* `integer()`, *default:* `nil`) - The purchase state of the order. Possible values are:  \n    - Purchased \n    - Canceled \n    - Pending\n*   `purchaseTimeMillis` (*type:* `String.t`, *default:* `nil`) - The time the product was purchased, in milliseconds since the epoch (Jan 1, 1970).\n*   `purchaseType` (*type:* `integer()`, *default:* `nil`) - The type of purchase of the inapp product. This field is only set if this purchase was not made using the standard in-app billing flow. Possible values are:  \n    - Test (i.e. purchased from a license testing account) \n    - Promo (i.e. purchased using a promo code) \n    - Rewarded (i.e. from watching a video ad instead of paying)","ref":"GoogleApi.AndroidPublisher.V2.Model.ProductPurchase.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Model.ProductPurchase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V2.Model.ProductPurchase.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V2.Model.ProductPurchase.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V2.Model.ProductPurchase.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V2.Model.TokenPagination","doc":"","ref":"GoogleApi.AndroidPublisher.V2.Model.TokenPagination.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V2.Model.TokenPagination","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - \n*   `previousPageToken` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.AndroidPublisher.V2.Model.TokenPagination.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Model.TokenPagination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V2.Model.TokenPagination.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V2.Model.TokenPagination.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V2.Model.TokenPagination.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V2.Model.VoidedPurchase","doc":"A VoidedPurchase resource indicates a purchase that was either canceled/refunded/charged-back.","ref":"GoogleApi.AndroidPublisher.V2.Model.VoidedPurchase.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V2.Model.VoidedPurchase","doc":"*   `kind` (*type:* `String.t`, *default:* `androidpublisher#voidedPurchase`) - This kind represents a voided purchase object in the androidpublisher service.\n*   `purchaseTimeMillis` (*type:* `String.t`, *default:* `nil`) - The time at which the purchase was made, in milliseconds since the epoch (Jan 1, 1970).\n*   `purchaseToken` (*type:* `String.t`, *default:* `nil`) - The token which uniquely identifies a one-time purchase or subscription. To uniquely identify subscription renewals use order_id (available starting from version 3 of the API).\n*   `voidedTimeMillis` (*type:* `String.t`, *default:* `nil`) - The time at which the purchase was canceled/refunded/charged-back, in milliseconds since the epoch (Jan 1, 1970).","ref":"GoogleApi.AndroidPublisher.V2.Model.VoidedPurchase.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Model.VoidedPurchase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V2.Model.VoidedPurchase.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V2.Model.VoidedPurchase.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V2.Model.VoidedPurchase.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V2.Model.VoidedPurchasesListResponse","doc":"","ref":"GoogleApi.AndroidPublisher.V2.Model.VoidedPurchasesListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V2.Model.VoidedPurchasesListResponse","doc":"*   `pageInfo` (*type:* `GoogleApi.AndroidPublisher.V2.Model.PageInfo.t`, *default:* `nil`) - \n*   `tokenPagination` (*type:* `GoogleApi.AndroidPublisher.V2.Model.TokenPagination.t`, *default:* `nil`) - \n*   `voidedPurchases` (*type:* `list(GoogleApi.AndroidPublisher.V2.Model.VoidedPurchase.t)`, *default:* `nil`) -","ref":"GoogleApi.AndroidPublisher.V2.Model.VoidedPurchasesListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V2.Model.VoidedPurchasesListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V2.Model.VoidedPurchasesListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V2.Model.VoidedPurchasesListResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V2.Model.VoidedPurchasesListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3","doc":"API client metadata for GoogleApi.AndroidPublisher.V3.","ref":"GoogleApi.AndroidPublisher.V3.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.discovery_revision/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Api.Applications","doc":"API calls for all endpoints tagged `Applications`.","ref":"GoogleApi.AndroidPublisher.V3.Api.Applications.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Applications.androidpublisher_applications_data_safety/4","doc":"Writes the Safety Labels declaration of an app.","ref":"GoogleApi.AndroidPublisher.V3.Api.Applications.html#androidpublisher_applications_data_safety/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Applications.androidpublisher_applications_data_safety/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. Package name of the app.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Applications.html#androidpublisher_applications_data_safety/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Applications.androidpublisher_applications_data_safety/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Applications.html#androidpublisher_applications_data_safety/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Applications.androidpublisher_applications_device_tier_configs_create/4","doc":"Creates a new device tier config for an app.","ref":"GoogleApi.AndroidPublisher.V3.Api.Applications.html#androidpublisher_applications_device_tier_configs_create/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Applications.androidpublisher_applications_device_tier_configs_create/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:allowUnknownDevices` (*type:* `boolean()`) - Whether the service should accept device IDs that are unknown to Play's device catalog.\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.DeviceTierConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Applications.html#androidpublisher_applications_device_tier_configs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Applications.androidpublisher_applications_device_tier_configs_create/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.DeviceTierConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Applications.html#androidpublisher_applications_device_tier_configs_create/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Applications.androidpublisher_applications_device_tier_configs_get/5","doc":"Returns a particular device tier config.","ref":"GoogleApi.AndroidPublisher.V3.Api.Applications.html#androidpublisher_applications_device_tier_configs_get/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Applications.androidpublisher_applications_device_tier_configs_get/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `device_tier_config_id` (*type:* `String.t`) - Required. Id of an existing device tier config.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Applications.html#androidpublisher_applications_device_tier_configs_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Applications.androidpublisher_applications_device_tier_configs_get/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.DeviceTierConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Applications.html#androidpublisher_applications_device_tier_configs_get/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Applications.androidpublisher_applications_device_tier_configs_list/4","doc":"Returns created device tier configs, ordered by descending creation time.","ref":"GoogleApi.AndroidPublisher.V3.Api.Applications.html#androidpublisher_applications_device_tier_configs_list/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Applications.androidpublisher_applications_device_tier_configs_list/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of device tier configs to return. The service may return fewer than this value. If unspecified, at most 10 device tier configs will be returned. The maximum value for this field is 100; values above 100 will be coerced to 100. Device tier configs will be ordered by descending creation time.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListDeviceTierConfigs` call. Provide this to retrieve the subsequent page.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Applications.html#androidpublisher_applications_device_tier_configs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Applications.androidpublisher_applications_device_tier_configs_list/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ListDeviceTierConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Applications.html#androidpublisher_applications_device_tier_configs_list/4-returns"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery","doc":"API calls for all endpoints tagged `Apprecovery`.","ref":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.androidpublisher_apprecovery_add_targeting/5","doc":"Incrementally update targeting for a recovery action. Note that only the criteria selected during the creation of recovery action can be expanded.","ref":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.html#androidpublisher_apprecovery_add_targeting/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Apprecovery.androidpublisher_apprecovery_add_targeting/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. Package name of the app for which recovery action is to be updated.\n*   `app_recovery_id` (*type:* `String.t`) - Required. ID corresponding to the app recovery action.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.AddTargetingRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.html#androidpublisher_apprecovery_add_targeting/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Apprecovery.androidpublisher_apprecovery_add_targeting/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.AddTargetingResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.html#androidpublisher_apprecovery_add_targeting/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.androidpublisher_apprecovery_app_recoveries/4","doc":"List all app recovery action resources associated with a particular package name and app version.","ref":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.html#androidpublisher_apprecovery_app_recoveries/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Apprecovery.androidpublisher_apprecovery_app_recoveries/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. Package name of the app for which list of recovery actions is requested.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:versionCode` (*type:* `String.t`) - Required. Version code targeted by the list of recovery actions.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.html#androidpublisher_apprecovery_app_recoveries/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Apprecovery.androidpublisher_apprecovery_app_recoveries/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ListAppRecoveriesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.html#androidpublisher_apprecovery_app_recoveries/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.androidpublisher_apprecovery_cancel/5","doc":"Cancel an already executing app recovery action. Note that this action changes status of the recovery action to CANCELED.","ref":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.html#androidpublisher_apprecovery_cancel/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Apprecovery.androidpublisher_apprecovery_cancel/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. Package name of the app for which recovery action cancellation is requested.\n*   `app_recovery_id` (*type:* `String.t`) - Required. ID corresponding to the app recovery action.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.html#androidpublisher_apprecovery_cancel/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Apprecovery.androidpublisher_apprecovery_cancel/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.html#androidpublisher_apprecovery_cancel/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.androidpublisher_apprecovery_create/4","doc":"Create an app recovery action with recovery status as DRAFT. Note that this action does not execute the recovery action.","ref":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.html#androidpublisher_apprecovery_create/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Apprecovery.androidpublisher_apprecovery_create/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. Package name of the app on which recovery action is performed.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.CreateDraftAppRecoveryRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.html#androidpublisher_apprecovery_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Apprecovery.androidpublisher_apprecovery_create/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.AppRecoveryAction{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.html#androidpublisher_apprecovery_create/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.androidpublisher_apprecovery_deploy/5","doc":"Deploy an already created app recovery action with recovery status DRAFT. Note that this action activates the recovery action for all targeted users and changes its status to ACTIVE.","ref":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.html#androidpublisher_apprecovery_deploy/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Apprecovery.androidpublisher_apprecovery_deploy/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. Package name of the app for which recovery action is deployed.\n*   `app_recovery_id` (*type:* `String.t`) - Required. ID corresponding to the app recovery action to deploy.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.html#androidpublisher_apprecovery_deploy/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Apprecovery.androidpublisher_apprecovery_deploy/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Apprecovery.html#androidpublisher_apprecovery_deploy/5-returns"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Api.Edits","doc":"API calls for all endpoints tagged `Edits`.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_addexternallyhosted/5","doc":"Creates a new APK without uploading the APK itself to Google Play, instead hosting the APK at a specified URL. This function is only available to organizations using Managed Play whose application is configured to restrict distribution to the organizations.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_addexternallyhosted/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_addexternallyhosted/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_addexternallyhosted/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_addexternallyhosted/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_addexternallyhosted/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_list/5","doc":"Lists all current APKs of the app and edit.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_list/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_list/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_list/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ApksListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_list/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_upload/5","doc":"Uploads an APK and adds to the current edit.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_upload/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_upload/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_upload/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_upload/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Apk{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_upload/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_upload_iodata/8","doc":"Uploads an APK and adds to the current edit.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_upload_iodata/8"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_upload_iodata/8","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `String.t`) - string metadata\n*   `data` (*type:* `iodata`) - Content to upload, as a string or iolist\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_upload_iodata/8-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_upload_iodata/8","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Apk{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_upload_iodata/8-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_upload_resumable/6","doc":"Uploads an APK and adds to the current edit.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_upload_resumable/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_upload_resumable/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"resumable\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_upload_resumable/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_upload_resumable/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_upload_resumable/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_upload_simple/8","doc":"Uploads an APK and adds to the current edit.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_upload_simple/8"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_upload_simple/8","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `String.t`) - string metadata\n*   `data` (*type:* `String.t`) - Path to file containing content to upload\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_upload_simple/8-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_apks_upload_simple/8","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Apk{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_apks_upload_simple/8-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_bundles_list/5","doc":"Lists all current Android App Bundles of the app and edit.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_bundles_list/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_bundles_list/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_bundles_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_bundles_list/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.BundlesListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_bundles_list/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_bundles_upload/5","doc":"Uploads a new Android App Bundle to this edit. If you are using the Google API client libraries, please increase the timeout of the http request before calling this endpoint (a timeout of 2 minutes is recommended). See [Timeouts and Errors](https://developers.google.com/api-client-library/java/google-api-java-client/errors) for an example in java.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_bundles_upload/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_bundles_upload/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:ackBundleInstallationWarning` (*type:* `boolean()`) - Must be set to true if the app bundle installation may trigger a warning on user devices (for example, if installation size may be over a threshold, typically 100 MB).\n    *   `:deviceTierConfigId` (*type:* `String.t`) - Device tier config (DTC) to be used for generating deliverables (APKs). Contains id of the DTC or \"LATEST\" for last uploaded DTC.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_bundles_upload/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_bundles_upload/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Bundle{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_bundles_upload/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_bundles_upload_iodata/8","doc":"Uploads a new Android App Bundle to this edit. If you are using the Google API client libraries, please increase the timeout of the http request before calling this endpoint (a timeout of 2 minutes is recommended). See [Timeouts and Errors](https://developers.google.com/api-client-library/java/google-api-java-client/errors) for an example in java.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_bundles_upload_iodata/8"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_bundles_upload_iodata/8","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `String.t`) - string metadata\n*   `data` (*type:* `iodata`) - Content to upload, as a string or iolist\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:ackBundleInstallationWarning` (*type:* `boolean()`) - Must be set to true if the app bundle installation may trigger a warning on user devices (for example, if installation size may be over a threshold, typically 100 MB).\n    *   `:deviceTierConfigId` (*type:* `String.t`) - Device tier config (DTC) to be used for generating deliverables (APKs). Contains id of the DTC or \"LATEST\" for last uploaded DTC.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_bundles_upload_iodata/8-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_bundles_upload_iodata/8","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Bundle{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_bundles_upload_iodata/8-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_bundles_upload_resumable/6","doc":"Uploads a new Android App Bundle to this edit. If you are using the Google API client libraries, please increase the timeout of the http request before calling this endpoint (a timeout of 2 minutes is recommended). See [Timeouts and Errors](https://developers.google.com/api-client-library/java/google-api-java-client/errors) for an example in java.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_bundles_upload_resumable/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_bundles_upload_resumable/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"resumable\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:ackBundleInstallationWarning` (*type:* `boolean()`) - Must be set to true if the app bundle installation may trigger a warning on user devices (for example, if installation size may be over a threshold, typically 100 MB).\n    *   `:deviceTierConfigId` (*type:* `String.t`) - Device tier config (DTC) to be used for generating deliverables (APKs). Contains id of the DTC or \"LATEST\" for last uploaded DTC.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_bundles_upload_resumable/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_bundles_upload_resumable/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_bundles_upload_resumable/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_bundles_upload_simple/8","doc":"Uploads a new Android App Bundle to this edit. If you are using the Google API client libraries, please increase the timeout of the http request before calling this endpoint (a timeout of 2 minutes is recommended). See [Timeouts and Errors](https://developers.google.com/api-client-library/java/google-api-java-client/errors) for an example in java.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_bundles_upload_simple/8"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_bundles_upload_simple/8","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `String.t`) - string metadata\n*   `data` (*type:* `String.t`) - Path to file containing content to upload\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:ackBundleInstallationWarning` (*type:* `boolean()`) - Must be set to true if the app bundle installation may trigger a warning on user devices (for example, if installation size may be over a threshold, typically 100 MB).\n    *   `:deviceTierConfigId` (*type:* `String.t`) - Device tier config (DTC) to be used for generating deliverables (APKs). Contains id of the DTC or \"LATEST\" for last uploaded DTC.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_bundles_upload_simple/8-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_bundles_upload_simple/8","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Bundle{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_bundles_upload_simple/8-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_commit/5","doc":"Commits an app edit.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_commit/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_commit/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:changesNotSentForReview` (*type:* `boolean()`) - Indicates that the changes in this edit will not be reviewed until they are explicitly sent for review from the Google Play Console UI. These changes will be added to any other changes that are not yet sent for review.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_commit/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_commit/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.AppEdit{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_commit/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_countryavailability_get/6","doc":"Gets country availability.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_countryavailability_get/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_countryavailability_get/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `track` (*type:* `String.t`) - The track to read from.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_countryavailability_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_countryavailability_get/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.TrackCountryAvailability{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_countryavailability_get/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_delete/5","doc":"Deletes an app edit.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_delete/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_delete/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_delete/5","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_delete/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_deobfuscationfiles_upload/7","doc":"Uploads a new deobfuscation file and attaches to the specified APK.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_deobfuscationfiles_upload/7"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_deobfuscationfiles_upload/7","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Unique identifier for the Android app.\n*   `edit_id` (*type:* `String.t`) - Unique identifier for this edit.\n*   `apk_version_code` (*type:* `integer()`) - The version code of the APK whose Deobfuscation File is being uploaded.\n*   `deobfuscation_file_type` (*type:* `String.t`) - The type of the deobfuscation file.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_deobfuscationfiles_upload/7-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_deobfuscationfiles_upload/7","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFilesUploadResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_deobfuscationfiles_upload/7-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_deobfuscationfiles_upload_iodata/10","doc":"Uploads a new deobfuscation file and attaches to the specified APK.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_deobfuscationfiles_upload_iodata/10"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_deobfuscationfiles_upload_iodata/10","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Unique identifier for the Android app.\n*   `edit_id` (*type:* `String.t`) - Unique identifier for this edit.\n*   `apk_version_code` (*type:* `integer()`) - The version code of the APK whose Deobfuscation File is being uploaded.\n*   `deobfuscation_file_type` (*type:* `String.t`) - The type of the deobfuscation file.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `String.t`) - string metadata\n*   `data` (*type:* `iodata`) - Content to upload, as a string or iolist\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_deobfuscationfiles_upload_iodata/10-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_deobfuscationfiles_upload_iodata/10","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFilesUploadResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_deobfuscationfiles_upload_iodata/10-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_deobfuscationfiles_upload_resumable/8","doc":"Uploads a new deobfuscation file and attaches to the specified APK.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_deobfuscationfiles_upload_resumable/8"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_deobfuscationfiles_upload_resumable/8","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Unique identifier for the Android app.\n*   `edit_id` (*type:* `String.t`) - Unique identifier for this edit.\n*   `apk_version_code` (*type:* `integer()`) - The version code of the APK whose Deobfuscation File is being uploaded.\n*   `deobfuscation_file_type` (*type:* `String.t`) - The type of the deobfuscation file.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"resumable\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_deobfuscationfiles_upload_resumable/8-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_deobfuscationfiles_upload_resumable/8","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_deobfuscationfiles_upload_resumable/8-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_deobfuscationfiles_upload_simple/10","doc":"Uploads a new deobfuscation file and attaches to the specified APK.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_deobfuscationfiles_upload_simple/10"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_deobfuscationfiles_upload_simple/10","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Unique identifier for the Android app.\n*   `edit_id` (*type:* `String.t`) - Unique identifier for this edit.\n*   `apk_version_code` (*type:* `integer()`) - The version code of the APK whose Deobfuscation File is being uploaded.\n*   `deobfuscation_file_type` (*type:* `String.t`) - The type of the deobfuscation file.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `String.t`) - string metadata\n*   `data` (*type:* `String.t`) - Path to file containing content to upload\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_deobfuscationfiles_upload_simple/10-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_deobfuscationfiles_upload_simple/10","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFilesUploadResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_deobfuscationfiles_upload_simple/10-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_details_get/5","doc":"Gets details of an app.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_details_get/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_details_get/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_details_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_details_get/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.AppDetails{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_details_get/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_details_patch/5","doc":"Patches details of an app.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_details_patch/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_details_patch/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.AppDetails.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_details_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_details_patch/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.AppDetails{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_details_patch/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_details_update/5","doc":"Updates details of an app.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_details_update/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_details_update/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.AppDetails.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_details_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_details_update/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.AppDetails{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_details_update/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_get/7","doc":"Fetches the expansion file configuration for the specified APK.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_get/7"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_get/7","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `apk_version_code` (*type:* `integer()`) - The version code of the APK whose expansion file configuration is being read or modified.\n*   `expansion_file_type` (*type:* `String.t`) - The file type of the file configuration which is being read or modified.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_get/7-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_get/7","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ExpansionFile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_get/7-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_patch/7","doc":"Patches the APK's expansion file configuration to reference another APK's expansion file. To add a new expansion file use the Upload method.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_patch/7"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_patch/7","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `apk_version_code` (*type:* `integer()`) - The version code of the APK whose expansion file configuration is being read or modified.\n*   `expansion_file_type` (*type:* `String.t`) - The file type of the expansion file configuration which is being updated.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ExpansionFile.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_patch/7-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_patch/7","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ExpansionFile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_patch/7-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_update/7","doc":"Updates the APK's expansion file configuration to reference another APK's expansion file. To add a new expansion file use the Upload method.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_update/7"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_update/7","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `apk_version_code` (*type:* `integer()`) - The version code of the APK whose expansion file configuration is being read or modified.\n*   `expansion_file_type` (*type:* `String.t`) - The file type of the file configuration which is being read or modified.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ExpansionFile.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_update/7-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_update/7","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ExpansionFile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_update/7-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_upload/7","doc":"Uploads a new expansion file and attaches to the specified APK.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_upload/7"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_upload/7","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `apk_version_code` (*type:* `integer()`) - The version code of the APK whose expansion file configuration is being read or modified.\n*   `expansion_file_type` (*type:* `String.t`) - The file type of the expansion file configuration which is being updated.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_upload/7-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_upload/7","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ExpansionFilesUploadResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_upload/7-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_upload_iodata/10","doc":"Uploads a new expansion file and attaches to the specified APK.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_upload_iodata/10"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_upload_iodata/10","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `apk_version_code` (*type:* `integer()`) - The version code of the APK whose expansion file configuration is being read or modified.\n*   `expansion_file_type` (*type:* `String.t`) - The file type of the expansion file configuration which is being updated.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `String.t`) - string metadata\n*   `data` (*type:* `iodata`) - Content to upload, as a string or iolist\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_upload_iodata/10-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_upload_iodata/10","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ExpansionFilesUploadResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_upload_iodata/10-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_upload_resumable/8","doc":"Uploads a new expansion file and attaches to the specified APK.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_upload_resumable/8"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_upload_resumable/8","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `apk_version_code` (*type:* `integer()`) - The version code of the APK whose expansion file configuration is being read or modified.\n*   `expansion_file_type` (*type:* `String.t`) - The file type of the expansion file configuration which is being updated.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"resumable\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_upload_resumable/8-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_upload_resumable/8","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_upload_resumable/8-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_upload_simple/10","doc":"Uploads a new expansion file and attaches to the specified APK.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_upload_simple/10"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_upload_simple/10","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `apk_version_code` (*type:* `integer()`) - The version code of the APK whose expansion file configuration is being read or modified.\n*   `expansion_file_type` (*type:* `String.t`) - The file type of the expansion file configuration which is being updated.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `String.t`) - string metadata\n*   `data` (*type:* `String.t`) - Path to file containing content to upload\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_upload_simple/10-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_expansionfiles_upload_simple/10","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ExpansionFilesUploadResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_expansionfiles_upload_simple/10-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_get/5","doc":"Gets an app edit.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_get/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_get/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_get/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.AppEdit{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_get/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_delete/8","doc":"Deletes the image (specified by id) from the edit.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_delete/8"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_delete/8","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `language` (*type:* `String.t`) - Language localization code (a BCP-47 language tag; for example, \"de-AT\" for Austrian German).\n*   `image_type` (*type:* `String.t`) - Type of the Image.\n*   `image_id` (*type:* `String.t`) - Unique identifier an image within the set of images attached to this edit.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_delete/8-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_delete/8","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_delete/8-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_deleteall/7","doc":"Deletes all images for the specified language and image type. Returns an empty response if no images are found.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_deleteall/7"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_deleteall/7","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `language` (*type:* `String.t`) - Language localization code (a BCP-47 language tag; for example, \"de-AT\" for Austrian German). Providing a language that is not supported by the App is a no-op.\n*   `image_type` (*type:* `String.t`) - Type of the Image. Providing an image type that refers to no images is a no-op.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_deleteall/7-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_deleteall/7","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ImagesDeleteAllResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_deleteall/7-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_list/7","doc":"Lists all images. The response may be empty.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_list/7"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_list/7","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `language` (*type:* `String.t`) - Language localization code (a BCP-47 language tag; for example, \"de-AT\" for Austrian German). There must be a store listing for the specified language.\n*   `image_type` (*type:* `String.t`) - Type of the Image. Providing an image type that refers to no images will return an empty response.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_list/7-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_list/7","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ImagesListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_list/7-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_upload/7","doc":"Uploads an image of the specified language and image type, and adds to the edit.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_upload/7"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_upload/7","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `language` (*type:* `String.t`) - Language localization code (a BCP-47 language tag; for example, \"de-AT\" for Austrian German). Providing a language that is not supported by the App is a no-op.\n*   `image_type` (*type:* `String.t`) - Type of the Image.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_upload/7-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_upload/7","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ImagesUploadResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_upload/7-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_upload_iodata/10","doc":"Uploads an image of the specified language and image type, and adds to the edit.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_upload_iodata/10"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_upload_iodata/10","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `language` (*type:* `String.t`) - Language localization code (a BCP-47 language tag; for example, \"de-AT\" for Austrian German). Providing a language that is not supported by the App is a no-op.\n*   `image_type` (*type:* `String.t`) - Type of the Image.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `String.t`) - string metadata\n*   `data` (*type:* `iodata`) - Content to upload, as a string or iolist\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_upload_iodata/10-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_upload_iodata/10","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ImagesUploadResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_upload_iodata/10-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_upload_resumable/8","doc":"Uploads an image of the specified language and image type, and adds to the edit.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_upload_resumable/8"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_upload_resumable/8","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `language` (*type:* `String.t`) - Language localization code (a BCP-47 language tag; for example, \"de-AT\" for Austrian German). Providing a language that is not supported by the App is a no-op.\n*   `image_type` (*type:* `String.t`) - Type of the Image.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"resumable\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_upload_resumable/8-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_upload_resumable/8","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_upload_resumable/8-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_upload_simple/10","doc":"Uploads an image of the specified language and image type, and adds to the edit.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_upload_simple/10"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_upload_simple/10","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `language` (*type:* `String.t`) - Language localization code (a BCP-47 language tag; for example, \"de-AT\" for Austrian German). Providing a language that is not supported by the App is a no-op.\n*   `image_type` (*type:* `String.t`) - Type of the Image.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `String.t`) - string metadata\n*   `data` (*type:* `String.t`) - Path to file containing content to upload\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_upload_simple/10-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_images_upload_simple/10","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ImagesUploadResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_images_upload_simple/10-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_insert/4","doc":"Creates a new edit for an app.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_insert/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_insert/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.AppEdit.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_insert/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.AppEdit{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_insert/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_delete/6","doc":"Deletes a localized store listing.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_delete/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_delete/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `language` (*type:* `String.t`) - Language localization code (a BCP-47 language tag; for example, \"de-AT\" for Austrian German).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_delete/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_delete/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_deleteall/5","doc":"Deletes all store listings.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_deleteall/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_deleteall/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_deleteall/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_deleteall/5","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_deleteall/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_get/6","doc":"Gets a localized store listing.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_get/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_get/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `language` (*type:* `String.t`) - Language localization code (a BCP-47 language tag; for example, \"de-AT\" for Austrian German).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_get/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Listing{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_get/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_list/5","doc":"Lists all localized store listings.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_list/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_list/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_list/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ListingsListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_list/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_patch/6","doc":"Patches a localized store listing.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_patch/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_patch/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `language` (*type:* `String.t`) - Language localization code (a BCP-47 language tag; for example, \"de-AT\" for Austrian German).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Listing.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_patch/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Listing{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_patch/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_update/6","doc":"Creates or updates a localized store listing.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_update/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_update/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `language` (*type:* `String.t`) - Language localization code (a BCP-47 language tag; for example, \"de-AT\" for Austrian German).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Listing.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_listings_update/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Listing{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_listings_update/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_testers_get/6","doc":"Gets testers. Note: Testers resource does not support email lists.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_testers_get/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_testers_get/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `track` (*type:* `String.t`) - The track to read from.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_testers_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_testers_get/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Testers{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_testers_get/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_testers_patch/6","doc":"Patches testers. Note: Testers resource does not support email lists.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_testers_patch/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_testers_patch/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `track` (*type:* `String.t`) - The track to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Testers.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_testers_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_testers_patch/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Testers{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_testers_patch/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_testers_update/6","doc":"Updates testers. Note: Testers resource does not support email lists.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_testers_update/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_testers_update/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `track` (*type:* `String.t`) - The track to update.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Testers.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_testers_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_testers_update/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Testers{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_testers_update/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_tracks_create/5","doc":"Creates a new track.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_tracks_create/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_tracks_create/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Required. Identifier of the edit.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.TrackConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_tracks_create/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_tracks_create/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Track{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_tracks_create/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_tracks_get/6","doc":"Gets a track.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_tracks_get/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_tracks_get/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `track` (*type:* `String.t`) - Identifier of the track. [More on track name](https://developers.google.com/android-publisher/tracks#ff-track-name)\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_tracks_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_tracks_get/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Track{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_tracks_get/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_tracks_list/5","doc":"Lists all tracks.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_tracks_list/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_tracks_list/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_tracks_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_tracks_list/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.TracksListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_tracks_list/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_tracks_patch/6","doc":"Patches a track.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_tracks_patch/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_tracks_patch/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `track` (*type:* `String.t`) - Identifier of the track. [More on track name](https://developers.google.com/android-publisher/tracks#ff-track-name)\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Track.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_tracks_patch/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_tracks_patch/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Track{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_tracks_patch/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_tracks_update/6","doc":"Updates a track.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_tracks_update/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_tracks_update/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `track` (*type:* `String.t`) - Identifier of the track. [More on track name](https://developers.google.com/android-publisher/tracks#ff-track-name)\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Track.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_tracks_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_tracks_update/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Track{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_tracks_update/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_validate/5","doc":"Validates an app edit.","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_validate/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_validate/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `edit_id` (*type:* `String.t`) - Identifier of the edit.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_validate/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Edits.androidpublisher_edits_validate/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.AppEdit{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Edits.html#androidpublisher_edits_validate/5-returns"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Api.Externaltransactions","doc":"API calls for all endpoints tagged `Externaltransactions`.","ref":"GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.androidpublisher_externaltransactions_createexternaltransaction/4","doc":"Creates a new external transaction.","ref":"GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.html#androidpublisher_externaltransactions_createexternaltransaction/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.androidpublisher_externaltransactions_createexternaltransaction/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent resource where this external transaction will be created. Format: applications/{package_name}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:externalTransactionId` (*type:* `String.t`) - Required. The id to use for the external transaction. Must be unique across all other transactions for the app. This value should be 1-63 characters and valid characters are /a-zA-Z0-9_-/. Do not use this field to store any Personally Identifiable Information (PII) such as emails. Attempting to store PII in this field may result in requests being blocked.\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ExternalTransaction.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.html#androidpublisher_externaltransactions_createexternaltransaction/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.androidpublisher_externaltransactions_createexternaltransaction/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ExternalTransaction{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.html#androidpublisher_externaltransactions_createexternaltransaction/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.androidpublisher_externaltransactions_getexternaltransaction/4","doc":"Gets an existing external transaction.","ref":"GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.html#androidpublisher_externaltransactions_getexternaltransaction/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.androidpublisher_externaltransactions_getexternaltransaction/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the external transaction to retrieve. Format: applications/{package_name}/externalTransactions/{external_transaction}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.html#androidpublisher_externaltransactions_getexternaltransaction/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.androidpublisher_externaltransactions_getexternaltransaction/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ExternalTransaction{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.html#androidpublisher_externaltransactions_getexternaltransaction/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.androidpublisher_externaltransactions_refundexternaltransaction/4","doc":"Refunds or partially refunds an existing external transaction.","ref":"GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.html#androidpublisher_externaltransactions_refundexternaltransaction/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.androidpublisher_externaltransactions_refundexternaltransaction/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the external transaction that will be refunded. Format: applications/{package_name}/externalTransactions/{external_transaction}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.RefundExternalTransactionRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.html#androidpublisher_externaltransactions_refundexternaltransaction/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.androidpublisher_externaltransactions_refundexternaltransaction/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ExternalTransaction{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Externaltransactions.html#androidpublisher_externaltransactions_refundexternaltransaction/4-returns"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Api.Generatedapks","doc":"API calls for all endpoints tagged `Generatedapks`.","ref":"GoogleApi.AndroidPublisher.V3.Api.Generatedapks.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Generatedapks.androidpublisher_generatedapks_download/6","doc":"Downloads a single signed APK generated from an app bundle.","ref":"GoogleApi.AndroidPublisher.V3.Api.Generatedapks.html#androidpublisher_generatedapks_download/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Generatedapks.androidpublisher_generatedapks_download/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `version_code` (*type:* `integer()`) - Version code of the app bundle.\n*   `download_id` (*type:* `String.t`) - Download ID, which uniquely identifies the APK to download. Can be obtained from the response of `generatedapks.list` method.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Generatedapks.html#androidpublisher_generatedapks_download/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Generatedapks.androidpublisher_generatedapks_download/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Generatedapks.html#androidpublisher_generatedapks_download/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Generatedapks.androidpublisher_generatedapks_list/5","doc":"Returns download metadata for all APKs that were generated from a given app bundle.","ref":"GoogleApi.AndroidPublisher.V3.Api.Generatedapks.html#androidpublisher_generatedapks_list/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Generatedapks.androidpublisher_generatedapks_list/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `version_code` (*type:* `integer()`) - Version code of the app bundle.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Generatedapks.html#androidpublisher_generatedapks_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Generatedapks.androidpublisher_generatedapks_list/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.GeneratedApksListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Generatedapks.html#androidpublisher_generatedapks_list/5-returns"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Api.Grants","doc":"API calls for all endpoints tagged `Grants`.","ref":"GoogleApi.AndroidPublisher.V3.Api.Grants.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Grants.androidpublisher_grants_create/4","doc":"Grant access for a user to the given package.","ref":"GoogleApi.AndroidPublisher.V3.Api.Grants.html#androidpublisher_grants_create/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Grants.androidpublisher_grants_create/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The user which needs permission. Format: developers/{developer}/users/{user}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Grant.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Grants.html#androidpublisher_grants_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Grants.androidpublisher_grants_create/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Grant{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Grants.html#androidpublisher_grants_create/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Grants.androidpublisher_grants_delete/4","doc":"Removes all access for the user to the given package or developer account.","ref":"GoogleApi.AndroidPublisher.V3.Api.Grants.html#androidpublisher_grants_delete/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Grants.androidpublisher_grants_delete/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the grant to delete. Format: developers/{developer}/users/{email}/grants/{package_name}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Grants.html#androidpublisher_grants_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Grants.androidpublisher_grants_delete/4","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Grants.html#androidpublisher_grants_delete/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Grants.androidpublisher_grants_patch/4","doc":"Updates access for the user to the given package.","ref":"GoogleApi.AndroidPublisher.V3.Api.Grants.html#androidpublisher_grants_patch/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Grants.androidpublisher_grants_patch/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name for this grant, following the pattern \"developers/{developer}/users/{email}/grants/{package_name}\". If this grant is for a draft app, the app ID will be used in this resource name instead of the package name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. The list of fields to be updated.\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Grant.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Grants.html#androidpublisher_grants_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Grants.androidpublisher_grants_patch/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Grant{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Grants.html#androidpublisher_grants_patch/4-returns"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts","doc":"API calls for all endpoints tagged `Inappproducts`.","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_batch_delete/4","doc":"Deletes in-app products (managed products or subscriptions). Set the latencyTolerance field on nested requests to PRODUCT_UPDATE_LATENCY_TOLERANCE_LATENCY_TOLERANT to achieve maximum update throughput. This method should not be used to delete subscriptions. See [this article](https://android-developers.googleblog.com/2023/06/changes-to-google-play-developer-api-june-2023.html) for more information.","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_batch_delete/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_batch_delete/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchDeleteRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_batch_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_batch_delete/4","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_batch_delete/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_batch_get/4","doc":"Reads multiple in-app products, which can be managed products or subscriptions. This method should not be used to retrieve subscriptions. See [this article](https://android-developers.googleblog.com/2023/06/changes-to-google-play-developer-api-june-2023.html) for more information.","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_batch_get/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_batch_get/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:sku` (*type:* `list(String.t)`) - Unique identifier for the in-app products.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_batch_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_batch_get/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchGetResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_batch_get/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_batch_update/4","doc":"Updates or inserts one or more in-app products (managed products or subscriptions). Set the latencyTolerance field on nested requests to PRODUCT_UPDATE_LATENCY_TOLERANCE_LATENCY_TOLERANT to achieve maximum update throughput. This method should no longer be used to update subscriptions. See [this article](https://android-developers.googleblog.com/2023/06/changes-to-google-play-developer-api-june-2023.html) for more information.","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_batch_update/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_batch_update/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_batch_update/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_batch_update/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_batch_update/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_delete/5","doc":"Deletes an in-app product (a managed product or a subscription). This method should no longer be used to delete subscriptions. See [this article](https://android-developers.googleblog.com/2023/06/changes-to-google-play-developer-api-june-2023.html) for more information.","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_delete/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_delete/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `sku` (*type:* `String.t`) - Unique identifier for the in-app product.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:latencyTolerance` (*type:* `String.t`) - Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_delete/5","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_delete/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_get/5","doc":"Gets an in-app product, which can be a managed product or a subscription. This method should no longer be used to retrieve subscriptions. See [this article](https://android-developers.googleblog.com/2023/06/changes-to-google-play-developer-api-june-2023.html) for more information.","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_get/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_get/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `sku` (*type:* `String.t`) - Unique identifier for the in-app product.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_get/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.InAppProduct{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_get/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_insert/4","doc":"Creates an in-app product (a managed product or a subscription). This method should no longer be used to create subscriptions. See [this article](https://android-developers.googleblog.com/2023/06/changes-to-google-play-developer-api-june-2023.html) for more information.","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_insert/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_insert/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:autoConvertMissingPrices` (*type:* `boolean()`) - If true the prices for all regions targeted by the parent app that don't have a price specified for this in-app product will be auto converted to the target currency based on the default price. Defaults to false.\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.InAppProduct.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_insert/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_insert/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.InAppProduct{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_insert/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_list/4","doc":"Lists all in-app products - both managed products and subscriptions. If an app has a large number of in-app products, the response may be paginated. In this case the response field `tokenPagination.nextPageToken` will be set and the caller should provide its value as a `token` request parameter to retrieve the next page. This method should no longer be used to retrieve subscriptions. See [this article](https://android-developers.googleblog.com/2023/06/changes-to-google-play-developer-api-june-2023.html) for more information.","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_list/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_list/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:maxResults` (*type:* `integer()`) - Deprecated and ignored. The page size is determined by the server.\n    *   `:startIndex` (*type:* `integer()`) - Deprecated and ignored. Set the `token` parameter to retrieve the next page.\n    *   `:token` (*type:* `String.t`) - Pagination token. If empty, list starts at the first product.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_list/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.InappproductsListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_list/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_patch/5","doc":"Patches an in-app product (a managed product or a subscription). This method should no longer be used to update subscriptions. See [this article](https://android-developers.googleblog.com/2023/06/changes-to-google-play-developer-api-june-2023.html) for more information.","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_patch/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_patch/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `sku` (*type:* `String.t`) - Unique identifier for the in-app product.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:autoConvertMissingPrices` (*type:* `boolean()`) - If true the prices for all regions targeted by the parent app that don't have a price specified for this in-app product will be auto converted to the target currency based on the default price. Defaults to false.\n    *   `:latencyTolerance` (*type:* `String.t`) - Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive.\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.InAppProduct.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_patch/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.InAppProduct{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_patch/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_update/5","doc":"Updates an in-app product (a managed product or a subscription). This method should no longer be used to update subscriptions. See [this article](https://android-developers.googleblog.com/2023/06/changes-to-google-play-developer-api-june-2023.html) for more information.","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_update/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_update/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `sku` (*type:* `String.t`) - Unique identifier for the in-app product.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:allowMissing` (*type:* `boolean()`) - If set to true, and the in-app product with the given package_name and sku doesn't exist, the in-app product will be created.\n    *   `:autoConvertMissingPrices` (*type:* `boolean()`) - If true the prices for all regions targeted by the parent app that don't have a price specified for this in-app product will be auto converted to the target currency based on the default price. Defaults to false.\n    *   `:latencyTolerance` (*type:* `String.t`) - Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive.\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.InAppProduct.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Inappproducts.androidpublisher_inappproducts_update/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.InAppProduct{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Inappproducts.html#androidpublisher_inappproducts_update/5-returns"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts","doc":"API calls for all endpoints tagged `Internalappsharingartifacts`.","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadapk/4","doc":"Uploads an APK to internal app sharing. If you are using the Google API client libraries, please increase the timeout of the http request before calling this endpoint (a timeout of 2 minutes is recommended). See [Timeouts and Errors](https://developers.google.com/api-client-library/java/google-api-java-client/errors) for an example in java.","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadapk/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadapk/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadapk/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadapk/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.InternalAppSharingArtifact{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadapk/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadapk_iodata/7","doc":"Uploads an APK to internal app sharing. If you are using the Google API client libraries, please increase the timeout of the http request before calling this endpoint (a timeout of 2 minutes is recommended). See [Timeouts and Errors](https://developers.google.com/api-client-library/java/google-api-java-client/errors) for an example in java.","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadapk_iodata/7"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadapk_iodata/7","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `String.t`) - string metadata\n*   `data` (*type:* `iodata`) - Content to upload, as a string or iolist\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadapk_iodata/7-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadapk_iodata/7","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.InternalAppSharingArtifact{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadapk_iodata/7-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadapk_resumable/5","doc":"Uploads an APK to internal app sharing. If you are using the Google API client libraries, please increase the timeout of the http request before calling this endpoint (a timeout of 2 minutes is recommended). See [Timeouts and Errors](https://developers.google.com/api-client-library/java/google-api-java-client/errors) for an example in java.","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadapk_resumable/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadapk_resumable/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"resumable\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadapk_resumable/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadapk_resumable/5","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadapk_resumable/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadapk_simple/7","doc":"Uploads an APK to internal app sharing. If you are using the Google API client libraries, please increase the timeout of the http request before calling this endpoint (a timeout of 2 minutes is recommended). See [Timeouts and Errors](https://developers.google.com/api-client-library/java/google-api-java-client/errors) for an example in java.","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadapk_simple/7"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadapk_simple/7","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `String.t`) - string metadata\n*   `data` (*type:* `String.t`) - Path to file containing content to upload\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadapk_simple/7-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadapk_simple/7","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.InternalAppSharingArtifact{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadapk_simple/7-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadbundle/4","doc":"Uploads an app bundle to internal app sharing. If you are using the Google API client libraries, please increase the timeout of the http request before calling this endpoint (a timeout of 2 minutes is recommended). See [Timeouts and Errors](https://developers.google.com/api-client-library/java/google-api-java-client/errors) for an example in java.","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadbundle/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadbundle/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadbundle/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadbundle/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.InternalAppSharingArtifact{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadbundle/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadbundle_iodata/7","doc":"Uploads an app bundle to internal app sharing. If you are using the Google API client libraries, please increase the timeout of the http request before calling this endpoint (a timeout of 2 minutes is recommended). See [Timeouts and Errors](https://developers.google.com/api-client-library/java/google-api-java-client/errors) for an example in java.","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadbundle_iodata/7"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadbundle_iodata/7","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `String.t`) - string metadata\n*   `data` (*type:* `iodata`) - Content to upload, as a string or iolist\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadbundle_iodata/7-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadbundle_iodata/7","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.InternalAppSharingArtifact{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadbundle_iodata/7-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadbundle_resumable/5","doc":"Uploads an app bundle to internal app sharing. If you are using the Google API client libraries, please increase the timeout of the http request before calling this endpoint (a timeout of 2 minutes is recommended). See [Timeouts and Errors](https://developers.google.com/api-client-library/java/google-api-java-client/errors) for an example in java.","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadbundle_resumable/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadbundle_resumable/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"resumable\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadbundle_resumable/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadbundle_resumable/5","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadbundle_resumable/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadbundle_simple/7","doc":"Uploads an app bundle to internal app sharing. If you are using the Google API client libraries, please increase the timeout of the http request before calling this endpoint (a timeout of 2 minutes is recommended). See [Timeouts and Errors](https://developers.google.com/api-client-library/java/google-api-java-client/errors) for an example in java.","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadbundle_simple/7"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadbundle_simple/7","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `upload_type` (*type:* `String.t`) - Upload type. Must be \"multipart\".\n*   `metadata` (*type:* `String.t`) - string metadata\n*   `data` (*type:* `String.t`) - Path to file containing content to upload\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadbundle_simple/7-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.androidpublisher_internalappsharingartifacts_uploadbundle_simple/7","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.InternalAppSharingArtifact{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Internalappsharingartifacts.html#androidpublisher_internalappsharingartifacts_uploadbundle_simple/7-returns"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization","doc":"API calls for all endpoints tagged `Monetization`.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_convert_region_prices/4","doc":"Calculates the region prices, using today's exchange rate and country-specific pricing patterns, based on the price in the request for a set of regions.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_convert_region_prices/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_convert_region_prices/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The app package name.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_convert_region_prices/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_convert_region_prices/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_convert_region_prices/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_archive/5","doc":"Deprecated: subscription archiving is not supported.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_archive/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_archive/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) of the app of the subscription to delete.\n*   `product_id` (*type:* `String.t`) - Required. The unique product ID of the subscription to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ArchiveSubscriptionRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_archive/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_archive/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Subscription{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_archive/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_activate/6","doc":"Activates a base plan. Once activated, base plans will be available to new subscribers.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_activate/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_activate/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) of the base plan to activate.\n*   `product_id` (*type:* `String.t`) - Required. The parent subscription (ID) of the base plan to activate.\n*   `base_plan_id` (*type:* `String.t`) - Required. The unique base plan ID of the base plan to activate.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ActivateBasePlanRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_activate/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_activate/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Subscription{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_activate/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_batch_migrate_prices/5","doc":"Batch variant of the MigrateBasePlanPrices endpoint. Set the latencyTolerance field on nested requests to PRODUCT_UPDATE_LATENCY_TOLERANCE_LATENCY_TOLERANT to achieve maximum update throughput.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_batch_migrate_prices/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_batch_migrate_prices/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) for which the subscriptions should be created or updated. Must be equal to the package_name field on all the Subscription resources.\n*   `product_id` (*type:* `String.t`) - Required. The product ID of the parent subscription, if all updated offers belong to the same subscription. If this batch update spans multiple subscriptions, set this field to \"-\". Must be set.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_batch_migrate_prices/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_batch_migrate_prices/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_batch_migrate_prices/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_batch_update_states/5","doc":"Activates or deactivates base plans across one or multiple subscriptions. Set the latencyTolerance field on nested requests to PRODUCT_UPDATE_LATENCY_TOLERANCE_LATENCY_TOLERANT to achieve maximum update throughput.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_batch_update_states/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_batch_update_states/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) of the updated base plans.\n*   `product_id` (*type:* `String.t`) - Required. The product ID of the parent subscription, if all updated base plans belong to the same subscription. If this batch update spans multiple subscriptions, set this field to \"-\". Must be set.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_batch_update_states/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_batch_update_states/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_batch_update_states/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_deactivate/6","doc":"Deactivates a base plan. Once deactivated, the base plan will become unavailable to new subscribers, but existing subscribers will maintain their subscription","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_deactivate/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_deactivate/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) of the base plan to deactivate.\n*   `product_id` (*type:* `String.t`) - Required. The parent subscription (ID) of the base plan to deactivate.\n*   `base_plan_id` (*type:* `String.t`) - Required. The unique base plan ID of the base plan to deactivate.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.DeactivateBasePlanRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_deactivate/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_deactivate/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Subscription{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_deactivate/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_delete/6","doc":"Deletes a base plan. Can only be done for draft base plans. This action is irreversible.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_delete/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_delete/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) of the base plan to delete.\n*   `product_id` (*type:* `String.t`) - Required. The parent subscription (ID) of the base plan to delete.\n*   `base_plan_id` (*type:* `String.t`) - Required. The unique offer ID of the base plan to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_delete/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_delete/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_delete/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_migrate_prices/6","doc":"Migrates subscribers who are receiving an historical subscription price to the currently-offered price for the specified region. Requests will cause price change notifications to be sent to users who are currently receiving an historical price older than the supplied timestamp. Subscribers who do not agree to the new price will have their subscription ended at the next renewal.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_migrate_prices/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_migrate_prices/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. Package name of the parent app. Must be equal to the package_name field on the Subscription resource.\n*   `product_id` (*type:* `String.t`) - Required. The ID of the subscription to update. Must be equal to the product_id field on the Subscription resource.\n*   `base_plan_id` (*type:* `String.t`) - Required. The unique base plan ID of the base plan to update prices on.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_migrate_prices/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_migrate_prices/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_migrate_prices/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_activate/7","doc":"Activates a subscription offer. Once activated, subscription offers will be available to new subscribers.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_activate/7"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_activate/7","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) of the offer to activate.\n*   `product_id` (*type:* `String.t`) - Required. The parent subscription (ID) of the offer to activate.\n*   `base_plan_id` (*type:* `String.t`) - Required. The parent base plan (ID) of the offer to activate.\n*   `offer_id` (*type:* `String.t`) - Required. The unique offer ID of the offer to activate.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ActivateSubscriptionOfferRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_activate/7-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_activate/7","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_activate/7-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_batch_get/6","doc":"Reads one or more subscription offers.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_batch_get/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_batch_get/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) for which the subscriptions should be created or updated. Must be equal to the package_name field on all the requests.\n*   `product_id` (*type:* `String.t`) - Required. The product ID of the parent subscription, if all updated offers belong to the same subscription. If this request spans multiple subscriptions, set this field to \"-\". Must be set.\n*   `base_plan_id` (*type:* `String.t`) - Required. The parent base plan (ID) for which the offers should be read. May be specified as '-' to read offers from multiple base plans.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_batch_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_batch_get/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_batch_get/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_batch_update/6","doc":"Updates a batch of subscription offers. Set the latencyTolerance field on nested requests to PRODUCT_UPDATE_LATENCY_TOLERANCE_LATENCY_TOLERANT to achieve maximum update throughput.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_batch_update/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_batch_update/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) of the updated subscription offers. Must be equal to the package_name field on all the updated SubscriptionOffer resources.\n*   `product_id` (*type:* `String.t`) - Required. The product ID of the parent subscription, if all updated offers belong to the same subscription. If this request spans multiple subscriptions, set this field to \"-\". Must be set.\n*   `base_plan_id` (*type:* `String.t`) - Required. The parent base plan (ID) for which the offers should be updated. May be specified as '-' to update offers from multiple base plans.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_batch_update/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_batch_update/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_batch_update/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_batch_update_states/6","doc":"Updates a batch of subscription offer states. Set the latencyTolerance field on nested requests to PRODUCT_UPDATE_LATENCY_TOLERANCE_LATENCY_TOLERANT to achieve maximum update throughput.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_batch_update_states/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_batch_update_states/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) of the updated subscription offers. Must be equal to the package_name field on all the updated SubscriptionOffer resources.\n*   `product_id` (*type:* `String.t`) - Required. The product ID of the parent subscription, if all updated offers belong to the same subscription. If this request spans multiple subscriptions, set this field to \"-\". Must be set.\n*   `base_plan_id` (*type:* `String.t`) - Required. The parent base plan (ID) for which the offers should be updated. May be specified as '-' to update offers from multiple base plans.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_batch_update_states/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_batch_update_states/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_batch_update_states/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_create/6","doc":"Creates a new subscription offer. Only auto-renewing base plans can have subscription offers. The offer state will be DRAFT until it is activated.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_create/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_create/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) for which the offer should be created. Must be equal to the package_name field on the Subscription resource.\n*   `product_id` (*type:* `String.t`) - Required. The parent subscription (ID) for which the offer should be created. Must be equal to the product_id field on the SubscriptionOffer resource.\n*   `base_plan_id` (*type:* `String.t`) - Required. The parent base plan (ID) for which the offer should be created. Must be equal to the base_plan_id field on the SubscriptionOffer resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:offerId` (*type:* `String.t`) - Required. The ID to use for the offer. For the requirements on this format, see the documentation of the offer_id field on the SubscriptionOffer resource.\n    *   `:\"regionsVersion.version\"` (*type:* `String.t`) - Required. A string representing the version of available regions being used for the specified resource. Regional prices for the resource have to be specified according to the information published in [this article](https://support.google.com/googleplay/android-developer/answer/10532353). Each time the supported locations substantially change, the version will be incremented. Using this field will ensure that creating and updating the resource with an older region's version and set of regional prices and currencies will succeed even though a new version is available. The latest version is 2022/02.\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_create/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_create/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_create/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_deactivate/7","doc":"Deactivates a subscription offer. Once deactivated, existing subscribers will maintain their subscription, but the offer will become unavailable to new subscribers.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_deactivate/7"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_deactivate/7","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) of the offer to deactivate.\n*   `product_id` (*type:* `String.t`) - Required. The parent subscription (ID) of the offer to deactivate.\n*   `base_plan_id` (*type:* `String.t`) - Required. The parent base plan (ID) of the offer to deactivate.\n*   `offer_id` (*type:* `String.t`) - Required. The unique offer ID of the offer to deactivate.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.DeactivateSubscriptionOfferRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_deactivate/7-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_deactivate/7","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_deactivate/7-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_delete/7","doc":"Deletes a subscription offer. Can only be done for draft offers. This action is irreversible.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_delete/7"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_delete/7","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) of the offer to delete.\n*   `product_id` (*type:* `String.t`) - Required. The parent subscription (ID) of the offer to delete.\n*   `base_plan_id` (*type:* `String.t`) - Required. The parent base plan (ID) of the offer to delete.\n*   `offer_id` (*type:* `String.t`) - Required. The unique offer ID of the offer to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_delete/7-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_delete/7","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_delete/7-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_get/7","doc":"Reads a single offer","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_get/7"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_get/7","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) of the offer to get.\n*   `product_id` (*type:* `String.t`) - Required. The parent subscription (ID) of the offer to get.\n*   `base_plan_id` (*type:* `String.t`) - Required. The parent base plan (ID) of the offer to get.\n*   `offer_id` (*type:* `String.t`) - Required. The unique offer ID of the offer to get.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_get/7-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_get/7","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_get/7-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_list/6","doc":"Lists all offers under a given subscription.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_list/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_list/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) for which the subscriptions should be read.\n*   `product_id` (*type:* `String.t`) - Required. The parent subscription (ID) for which the offers should be read. May be specified as '-' to read all offers under an app.\n*   `base_plan_id` (*type:* `String.t`) - Required. The parent base plan (ID) for which the offers should be read. May be specified as '-' to read all offers under a subscription or an app. Must be specified as '-' if product_id is specified as '-'.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of subscriptions to return. The service may return fewer than this value. If unspecified, at most 50 subscriptions will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListSubscriptionsOffers` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListSubscriptionOffers` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_list/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_list/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionOffersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_list/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_patch/7","doc":"Updates an existing subscription offer.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_patch/7"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_patch/7","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. Immutable. The package name of the app the parent subscription belongs to.\n*   `product_id` (*type:* `String.t`) - Required. Immutable. The ID of the parent subscription this offer belongs to.\n*   `base_plan_id` (*type:* `String.t`) - Required. Immutable. The ID of the base plan to which this offer is an extension.\n*   `offer_id` (*type:* `String.t`) - Required. Immutable. Unique ID of this subscription offer. Must be unique within the base plan.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:allowMissing` (*type:* `boolean()`) - Optional. If set to true, and the subscription offer with the given package_name, product_id, base_plan_id and offer_id doesn't exist, an offer will be created. If a new offer is created, update_mask is ignored.\n    *   `:latencyTolerance` (*type:* `String.t`) - Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive.\n    *   `:\"regionsVersion.version\"` (*type:* `String.t`) - Required. A string representing the version of available regions being used for the specified resource. Regional prices for the resource have to be specified according to the information published in [this article](https://support.google.com/googleplay/android-developer/answer/10532353). Each time the supported locations substantially change, the version will be incremented. Using this field will ensure that creating and updating the resource with an older region's version and set of regional prices and currencies will succeed even though a new version is available. The latest version is 2022/02.\n    *   `:updateMask` (*type:* `String.t`) - Required. The list of fields to be updated.\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_patch/7-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_base_plans_offers_patch/7","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_base_plans_offers_patch/7-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_batch_get/4","doc":"Reads one or more subscriptions.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_batch_get/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_batch_get/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) for which the subscriptions should be retrieved. Must be equal to the package_name field on all the requests.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:productIds` (*type:* `list(String.t)`) - Required. A list of up to 100 subscription product IDs to retrieve. All the IDs must be different.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_batch_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_batch_get/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_batch_get/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_batch_update/4","doc":"Updates a batch of subscriptions. Set the latencyTolerance field on nested requests to PRODUCT_UPDATE_LATENCY_TOLERANCE_LATENCY_TOLERANT to achieve maximum update throughput.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_batch_update/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_batch_update/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) for which the subscriptions should be updated. Must be equal to the package_name field on all the Subscription resources.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_batch_update/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_batch_update/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_batch_update/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_create/4","doc":"Creates a new subscription. Newly added base plans will remain in draft state until activated.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_create/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_create/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) for which the subscription should be created. Must be equal to the package_name field on the Subscription resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:productId` (*type:* `String.t`) - Required. The ID to use for the subscription. For the requirements on this format, see the documentation of the product_id field on the Subscription resource.\n    *   `:\"regionsVersion.version\"` (*type:* `String.t`) - Required. A string representing the version of available regions being used for the specified resource. Regional prices for the resource have to be specified according to the information published in [this article](https://support.google.com/googleplay/android-developer/answer/10532353). Each time the supported locations substantially change, the version will be incremented. Using this field will ensure that creating and updating the resource with an older region's version and set of regional prices and currencies will succeed even though a new version is available. The latest version is 2022/02.\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Subscription.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_create/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Subscription{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_create/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_delete/5","doc":"Deletes a subscription. A subscription can only be deleted if it has never had a base plan published.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_delete/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_delete/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) of the app of the subscription to delete.\n*   `product_id` (*type:* `String.t`) - Required. The unique product ID of the subscription to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_delete/5","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_delete/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_get/5","doc":"Reads a single subscription.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_get/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_get/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) of the subscription to get.\n*   `product_id` (*type:* `String.t`) - Required. The unique product ID of the subscription to get.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_get/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Subscription{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_get/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_list/4","doc":"Lists all subscriptions under a given app.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_list/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_list/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The parent app (package name) for which the subscriptions should be read.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of subscriptions to return. The service may return fewer than this value. If unspecified, at most 50 subscriptions will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - A page token, received from a previous `ListSubscriptions` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListSubscriptions` must match the call that provided the page token.\n    *   `:showArchived` (*type:* `boolean()`) - Deprecated: subscription archiving is not supported.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_list/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_list/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_patch/5","doc":"Updates an existing subscription.","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_patch/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_patch/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Immutable. Package name of the parent app.\n*   `product_id` (*type:* `String.t`) - Immutable. Unique product ID of the product. Unique within the parent app. Product IDs must be composed of lower-case letters (a-z), numbers (0-9), underscores (_) and dots (.). It must start with a lower-case letter or number, and be between 1 and 40 (inclusive) characters in length.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:allowMissing` (*type:* `boolean()`) - Optional. If set to true, and the subscription with the given package_name and product_id doesn't exist, the subscription will be created. If a new subscription is created, update_mask is ignored.\n    *   `:latencyTolerance` (*type:* `String.t`) - Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive.\n    *   `:\"regionsVersion.version\"` (*type:* `String.t`) - Required. A string representing the version of available regions being used for the specified resource. Regional prices for the resource have to be specified according to the information published in [this article](https://support.google.com/googleplay/android-developer/answer/10532353). Each time the supported locations substantially change, the version will be incremented. Using this field will ensure that creating and updating the resource with an older region's version and set of regional prices and currencies will succeed even though a new version is available. The latest version is 2022/02.\n    *   `:updateMask` (*type:* `String.t`) - Required. The list of fields to be updated.\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Subscription.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_patch/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Monetization.androidpublisher_monetization_subscriptions_patch/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Subscription{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Monetization.html#androidpublisher_monetization_subscriptions_patch/5-returns"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Api.Orders","doc":"API calls for all endpoints tagged `Orders`.","ref":"GoogleApi.AndroidPublisher.V3.Api.Orders.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Orders.androidpublisher_orders_refund/5","doc":"Refunds a user's subscription or in-app purchase order. Orders older than 3 years cannot be refunded.","ref":"GoogleApi.AndroidPublisher.V3.Api.Orders.html#androidpublisher_orders_refund/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Orders.androidpublisher_orders_refund/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - The package name of the application for which this subscription or in-app item was purchased (for example, 'com.some.thing').\n*   `order_id` (*type:* `String.t`) - The order ID provided to the user when the subscription or in-app order was purchased.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:revoke` (*type:* `boolean()`) - Whether to revoke the purchased item. If set to true, access to the subscription or in-app item will be terminated immediately. If the item is a recurring subscription, all future payments will also be terminated. Consumed in-app items need to be handled by developer's app. (optional).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Orders.html#androidpublisher_orders_refund/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Orders.androidpublisher_orders_refund/5","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Orders.html#androidpublisher_orders_refund/5-returns"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Api.Purchases","doc":"API calls for all endpoints tagged `Purchases`.","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_products_acknowledge/6","doc":"Acknowledges a purchase of an inapp item.","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_products_acknowledge/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_products_acknowledge/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - The package name of the application the inapp product was sold in (for example, 'com.some.thing').\n*   `product_id` (*type:* `String.t`) - The inapp product SKU (for example, 'com.some.thing.inapp1').\n*   `token` (*type:* `String.t`) - The token provided to the user's device when the inapp product was purchased.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ProductPurchasesAcknowledgeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_products_acknowledge/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_products_acknowledge/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_products_acknowledge/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_products_consume/6","doc":"Consumes a purchase for an inapp item.","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_products_consume/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_products_consume/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - The package name of the application the inapp product was sold in (for example, 'com.some.thing').\n*   `product_id` (*type:* `String.t`) - The inapp product SKU (for example, 'com.some.thing.inapp1').\n*   `token` (*type:* `String.t`) - The token provided to the user's device when the inapp product was purchased.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_products_consume/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_products_consume/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_products_consume/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_products_get/6","doc":"Checks the purchase and consumption status of an inapp item.","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_products_get/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_products_get/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - The package name of the application the inapp product was sold in (for example, 'com.some.thing').\n*   `product_id` (*type:* `String.t`) - The inapp product SKU (for example, 'com.some.thing.inapp1').\n*   `token` (*type:* `String.t`) - The token provided to the user's device when the inapp product was purchased.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_products_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_products_get/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ProductPurchase{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_products_get/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_acknowledge/6","doc":"Acknowledges a subscription purchase.","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_acknowledge/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_acknowledge/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - The package name of the application for which this subscription was purchased (for example, 'com.some.thing').\n*   `subscription_id` (*type:* `String.t`) - The purchased subscription ID (for example, 'monthly001').\n*   `token` (*type:* `String.t`) - The token provided to the user's device when the subscription was purchased.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesAcknowledgeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_acknowledge/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_acknowledge/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_acknowledge/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_cancel/6","doc":"Cancels a user's subscription purchase. The subscription remains valid until its expiration time.","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_cancel/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_cancel/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - The package name of the application for which this subscription was purchased (for example, 'com.some.thing').\n*   `subscription_id` (*type:* `String.t`) - The purchased subscription ID (for example, 'monthly001').\n*   `token` (*type:* `String.t`) - The token provided to the user's device when the subscription was purchased.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_cancel/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_cancel/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_cancel/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_defer/6","doc":"Defers a user's subscription purchase until a specified future expiration time.","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_defer/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_defer/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - The package name of the application for which this subscription was purchased (for example, 'com.some.thing').\n*   `subscription_id` (*type:* `String.t`) - The purchased subscription ID (for example, 'monthly001').\n*   `token` (*type:* `String.t`) - The token provided to the user's device when the subscription was purchased.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_defer/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_defer/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_defer/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_get/6","doc":"Checks whether a user's subscription purchase is valid and returns its expiry time.","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_get/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_get/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - The package name of the application for which this subscription was purchased (for example, 'com.some.thing').\n*   `subscription_id` (*type:* `String.t`) - The purchased subscription ID (for example, 'monthly001').\n*   `token` (*type:* `String.t`) - The token provided to the user's device when the subscription was purchased.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_get/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchase{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_get/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_refund/6","doc":"Refunds a user's subscription purchase, but the subscription remains valid until its expiration time and it will continue to recur.","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_refund/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_refund/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - The package name of the application for which this subscription was purchased (for example, 'com.some.thing').\n*   `subscription_id` (*type:* `String.t`) - \"The purchased subscription ID (for example, 'monthly001').\n*   `token` (*type:* `String.t`) - The token provided to the user's device when the subscription was purchased.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_refund/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_refund/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_refund/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_revoke/6","doc":"Refunds and immediately revokes a user's subscription purchase. Access to the subscription will be terminated immediately and it will stop recurring.","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_revoke/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_revoke/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - The package name of the application for which this subscription was purchased (for example, 'com.some.thing').\n*   `subscription_id` (*type:* `String.t`) - The purchased subscription ID (for example, 'monthly001').\n*   `token` (*type:* `String.t`) - The token provided to the user's device when the subscription was purchased.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_revoke/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptions_revoke/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptions_revoke/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptionsv2_get/5","doc":"Get metadata about a subscription","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptionsv2_get/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptionsv2_get/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - The package of the application for which this subscription was purchased (for example, 'com.some.thing').\n*   `token` (*type:* `String.t`) - Required. The token provided to the user's device when the subscription was purchased.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptionsv2_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptionsv2_get/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseV2{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptionsv2_get/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptionsv2_revoke/5","doc":"Revoke a subscription purchase for the user.","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptionsv2_revoke/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptionsv2_revoke/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Required. The package of the application for which this subscription was purchased (for example, 'com.some.thing').\n*   `token` (*type:* `String.t`) - Required. The token provided to the user's device when the subscription was purchased.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptionsv2_revoke/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_subscriptionsv2_revoke/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_subscriptionsv2_revoke/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_voidedpurchases_list/4","doc":"Lists the purchases that were canceled, refunded or charged-back.","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_voidedpurchases_list/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_voidedpurchases_list/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - The package name of the application for which voided purchases need to be returned (for example, 'com.some.thing').\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:endTime` (*type:* `String.t`) - The time, in milliseconds since the Epoch, of the newest voided purchase that you want to see in the response. The value of this parameter cannot be greater than the current time and is ignored if a pagination token is set. Default value is current time. Note: This filter is applied on the time at which the record is seen as voided by our systems and not the actual voided time returned in the response.\n    *   `:includeQuantityBasedPartialRefund` (*type:* `boolean()`) - Optional. Whether to include voided purchases of quantity-based partial refunds, which are applicable only to multi-quantity purchases. If true, additional voided purchases may be returned with voidedQuantity that indicates the refund quantity of a quantity-based partial refund. The default value is false.\n    *   `:maxResults` (*type:* `integer()`) - Defines how many results the list operation should return. The default number depends on the resource collection.\n    *   `:startIndex` (*type:* `integer()`) - Defines the index of the first element to return. This can only be used if indexed paging is enabled.\n    *   `:startTime` (*type:* `String.t`) - The time, in milliseconds since the Epoch, of the oldest voided purchase that you want to see in the response. The value of this parameter cannot be older than 30 days and is ignored if a pagination token is set. Default value is current time minus 30 days. Note: This filter is applied on the time at which the record is seen as voided by our systems and not the actual voided time returned in the response.\n    *   `:token` (*type:* `String.t`) - Defines the token of the page to return, usually taken from TokenPagination. This can only be used if token paging is enabled.\n    *   `:type` (*type:* `integer()`) - The type of voided purchases that you want to see in the response. Possible values are: 0. Only voided in-app product purchases will be returned in the response. This is the default value. 1. Both voided in-app purchases and voided subscription purchases will be returned in the response. Note: Before requesting to receive voided subscription purchases, you must switch to use orderId in the response which uniquely identifies one-time purchases and subscriptions. Otherwise, you will receive multiple subscription orders with the same PurchaseToken, because subscription renewal orders share the same PurchaseToken.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_voidedpurchases_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Purchases.androidpublisher_purchases_voidedpurchases_list/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.VoidedPurchasesListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Purchases.html#androidpublisher_purchases_voidedpurchases_list/4-returns"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Api.Reviews","doc":"API calls for all endpoints tagged `Reviews`.","ref":"GoogleApi.AndroidPublisher.V3.Api.Reviews.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Reviews.androidpublisher_reviews_get/5","doc":"Gets a single review.","ref":"GoogleApi.AndroidPublisher.V3.Api.Reviews.html#androidpublisher_reviews_get/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Reviews.androidpublisher_reviews_get/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `review_id` (*type:* `String.t`) - Unique identifier for a review.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:translationLanguage` (*type:* `String.t`) - Language localization code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Reviews.html#androidpublisher_reviews_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Reviews.androidpublisher_reviews_get/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Review{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Reviews.html#androidpublisher_reviews_get/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Reviews.androidpublisher_reviews_list/4","doc":"Lists all reviews.","ref":"GoogleApi.AndroidPublisher.V3.Api.Reviews.html#androidpublisher_reviews_list/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Reviews.androidpublisher_reviews_list/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:maxResults` (*type:* `integer()`) - How many results the list operation should return.\n    *   `:startIndex` (*type:* `integer()`) - The index of the first element to return.\n    *   `:token` (*type:* `String.t`) - Pagination token. If empty, list starts at the first review.\n    *   `:translationLanguage` (*type:* `String.t`) - Language localization code.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Reviews.html#androidpublisher_reviews_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Reviews.androidpublisher_reviews_list/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ReviewsListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Reviews.html#androidpublisher_reviews_list/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Reviews.androidpublisher_reviews_reply/5","doc":"Replies to a single review, or updates an existing reply.","ref":"GoogleApi.AndroidPublisher.V3.Api.Reviews.html#androidpublisher_reviews_reply/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Reviews.androidpublisher_reviews_reply/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `review_id` (*type:* `String.t`) - Unique identifier for a review.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Reviews.html#androidpublisher_reviews_reply/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Reviews.androidpublisher_reviews_reply/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Reviews.html#androidpublisher_reviews_reply/5-returns"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Api.Systemapks","doc":"API calls for all endpoints tagged `Systemapks`.","ref":"GoogleApi.AndroidPublisher.V3.Api.Systemapks.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Systemapks.androidpublisher_systemapks_variants_create/5","doc":"Creates an APK which is suitable for inclusion in a system image from an already uploaded Android App Bundle.","ref":"GoogleApi.AndroidPublisher.V3.Api.Systemapks.html#androidpublisher_systemapks_variants_create/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Systemapks.androidpublisher_systemapks_variants_create/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `version_code` (*type:* `String.t`) - The version code of the App Bundle.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Variant.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Systemapks.html#androidpublisher_systemapks_variants_create/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Systemapks.androidpublisher_systemapks_variants_create/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Variant{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Systemapks.html#androidpublisher_systemapks_variants_create/5-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Systemapks.androidpublisher_systemapks_variants_download/6","doc":"Downloads a previously created system APK which is suitable for inclusion in a system image.","ref":"GoogleApi.AndroidPublisher.V3.Api.Systemapks.html#androidpublisher_systemapks_variants_download/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Systemapks.androidpublisher_systemapks_variants_download/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `version_code` (*type:* `String.t`) - The version code of the App Bundle.\n*   `variant_id` (*type:* `integer()`) - The ID of a previously created system APK variant.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Systemapks.html#androidpublisher_systemapks_variants_download/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Systemapks.androidpublisher_systemapks_variants_download/6","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Systemapks.html#androidpublisher_systemapks_variants_download/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Systemapks.androidpublisher_systemapks_variants_get/6","doc":"Returns a previously created system APK variant.","ref":"GoogleApi.AndroidPublisher.V3.Api.Systemapks.html#androidpublisher_systemapks_variants_get/6"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Systemapks.androidpublisher_systemapks_variants_get/6","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `version_code` (*type:* `String.t`) - The version code of the App Bundle.\n*   `variant_id` (*type:* `integer()`) - The ID of a previously created system APK variant.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Systemapks.html#androidpublisher_systemapks_variants_get/6-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Systemapks.androidpublisher_systemapks_variants_get/6","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.Variant{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Systemapks.html#androidpublisher_systemapks_variants_get/6-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Systemapks.androidpublisher_systemapks_variants_list/5","doc":"Returns the list of previously created system APK variants.","ref":"GoogleApi.AndroidPublisher.V3.Api.Systemapks.html#androidpublisher_systemapks_variants_list/5"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Systemapks.androidpublisher_systemapks_variants_list/5","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `package_name` (*type:* `String.t`) - Package name of the app.\n*   `version_code` (*type:* `String.t`) - The version code of the App Bundle.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Systemapks.html#androidpublisher_systemapks_variants_list/5-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Systemapks.androidpublisher_systemapks_variants_list/5","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.SystemApksListResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Systemapks.html#androidpublisher_systemapks_variants_list/5-returns"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Api.Users","doc":"API calls for all endpoints tagged `Users`.","ref":"GoogleApi.AndroidPublisher.V3.Api.Users.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Users.androidpublisher_users_create/4","doc":"Grant access for a user to the given developer account.","ref":"GoogleApi.AndroidPublisher.V3.Api.Users.html#androidpublisher_users_create/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Users.androidpublisher_users_create/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The developer account to add the user to. Format: developers/{developer}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.User.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Users.html#androidpublisher_users_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Users.androidpublisher_users_create/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.User{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Users.html#androidpublisher_users_create/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Users.androidpublisher_users_delete/4","doc":"Removes all access for the user to the given developer account.","ref":"GoogleApi.AndroidPublisher.V3.Api.Users.html#androidpublisher_users_delete/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Users.androidpublisher_users_delete/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the user to delete. Format: developers/{developer}/users/{email}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Users.html#androidpublisher_users_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Users.androidpublisher_users_delete/4","doc":"*   `{:ok, %{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Users.html#androidpublisher_users_delete/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Users.androidpublisher_users_list/4","doc":"Lists all users with access to a developer account.","ref":"GoogleApi.AndroidPublisher.V3.Api.Users.html#androidpublisher_users_list/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Users.androidpublisher_users_list/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The developer account to fetch users from. Format: developers/{developer}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return. This must be set to -1 to disable pagination.\n    *   `:pageToken` (*type:* `String.t`) - A token received from a previous call to this method, in order to retrieve further results.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Users.html#androidpublisher_users_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Users.androidpublisher_users_list/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.ListUsersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Users.html#androidpublisher_users_list/4-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Api.Users.androidpublisher_users_patch/4","doc":"Updates access for the user to the developer account.","ref":"GoogleApi.AndroidPublisher.V3.Api.Users.html#androidpublisher_users_patch/4"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Api.Users.androidpublisher_users_patch/4","doc":"*   `connection` (*type:* `GoogleApi.AndroidPublisher.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name for this user, following the pattern \"developers/{developer}/users/{email}\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. The list of fields to be updated.\n    *   `:body` (*type:* `GoogleApi.AndroidPublisher.V3.Model.User.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AndroidPublisher.V3.Api.Users.html#androidpublisher_users_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Api.Users.androidpublisher_users_patch/4","doc":"*   `{:ok, %GoogleApi.AndroidPublisher.V3.Model.User{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AndroidPublisher.V3.Api.Users.html#androidpublisher_users_patch/4-returns"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Connection","doc":"Handle Tesla connections for GoogleApi.AndroidPublisher.V3.","ref":"GoogleApi.AndroidPublisher.V3.Connection.html"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#get/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#head/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.AndroidPublisher.V3.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.AndroidPublisher.V3.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#options/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#post/4"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#put/4"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.AndroidPublisher.V3.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.AndroidPublisher.V3.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Connection.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.Abi","doc":"Represents an Abi.","ref":"GoogleApi.AndroidPublisher.V3.Model.Abi.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.Abi","doc":"*   `alias` (*type:* `String.t`, *default:* `nil`) - Alias for an abi.","ref":"GoogleApi.AndroidPublisher.V3.Model.Abi.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.Abi.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.Abi.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.Abi.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.Abi.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.AbiTargeting","doc":"Targeting based on Abi.","ref":"GoogleApi.AndroidPublisher.V3.Model.AbiTargeting.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.AbiTargeting","doc":"*   `alternatives` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.Abi.t)`, *default:* `nil`) - Targeting of other sibling directories that were in the Bundle. For main splits this is targeting of other main splits.\n*   `value` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.Abi.t)`, *default:* `nil`) - Value of an abi.","ref":"GoogleApi.AndroidPublisher.V3.Model.AbiTargeting.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.AbiTargeting.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.AbiTargeting.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.AbiTargeting.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.AbiTargeting.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.AcquisitionTargetingRule","doc":"Represents a targeting rule of the form: User never had {scope} before.","ref":"GoogleApi.AndroidPublisher.V3.Model.AcquisitionTargetingRule.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.AcquisitionTargetingRule","doc":"*   `scope` (*type:* `GoogleApi.AndroidPublisher.V3.Model.TargetingRuleScope.t`, *default:* `nil`) - Required. The scope of subscriptions this rule considers. Only allows \"this subscription\" and \"any subscription in app\".","ref":"GoogleApi.AndroidPublisher.V3.Model.AcquisitionTargetingRule.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.AcquisitionTargetingRule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.AcquisitionTargetingRule.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.AcquisitionTargetingRule.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.AcquisitionTargetingRule.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ActivateBasePlanRequest","doc":"Request message for ActivateBasePlan.","ref":"GoogleApi.AndroidPublisher.V3.Model.ActivateBasePlanRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ActivateBasePlanRequest","doc":"*   `basePlanId` (*type:* `String.t`, *default:* `nil`) - Required. The unique base plan ID of the base plan to activate.\n*   `latencyTolerance` (*type:* `String.t`, *default:* `nil`) - Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive.\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - Required. The parent app (package name) of the base plan to activate.\n*   `productId` (*type:* `String.t`, *default:* `nil`) - Required. The parent subscription (ID) of the base plan to activate.","ref":"GoogleApi.AndroidPublisher.V3.Model.ActivateBasePlanRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ActivateBasePlanRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ActivateBasePlanRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ActivateBasePlanRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ActivateBasePlanRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ActivateSubscriptionOfferRequest","doc":"Request message for ActivateSubscriptionOffer.","ref":"GoogleApi.AndroidPublisher.V3.Model.ActivateSubscriptionOfferRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ActivateSubscriptionOfferRequest","doc":"*   `basePlanId` (*type:* `String.t`, *default:* `nil`) - Required. The parent base plan (ID) of the offer to activate.\n*   `latencyTolerance` (*type:* `String.t`, *default:* `nil`) - Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive.\n*   `offerId` (*type:* `String.t`, *default:* `nil`) - Required. The unique offer ID of the offer to activate.\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - Required. The parent app (package name) of the offer to activate.\n*   `productId` (*type:* `String.t`, *default:* `nil`) - Required. The parent subscription (ID) of the offer to activate.","ref":"GoogleApi.AndroidPublisher.V3.Model.ActivateSubscriptionOfferRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ActivateSubscriptionOfferRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ActivateSubscriptionOfferRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ActivateSubscriptionOfferRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ActivateSubscriptionOfferRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.AddTargetingRequest","doc":"Request message for AddTargeting.","ref":"GoogleApi.AndroidPublisher.V3.Model.AddTargetingRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.AddTargetingRequest","doc":"*   `targetingUpdate` (*type:* `GoogleApi.AndroidPublisher.V3.Model.TargetingUpdate.t`, *default:* `nil`) - Specifies targeting updates such as regions, android sdk versions etc.","ref":"GoogleApi.AndroidPublisher.V3.Model.AddTargetingRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.AddTargetingRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.AddTargetingRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.AddTargetingRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.AddTargetingRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.AddTargetingResponse","doc":"Response message for AddTargeting.","ref":"GoogleApi.AndroidPublisher.V3.Model.AddTargetingResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.AddTargetingResponse","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.AddTargetingResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.AddTargetingResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.AddTargetingResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.AddTargetingResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.AddTargetingResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.AllUsers","doc":"Object representation to describe all set of users.","ref":"GoogleApi.AndroidPublisher.V3.Model.AllUsers.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.AllUsers","doc":"*   `isAllUsersRequested` (*type:* `boolean()`, *default:* `nil`) - Required. Set to true if all set of users are needed.","ref":"GoogleApi.AndroidPublisher.V3.Model.AllUsers.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.AllUsers.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.AllUsers.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.AllUsers.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.AllUsers.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.AndroidSdks","doc":"Android api level targeting data for app recovery action targeting.","ref":"GoogleApi.AndroidPublisher.V3.Model.AndroidSdks.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.AndroidSdks","doc":"*   `sdkLevels` (*type:* `list(String.t)`, *default:* `nil`) - Android api levels of devices targeted by recovery action. See https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels for different api levels in android.","ref":"GoogleApi.AndroidPublisher.V3.Model.AndroidSdks.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.AndroidSdks.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.AndroidSdks.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.AndroidSdks.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.AndroidSdks.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.Apk","doc":"Information about an APK. The resource for ApksService.","ref":"GoogleApi.AndroidPublisher.V3.Model.Apk.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.Apk","doc":"*   `binary` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ApkBinary.t`, *default:* `nil`) - Information about the binary payload of this APK.\n*   `versionCode` (*type:* `integer()`, *default:* `nil`) - The version code of the APK, as specified in the manifest file.","ref":"GoogleApi.AndroidPublisher.V3.Model.Apk.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.Apk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.Apk.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.Apk.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.Apk.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ApkBinary","doc":"Represents the binary payload of an APK.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApkBinary.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ApkBinary","doc":"*   `sha1` (*type:* `String.t`, *default:* `nil`) - A sha1 hash of the APK payload, encoded as a hex string and matching the output of the sha1sum command.\n*   `sha256` (*type:* `String.t`, *default:* `nil`) - A sha256 hash of the APK payload, encoded as a hex string and matching the output of the sha256sum command.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApkBinary.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ApkBinary.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApkBinary.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ApkBinary.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ApkBinary.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ApkDescription","doc":"Description of the created apks.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApkDescription.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ApkDescription","doc":"*   `assetSliceMetadata` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SplitApkMetadata.t`, *default:* `nil`) - Set only for asset slices.\n*   `instantApkMetadata` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SplitApkMetadata.t`, *default:* `nil`) - Set only for Instant split APKs.\n*   `path` (*type:* `String.t`, *default:* `nil`) - Path of the Apk, will be in the following format: .apk where DownloadId is the ID used to download the apk using GeneratedApks.Download API.\n*   `splitApkMetadata` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SplitApkMetadata.t`, *default:* `nil`) - Set only for Split APKs.\n*   `standaloneApkMetadata` (*type:* `GoogleApi.AndroidPublisher.V3.Model.StandaloneApkMetadata.t`, *default:* `nil`) - Set only for standalone APKs.\n*   `targeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ApkTargeting.t`, *default:* `nil`) - Apk-level targeting.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApkDescription.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ApkDescription.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApkDescription.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ApkDescription.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ApkDescription.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ApkSet","doc":"A set of apks representing a module.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApkSet.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ApkSet","doc":"*   `apkDescription` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.ApkDescription.t)`, *default:* `nil`) - Description of the generated apks.\n*   `moduleMetadata` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ModuleMetadata.t`, *default:* `nil`) - Metadata about the module represented by this ApkSet","ref":"GoogleApi.AndroidPublisher.V3.Model.ApkSet.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ApkSet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApkSet.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ApkSet.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ApkSet.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ApkTargeting","doc":"Represents a set of apk-level targetings.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApkTargeting.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ApkTargeting","doc":"*   `abiTargeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.AbiTargeting.t`, *default:* `nil`) - The abi that the apk targets\n*   `languageTargeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.LanguageTargeting.t`, *default:* `nil`) - The language that the apk targets\n*   `multiAbiTargeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.MultiAbiTargeting.t`, *default:* `nil`) - Multi-api-level targeting.\n*   `screenDensityTargeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ScreenDensityTargeting.t`, *default:* `nil`) - The screen density that this apk supports.\n*   `sdkVersionTargeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SdkVersionTargeting.t`, *default:* `nil`) - The sdk version that the apk targets\n*   `textureCompressionFormatTargeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormatTargeting.t`, *default:* `nil`) - Texture-compression-format-level targeting","ref":"GoogleApi.AndroidPublisher.V3.Model.ApkTargeting.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ApkTargeting.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApkTargeting.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ApkTargeting.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ApkTargeting.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedRequest","doc":"Request to create a new externally hosted APK.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedRequest","doc":"*   `externallyHostedApk` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ExternallyHostedApk.t`, *default:* `nil`) - The definition of the externally-hosted APK and where it is located.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedResponse","doc":"Response for creating a new externally hosted APK.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedResponse","doc":"*   `externallyHostedApk` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ExternallyHostedApk.t`, *default:* `nil`) - The definition of the externally-hosted APK and where it is located.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ApksAddExternallyHostedResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ApksListResponse","doc":"Response listing all APKs.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApksListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ApksListResponse","doc":"*   `apks` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.Apk.t)`, *default:* `nil`) - All APKs.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - The kind of this response (\"androidpublisher#apksListResponse\").","ref":"GoogleApi.AndroidPublisher.V3.Model.ApksListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ApksListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ApksListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ApksListResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ApksListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.AppDetails","doc":"The app details. The resource for DetailsService.","ref":"GoogleApi.AndroidPublisher.V3.Model.AppDetails.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.AppDetails","doc":"*   `contactEmail` (*type:* `String.t`, *default:* `nil`) - The user-visible support email for this app.\n*   `contactPhone` (*type:* `String.t`, *default:* `nil`) - The user-visible support telephone number for this app.\n*   `contactWebsite` (*type:* `String.t`, *default:* `nil`) - The user-visible website for this app.\n*   `defaultLanguage` (*type:* `String.t`, *default:* `nil`) - Default language code, in BCP 47 format (eg \"en-US\").","ref":"GoogleApi.AndroidPublisher.V3.Model.AppDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.AppDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.AppDetails.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.AppDetails.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.AppDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.AppEdit","doc":"An app edit. The resource for EditsService.","ref":"GoogleApi.AndroidPublisher.V3.Model.AppEdit.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.AppEdit","doc":"*   `expiryTimeSeconds` (*type:* `String.t`, *default:* `nil`) - Output only. The time (as seconds since Epoch) at which the edit will expire and will be no longer valid for use.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Output only. Identifier of the edit. Can be used in subsequent API calls.","ref":"GoogleApi.AndroidPublisher.V3.Model.AppEdit.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.AppEdit.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.AppEdit.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.AppEdit.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.AppEdit.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.AppRecoveryAction","doc":"Information about an app recovery action.","ref":"GoogleApi.AndroidPublisher.V3.Model.AppRecoveryAction.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.AppRecoveryAction","doc":"*   `appRecoveryId` (*type:* `String.t`, *default:* `nil`) - ID corresponding to the app recovery action.\n*   `cancelTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp of when the app recovery action is canceled by the developer. Only set if the recovery action has been canceled.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp of when the app recovery action is created by the developer. It is always set after creation of the recovery action.\n*   `deployTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp of when the app recovery action is deployed to the users. Only set if the recovery action has been deployed.\n*   `lastUpdateTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp of when the developer last updated recovery action. In case the action is cancelled, it corresponds to cancellation time. It is always set after creation of the recovery action.\n*   `remoteInAppUpdateData` (*type:* `GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateData.t`, *default:* `nil`) - Data about the remote in-app update action such as such as recovered user base, recoverable user base etc. Set only if the recovery action type is Remote In-App Update.\n*   `status` (*type:* `String.t`, *default:* `nil`) - The status of the recovery action.\n*   `targeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Targeting.t`, *default:* `nil`) - Specifies targeting criteria for the recovery action such as regions, android sdk versions, app versions etc.","ref":"GoogleApi.AndroidPublisher.V3.Model.AppRecoveryAction.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.AppRecoveryAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.AppRecoveryAction.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.AppRecoveryAction.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.AppRecoveryAction.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.AppVersionList","doc":"Data format for a list of app versions.","ref":"GoogleApi.AndroidPublisher.V3.Model.AppVersionList.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.AppVersionList","doc":"*   `versionCodes` (*type:* `list(String.t)`, *default:* `nil`) - List of app version codes.","ref":"GoogleApi.AndroidPublisher.V3.Model.AppVersionList.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.AppVersionList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.AppVersionList.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.AppVersionList.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.AppVersionList.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.AppVersionRange","doc":"Data format for a continuous range of app versions.","ref":"GoogleApi.AndroidPublisher.V3.Model.AppVersionRange.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.AppVersionRange","doc":"*   `versionCodeEnd` (*type:* `String.t`, *default:* `nil`) - Highest app version in the range, inclusive.\n*   `versionCodeStart` (*type:* `String.t`, *default:* `nil`) - Lowest app version in the range, inclusive.","ref":"GoogleApi.AndroidPublisher.V3.Model.AppVersionRange.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.AppVersionRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.AppVersionRange.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.AppVersionRange.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.AppVersionRange.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ArchiveSubscriptionRequest","doc":"Deprecated: subscription archiving is not supported.","ref":"GoogleApi.AndroidPublisher.V3.Model.ArchiveSubscriptionRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ArchiveSubscriptionRequest","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ArchiveSubscriptionRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ArchiveSubscriptionRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ArchiveSubscriptionRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ArchiveSubscriptionRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ArchiveSubscriptionRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.AssetModuleMetadata","doc":"Metadata of an asset module.","ref":"GoogleApi.AndroidPublisher.V3.Model.AssetModuleMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.AssetModuleMetadata","doc":"*   `deliveryType` (*type:* `String.t`, *default:* `nil`) - Indicates the delivery type for persistent install.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Module name.","ref":"GoogleApi.AndroidPublisher.V3.Model.AssetModuleMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.AssetModuleMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.AssetModuleMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.AssetModuleMetadata.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.AssetModuleMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.AssetSliceSet","doc":"Set of asset slices belonging to a single asset module.","ref":"GoogleApi.AndroidPublisher.V3.Model.AssetSliceSet.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.AssetSliceSet","doc":"*   `apkDescription` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.ApkDescription.t)`, *default:* `nil`) - Asset slices.\n*   `assetModuleMetadata` (*type:* `GoogleApi.AndroidPublisher.V3.Model.AssetModuleMetadata.t`, *default:* `nil`) - Module level metadata.","ref":"GoogleApi.AndroidPublisher.V3.Model.AssetSliceSet.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.AssetSliceSet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.AssetSliceSet.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.AssetSliceSet.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.AssetSliceSet.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.AutoRenewingBasePlanType","doc":"Represents a base plan that automatically renews at the end of its subscription period.","ref":"GoogleApi.AndroidPublisher.V3.Model.AutoRenewingBasePlanType.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.AutoRenewingBasePlanType","doc":"*   `accountHoldDuration` (*type:* `String.t`, *default:* `nil`) - Optional. Account hold period of the subscription, specified in ISO 8601 format. Acceptable values must be in DAYS and in the range P0D (zero days) to P30D (30 days). If not specified, the default value is P30D (30 days).\n*   `billingPeriodDuration` (*type:* `String.t`, *default:* `nil`) - Required. Subscription period, specified in ISO 8601 format. For a list of acceptable billing periods, refer to the help center.\n*   `gracePeriodDuration` (*type:* `String.t`, *default:* `nil`) - Grace period of the subscription, specified in ISO 8601 format. Acceptable values are P0D (zero days), P3D (3 days), P7D (7 days), P14D (14 days), and P30D (30 days). If not specified, a default value will be used based on the recurring period duration.\n*   `legacyCompatible` (*type:* `boolean()`, *default:* `nil`) - Whether the renewing base plan is backward compatible. The backward compatible base plan is returned by the Google Play Billing Library deprecated method querySkuDetailsAsync(). Only one renewing base plan can be marked as legacy compatible for a given subscription.\n*   `legacyCompatibleSubscriptionOfferId` (*type:* `String.t`, *default:* `nil`) - Subscription offer id which is legacy compatible. The backward compatible subscription offer is returned by the Google Play Billing Library deprecated method querySkuDetailsAsync(). Only one subscription offer can be marked as legacy compatible for a given renewing base plan. To have no Subscription offer as legacy compatible set this field as empty string.\n*   `prorationMode` (*type:* `String.t`, *default:* `nil`) - The proration mode for the base plan determines what happens when a user switches to this plan from another base plan. If unspecified, defaults to CHARGE_ON_NEXT_BILLING_DATE.\n*   `resubscribeState` (*type:* `String.t`, *default:* `nil`) - Whether users should be able to resubscribe to this base plan in Google Play surfaces. Defaults to RESUBSCRIBE_STATE_ACTIVE if not specified.","ref":"GoogleApi.AndroidPublisher.V3.Model.AutoRenewingBasePlanType.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.AutoRenewingBasePlanType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.AutoRenewingBasePlanType.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.AutoRenewingBasePlanType.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.AutoRenewingBasePlanType.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.AutoRenewingPlan","doc":"Information related to an auto renewing plan.","ref":"GoogleApi.AndroidPublisher.V3.Model.AutoRenewingPlan.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.AutoRenewingPlan","doc":"*   `autoRenewEnabled` (*type:* `boolean()`, *default:* `nil`) - If the subscription is currently set to auto-renew, e.g. the user has not canceled the subscription\n*   `priceChangeDetails` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SubscriptionItemPriceChangeDetails.t`, *default:* `nil`) - The information of the last price change for the item since subscription signup.","ref":"GoogleApi.AndroidPublisher.V3.Model.AutoRenewingPlan.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.AutoRenewingPlan.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.AutoRenewingPlan.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.AutoRenewingPlan.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.AutoRenewingPlan.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.BasePlan","doc":"A single base plan for a subscription.","ref":"GoogleApi.AndroidPublisher.V3.Model.BasePlan.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.BasePlan","doc":"*   `autoRenewingBasePlanType` (*type:* `GoogleApi.AndroidPublisher.V3.Model.AutoRenewingBasePlanType.t`, *default:* `nil`) - Set when the base plan automatically renews at a regular interval.\n*   `basePlanId` (*type:* `String.t`, *default:* `nil`) - Required. Immutable. The unique identifier of this base plan. Must be unique within the subscription, and conform with RFC-1034. That is, this ID can only contain lower-case letters (a-z), numbers (0-9), and hyphens (-), and be at most 63 characters.\n*   `offerTags` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.OfferTag.t)`, *default:* `nil`) - List of up to 20 custom tags specified for this base plan, and returned to the app through the billing library. Subscription offers for this base plan will also receive these offer tags in the billing library.\n*   `otherRegionsConfig` (*type:* `GoogleApi.AndroidPublisher.V3.Model.OtherRegionsBasePlanConfig.t`, *default:* `nil`) - Pricing information for any new locations Play may launch in the future. If omitted, the BasePlan will not be automatically available any new locations Play may launch in the future.\n*   `prepaidBasePlanType` (*type:* `GoogleApi.AndroidPublisher.V3.Model.PrepaidBasePlanType.t`, *default:* `nil`) - Set when the base plan does not automatically renew at the end of the billing period.\n*   `regionalConfigs` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.RegionalBasePlanConfig.t)`, *default:* `nil`) - Region-specific information for this base plan.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The state of the base plan, i.e. whether it's active. Draft and inactive base plans can be activated or deleted. Active base plans can be made inactive. Inactive base plans can be canceled. This field cannot be changed by updating the resource. Use the dedicated endpoints instead.","ref":"GoogleApi.AndroidPublisher.V3.Model.BasePlan.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.BasePlan.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.BasePlan.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.BasePlan.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.BasePlan.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersRequest","doc":"Request message for BatchGetSubscriptionOffers endpoint.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersRequest","doc":"*   `requests` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.GetSubscriptionOfferRequest.t)`, *default:* `nil`) - Required. A list of update requests of up to 100 elements. All requests must update different subscriptions.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersResponse","doc":"Response message for BatchGetSubscriptionOffers endpoint.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersResponse","doc":"*   `subscriptionOffers` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer.t)`, *default:* `nil`) -","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionOffersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionsResponse","doc":"Response message for BatchGetSubscriptions endpoint.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionsResponse","doc":"*   `subscriptions` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.Subscription.t)`, *default:* `nil`) - The list of requested subscriptions, in the same order as the request.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionsResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchGetSubscriptionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesRequest","doc":"Request message for BatchMigrateBasePlanPrices.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesRequest","doc":"*   `requests` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesRequest.t)`, *default:* `nil`) - Required. Up to 100 price migration requests. All requests must update different base plans.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesResponse","doc":"Response message for BatchMigrateBasePlanPrices.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesResponse","doc":"*   `responses` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesResponse.t)`, *default:* `nil`) - Contains one response per requested price migration, in the same order as the request.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchMigrateBasePlanPricesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesRequest","doc":"Request message for BatchUpdateBasePlanStates.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesRequest","doc":"*   `requests` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.UpdateBasePlanStateRequest.t)`, *default:* `nil`) - Required. The update request list of up to 100 elements. All requests must update different base plans.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesResponse","doc":"Response message for BatchUpdateBasePlanStates.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesResponse","doc":"*   `subscriptions` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.Subscription.t)`, *default:* `nil`) - The list of updated subscriptions. This list will match the requests one to one, in the same order.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateBasePlanStatesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesRequest","doc":"Request message for BatchUpdateSubscriptionOfferStates.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesRequest","doc":"*   `requests` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferStateRequest.t)`, *default:* `nil`) - Required. The update request list of up to 100 elements. All requests must update different offers.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesResponse","doc":"Response message for BatchUpdateSubscriptionOfferStates.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesResponse","doc":"*   `subscriptionOffers` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer.t)`, *default:* `nil`) - The updated subscription offers list.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOfferStatesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersRequest","doc":"Request message for BatchUpdateSubscriptionOffers.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersRequest","doc":"*   `requests` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferRequest.t)`, *default:* `nil`) - Required. A list of update requests of up to 100 elements. All requests must update different subscription offers.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersResponse","doc":"Response message for BatchUpdateSubscriptionOffers.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersResponse","doc":"*   `subscriptionOffers` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer.t)`, *default:* `nil`) - The updated subscription offers list.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionOffersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsRequest","doc":"Request message for BatchUpdateSubscription.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsRequest","doc":"*   `requests` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionRequest.t)`, *default:* `nil`) - Required. A list of update requests of up to 100 elements. All requests must update different subscriptions.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsResponse","doc":"Response message for BatchUpdateSubscription.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsResponse","doc":"*   `subscriptions` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.Subscription.t)`, *default:* `nil`) - The updated subscriptions list.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.BatchUpdateSubscriptionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.Bundle","doc":"Information about an app bundle. The resource for BundlesService.","ref":"GoogleApi.AndroidPublisher.V3.Model.Bundle.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.Bundle","doc":"*   `sha1` (*type:* `String.t`, *default:* `nil`) - A sha1 hash of the upload payload, encoded as a hex string and matching the output of the sha1sum command.\n*   `sha256` (*type:* `String.t`, *default:* `nil`) - A sha256 hash of the upload payload, encoded as a hex string and matching the output of the sha256sum command.\n*   `versionCode` (*type:* `integer()`, *default:* `nil`) - The version code of the Android App Bundle, as specified in the Android App Bundle's base module APK manifest file.","ref":"GoogleApi.AndroidPublisher.V3.Model.Bundle.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.Bundle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.Bundle.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.Bundle.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.Bundle.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.BundlesListResponse","doc":"Response listing all app bundles.","ref":"GoogleApi.AndroidPublisher.V3.Model.BundlesListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.BundlesListResponse","doc":"*   `bundles` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.Bundle.t)`, *default:* `nil`) - All app bundles.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - The kind of this response (\"androidpublisher#bundlesListResponse\").","ref":"GoogleApi.AndroidPublisher.V3.Model.BundlesListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.BundlesListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.BundlesListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.BundlesListResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.BundlesListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryRequest","doc":"Request message for CancelAppRecovery.","ref":"GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryRequest","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryResponse","doc":"Response message for CancelAppRecovery.","ref":"GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryResponse","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.CancelAppRecoveryResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.CancelSurveyResult","doc":"Result of the cancel survey when the subscription was canceled by the user.","ref":"GoogleApi.AndroidPublisher.V3.Model.CancelSurveyResult.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.CancelSurveyResult","doc":"*   `reason` (*type:* `String.t`, *default:* `nil`) - The reason the user selected in the cancel survey.\n*   `reasonUserInput` (*type:* `String.t`, *default:* `nil`) - Only set for CANCEL_SURVEY_REASON_OTHERS. This is the user's freeform response to the survey.","ref":"GoogleApi.AndroidPublisher.V3.Model.CancelSurveyResult.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.CancelSurveyResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.CancelSurveyResult.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.CancelSurveyResult.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.CancelSurveyResult.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.CanceledStateContext","doc":"Information specific to a subscription in canceled state.","ref":"GoogleApi.AndroidPublisher.V3.Model.CanceledStateContext.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.CanceledStateContext","doc":"*   `developerInitiatedCancellation` (*type:* `GoogleApi.AndroidPublisher.V3.Model.DeveloperInitiatedCancellation.t`, *default:* `nil`) - Subscription was canceled by the developer.\n*   `replacementCancellation` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ReplacementCancellation.t`, *default:* `nil`) - Subscription was replaced by a new subscription.\n*   `systemInitiatedCancellation` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SystemInitiatedCancellation.t`, *default:* `nil`) - Subscription was canceled by the system, for example because of a billing problem.\n*   `userInitiatedCancellation` (*type:* `GoogleApi.AndroidPublisher.V3.Model.UserInitiatedCancellation.t`, *default:* `nil`) - Subscription was canceled by user.","ref":"GoogleApi.AndroidPublisher.V3.Model.CanceledStateContext.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.CanceledStateContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.CanceledStateContext.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.CanceledStateContext.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.CanceledStateContext.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.Comment","doc":"An entry of conversation between user and developer.","ref":"GoogleApi.AndroidPublisher.V3.Model.Comment.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.Comment","doc":"*   `developerComment` (*type:* `GoogleApi.AndroidPublisher.V3.Model.DeveloperComment.t`, *default:* `nil`) - A comment from a developer.\n*   `userComment` (*type:* `GoogleApi.AndroidPublisher.V3.Model.UserComment.t`, *default:* `nil`) - A comment from a user.","ref":"GoogleApi.AndroidPublisher.V3.Model.Comment.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.Comment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.Comment.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.Comment.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.Comment.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesRequest","doc":"Request message for ConvertRegionPrices.","ref":"GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesRequest","doc":"*   `price` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Money.t`, *default:* `nil`) - The intital price to convert other regions from. Tax exclusive.","ref":"GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesResponse","doc":"Response message for ConvertRegionPrices.","ref":"GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesResponse","doc":"*   `convertedOtherRegionsPrice` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ConvertedOtherRegionsPrice.t`, *default:* `nil`) - Converted other regions prices in USD and EUR, to use for countries where Play doesn't support a country's local currency.\n*   `convertedRegionPrices` (*type:* `%{optional(String.t) => GoogleApi.AndroidPublisher.V3.Model.ConvertedRegionPrice.t}`, *default:* `nil`) - Map from region code to converted region price.","ref":"GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ConvertRegionPricesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ConvertedOtherRegionsPrice","doc":"Converted other regions prices.","ref":"GoogleApi.AndroidPublisher.V3.Model.ConvertedOtherRegionsPrice.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ConvertedOtherRegionsPrice","doc":"*   `eurPrice` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Money.t`, *default:* `nil`) - Price in EUR to use for the \"Other regions\" location exclusive of taxes.\n*   `usdPrice` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Money.t`, *default:* `nil`) - Price in USD to use for the \"Other regions\" location exclusive of taxes.","ref":"GoogleApi.AndroidPublisher.V3.Model.ConvertedOtherRegionsPrice.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ConvertedOtherRegionsPrice.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ConvertedOtherRegionsPrice.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ConvertedOtherRegionsPrice.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ConvertedOtherRegionsPrice.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ConvertedRegionPrice","doc":"A converted region price.","ref":"GoogleApi.AndroidPublisher.V3.Model.ConvertedRegionPrice.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ConvertedRegionPrice","doc":"*   `price` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Money.t`, *default:* `nil`) - The converted price tax inclusive.\n*   `regionCode` (*type:* `String.t`, *default:* `nil`) - The region code of the region.\n*   `taxAmount` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Money.t`, *default:* `nil`) - The tax amount of the converted price.","ref":"GoogleApi.AndroidPublisher.V3.Model.ConvertedRegionPrice.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ConvertedRegionPrice.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ConvertedRegionPrice.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ConvertedRegionPrice.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ConvertedRegionPrice.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.CountryTargeting","doc":"Country targeting specification.","ref":"GoogleApi.AndroidPublisher.V3.Model.CountryTargeting.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.CountryTargeting","doc":"*   `countries` (*type:* `list(String.t)`, *default:* `nil`) - Countries to target, specified as two letter [CLDR codes](https://unicode.org/cldr/charts/latest/supplemental/territory_containment_un_m_49.html).\n*   `includeRestOfWorld` (*type:* `boolean()`, *default:* `nil`) - Include \"rest of world\" as well as explicitly targeted countries.","ref":"GoogleApi.AndroidPublisher.V3.Model.CountryTargeting.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.CountryTargeting.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.CountryTargeting.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.CountryTargeting.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.CountryTargeting.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.CreateDraftAppRecoveryRequest","doc":"Request message for CreateDraftAppRecovery.","ref":"GoogleApi.AndroidPublisher.V3.Model.CreateDraftAppRecoveryRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.CreateDraftAppRecoveryRequest","doc":"*   `remoteInAppUpdate` (*type:* `GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdate.t`, *default:* `nil`) - Action type is remote in-app update. As a consequence of this action, a downloadable recovery module is also created for testing purposes.\n*   `targeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Targeting.t`, *default:* `nil`) - Specifies targeting criteria for the recovery action such as regions, android sdk versions, app versions etc.","ref":"GoogleApi.AndroidPublisher.V3.Model.CreateDraftAppRecoveryRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.CreateDraftAppRecoveryRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.CreateDraftAppRecoveryRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.CreateDraftAppRecoveryRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.CreateDraftAppRecoveryRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeactivateBasePlanRequest","doc":"Request message for DeactivateBasePlan.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeactivateBasePlanRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeactivateBasePlanRequest","doc":"*   `basePlanId` (*type:* `String.t`, *default:* `nil`) - Required. The unique base plan ID of the base plan to deactivate.\n*   `latencyTolerance` (*type:* `String.t`, *default:* `nil`) - Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive.\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - Required. The parent app (package name) of the base plan to deactivate.\n*   `productId` (*type:* `String.t`, *default:* `nil`) - Required. The parent subscription (ID) of the base plan to deactivate.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeactivateBasePlanRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeactivateBasePlanRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeactivateBasePlanRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeactivateBasePlanRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeactivateBasePlanRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeactivateSubscriptionOfferRequest","doc":"Request message for DeactivateSubscriptionOffer.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeactivateSubscriptionOfferRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeactivateSubscriptionOfferRequest","doc":"*   `basePlanId` (*type:* `String.t`, *default:* `nil`) - Required. The parent base plan (ID) of the offer to deactivate.\n*   `latencyTolerance` (*type:* `String.t`, *default:* `nil`) - Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive.\n*   `offerId` (*type:* `String.t`, *default:* `nil`) - Required. The unique offer ID of the offer to deactivate.\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - Required. The parent app (package name) of the offer to deactivate.\n*   `productId` (*type:* `String.t`, *default:* `nil`) - Required. The parent subscription (ID) of the offer to deactivate.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeactivateSubscriptionOfferRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeactivateSubscriptionOfferRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeactivateSubscriptionOfferRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeactivateSubscriptionOfferRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeactivateSubscriptionOfferRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeferredItemReplacement","doc":"Information related to deferred item replacement.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeferredItemReplacement.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeferredItemReplacement","doc":"*   `productId` (*type:* `String.t`, *default:* `nil`) - The product_id going to replace the existing product_id.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeferredItemReplacement.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeferredItemReplacement.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeferredItemReplacement.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeferredItemReplacement.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeferredItemReplacement.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFile","doc":"Represents a deobfuscation file.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFile.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFile","doc":"*   `symbolType` (*type:* `String.t`, *default:* `nil`) - The type of the deobfuscation file.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFile.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFile.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFile.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFile.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFile.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFilesUploadResponse","doc":"Responses for the upload.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFilesUploadResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFilesUploadResponse","doc":"*   `deobfuscationFile` (*type:* `GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFile.t`, *default:* `nil`) - The uploaded Deobfuscation File configuration.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFilesUploadResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFilesUploadResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFilesUploadResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFilesUploadResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeobfuscationFilesUploadResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryRequest","doc":"Request message for DeployAppRecovery.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryRequest","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryResponse","doc":"Response message for DeployAppRecovery.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryResponse","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeployAppRecoveryResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeveloperComment","doc":"Developer entry from conversation between user and developer.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeveloperComment.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeveloperComment","doc":"*   `lastModified` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Timestamp.t`, *default:* `nil`) - The last time at which this comment was updated.\n*   `text` (*type:* `String.t`, *default:* `nil`) - The content of the comment, i.e. reply body.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeveloperComment.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeveloperComment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeveloperComment.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeveloperComment.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeveloperComment.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeveloperInitiatedCancellation","doc":"Information specific to cancellations initiated by developers.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeveloperInitiatedCancellation.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeveloperInitiatedCancellation","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeveloperInitiatedCancellation.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeveloperInitiatedCancellation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeveloperInitiatedCancellation.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeveloperInitiatedCancellation.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeveloperInitiatedCancellation.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceFeature","doc":"Represents a device feature.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceFeature.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeviceFeature","doc":"*   `featureName` (*type:* `String.t`, *default:* `nil`) - Name of the feature.\n*   `featureVersion` (*type:* `integer()`, *default:* `nil`) - The feature version specified by android:glEsVersion or android:version in in the AndroidManifest.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceFeature.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceFeature.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceFeature.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceFeature.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceFeature.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceFeatureTargeting","doc":"Targeting for a device feature.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceFeatureTargeting.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeviceFeatureTargeting","doc":"*   `requiredFeature` (*type:* `GoogleApi.AndroidPublisher.V3.Model.DeviceFeature.t`, *default:* `nil`) - Feature of the device.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceFeatureTargeting.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceFeatureTargeting.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceFeatureTargeting.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceFeatureTargeting.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceFeatureTargeting.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceGroup","doc":"A group of devices. A group is defined by a set of device selectors. A device belongs to the group if it matches any selector (logical OR).","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceGroup.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeviceGroup","doc":"*   `deviceSelectors` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.DeviceSelector.t)`, *default:* `nil`) - Device selectors for this group. A device matching any of the selectors is included in this group.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the group.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceGroup.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceGroup.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceGroup.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceGroup.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceGroup.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceId","doc":"Identifier of a device.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceId.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeviceId","doc":"*   `buildBrand` (*type:* `String.t`, *default:* `nil`) - Value of Build.BRAND.\n*   `buildDevice` (*type:* `String.t`, *default:* `nil`) - Value of Build.DEVICE.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceId.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceId.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceId.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceId.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceId.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceMetadata","doc":"Characteristics of the user's device.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeviceMetadata","doc":"*   `cpuMake` (*type:* `String.t`, *default:* `nil`) - Device CPU make, e.g. \"Qualcomm\"\n*   `cpuModel` (*type:* `String.t`, *default:* `nil`) - Device CPU model, e.g. \"MSM8974\"\n*   `deviceClass` (*type:* `String.t`, *default:* `nil`) - Device class (e.g. tablet)\n*   `glEsVersion` (*type:* `integer()`, *default:* `nil`) - OpenGL version\n*   `manufacturer` (*type:* `String.t`, *default:* `nil`) - Device manufacturer (e.g. Motorola)\n*   `nativePlatform` (*type:* `String.t`, *default:* `nil`) - Comma separated list of native platforms (e.g. \"arm\", \"arm7\")\n*   `productName` (*type:* `String.t`, *default:* `nil`) - Device model name (e.g. Droid)\n*   `ramMb` (*type:* `integer()`, *default:* `nil`) - Device RAM in Megabytes, e.g. \"2048\"\n*   `screenDensityDpi` (*type:* `integer()`, *default:* `nil`) - Screen density in DPI\n*   `screenHeightPx` (*type:* `integer()`, *default:* `nil`) - Screen height in pixels\n*   `screenWidthPx` (*type:* `integer()`, *default:* `nil`) - Screen width in pixels","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceMetadata.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceRam","doc":"Conditions about a device's RAM capabilities.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceRam.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeviceRam","doc":"*   `maxBytes` (*type:* `String.t`, *default:* `nil`) - Maximum RAM in bytes (bound excluded).\n*   `minBytes` (*type:* `String.t`, *default:* `nil`) - Minimum RAM in bytes (bound included).","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceRam.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceRam.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceRam.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceRam.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceRam.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceSelector","doc":"Selector for a device group. A selector consists of a set of conditions on the device that should all match (logical AND) to determine a device group eligibility. For instance, if a selector specifies RAM conditions, device model inclusion and device model exclusion, a device is considered to match if: device matches RAM conditions AND device matches one of the included device models AND device doesn't match excluded device models","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceSelector.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeviceSelector","doc":"*   `deviceRam` (*type:* `GoogleApi.AndroidPublisher.V3.Model.DeviceRam.t`, *default:* `nil`) - Conditions on the device's RAM.\n*   `excludedDeviceIds` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.DeviceId.t)`, *default:* `nil`) - Device models excluded by this selector, even if they match all other conditions.\n*   `forbiddenSystemFeatures` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.SystemFeature.t)`, *default:* `nil`) - A device that has any of these system features is excluded by this selector, even if it matches all other conditions.\n*   `includedDeviceIds` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.DeviceId.t)`, *default:* `nil`) - Device models included by this selector.\n*   `requiredSystemFeatures` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.SystemFeature.t)`, *default:* `nil`) - A device needs to have all these system features to be included by the selector.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceSelector.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceSelector.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceSelector.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceSelector.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceSelector.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceSpec","doc":"The device spec used to generate a system APK.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceSpec.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeviceSpec","doc":"*   `screenDensity` (*type:* `integer()`, *default:* `nil`) - Screen dpi.\n*   `supportedAbis` (*type:* `list(String.t)`, *default:* `nil`) - Supported ABI architectures in the order of preference. The values should be the string as reported by the platform, e.g. \"armeabi-v7a\", \"x86_64\".\n*   `supportedLocales` (*type:* `list(String.t)`, *default:* `nil`) - All installed locales represented as BCP-47 strings, e.g. \"en-US\".","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceSpec.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceSpec.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceTier","doc":"A single device tier. Devices matching any of the device groups in device_group_names are considered to match the tier.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceTier.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeviceTier","doc":"*   `deviceGroupNames` (*type:* `list(String.t)`, *default:* `nil`) - Groups of devices included in this tier. These groups must be defined explicitly under device_groups in this configuration.\n*   `level` (*type:* `integer()`, *default:* `nil`) - The priority level of the tier. Tiers are evaluated in descending order of level: the highest level tier has the highest priority. The highest tier matching a given device is selected for that device. You should use a contiguous range of levels for your tiers in a tier set; tier levels in a tier set must be unique. For instance, if your tier set has 4 tiers (including the global fallback), you should define tiers 1, 2 and 3 in this configuration. Note: tier 0 is implicitly defined as a global fallback and selected for devices that don't match any of the tiers explicitly defined here. You mustn't define level 0 explicitly in this configuration.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceTier.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceTier.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceTier.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceTier.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceTier.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceTierConfig","doc":"Configuration describing device targeting criteria for the content of an app.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceTierConfig.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeviceTierConfig","doc":"*   `deviceGroups` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.DeviceGroup.t)`, *default:* `nil`) - Definition of device groups for the app.\n*   `deviceTierConfigId` (*type:* `String.t`, *default:* `nil`) - Output only. The device tier config ID.\n*   `deviceTierSet` (*type:* `GoogleApi.AndroidPublisher.V3.Model.DeviceTierSet.t`, *default:* `nil`) - Definition of the set of device tiers for the app.\n*   `userCountrySets` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.UserCountrySet.t)`, *default:* `nil`) - Definition of user country sets for the app.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceTierConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceTierConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceTierConfig.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceTierConfig.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceTierConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceTierSet","doc":"A set of device tiers. A tier set determines what variation of app content gets served to a specific device, for device-targeted content. You should assign a priority level to each tier, which determines the ordering by which they are evaluated by Play. See the documentation of DeviceTier.level for more details.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceTierSet.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.DeviceTierSet","doc":"*   `deviceTiers` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.DeviceTier.t)`, *default:* `nil`) - Device tiers belonging to the set.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceTierSet.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceTierSet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceTierSet.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.DeviceTierSet.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.DeviceTierSet.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ExpansionFile","doc":"An expansion file. The resource for ExpansionFilesService.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExpansionFile.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ExpansionFile","doc":"*   `fileSize` (*type:* `String.t`, *default:* `nil`) - If set, this field indicates that this APK has an expansion file uploaded to it: this APK does not reference another APK's expansion file. The field's value is the size of the uploaded expansion file in bytes.\n*   `referencesVersion` (*type:* `integer()`, *default:* `nil`) - If set, this APK's expansion file references another APK's expansion file. The file_size field will not be set.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExpansionFile.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ExpansionFile.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExpansionFile.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ExpansionFile.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ExpansionFile.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ExpansionFilesUploadResponse","doc":"Response for uploading an expansion file.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExpansionFilesUploadResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ExpansionFilesUploadResponse","doc":"*   `expansionFile` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ExpansionFile.t`, *default:* `nil`) - The uploaded expansion file configuration.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExpansionFilesUploadResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ExpansionFilesUploadResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExpansionFilesUploadResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ExpansionFilesUploadResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ExpansionFilesUploadResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ExternalAccountIdentifiers","doc":"User account identifier in the third-party service.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalAccountIdentifiers.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ExternalAccountIdentifiers","doc":"*   `externalAccountId` (*type:* `String.t`, *default:* `nil`) - User account identifier in the third-party service. Only present if account linking happened as part of the subscription purchase flow.\n*   `obfuscatedExternalAccountId` (*type:* `String.t`, *default:* `nil`) - An obfuscated version of the id that is uniquely associated with the user's account in your app. Present for the following purchases: * If account linking happened as part of the subscription purchase flow. * It was specified using https://developer.android.com/reference/com/android/billingclient/api/BillingFlowParams.Builder#setobfuscatedaccountid when the purchase was made.\n*   `obfuscatedExternalProfileId` (*type:* `String.t`, *default:* `nil`) - An obfuscated version of the id that is uniquely associated with the user's profile in your app. Only present if specified using https://developer.android.com/reference/com/android/billingclient/api/BillingFlowParams.Builder#setobfuscatedprofileid when the purchase was made.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalAccountIdentifiers.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ExternalAccountIdentifiers.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalAccountIdentifiers.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ExternalAccountIdentifiers.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalAccountIdentifiers.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ExternalSubscription","doc":"Details of an external subscription.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalSubscription.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ExternalSubscription","doc":"*   `subscriptionType` (*type:* `String.t`, *default:* `nil`) - Required. The type of the external subscription.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalSubscription.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ExternalSubscription.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalSubscription.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ExternalSubscription.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalSubscription.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransaction","doc":"The details of an external transaction.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransaction.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ExternalTransaction","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when this transaction was created. This is the time when Google was notified of the transaction.\n*   `currentPreTaxAmount` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Price.t`, *default:* `nil`) - Output only. The current transaction amount before tax. This represents the current pre-tax amount including any refunds that may have been applied to this transaction.\n*   `currentTaxAmount` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Price.t`, *default:* `nil`) - Output only. The current tax amount. This represents the current tax amount including any refunds that may have been applied to this transaction.\n*   `externalTransactionId` (*type:* `String.t`, *default:* `nil`) - Output only. The id of this transaction. All transaction ids under the same package name must be unique. Set when creating the external transaction.\n*   `oneTimeTransaction` (*type:* `GoogleApi.AndroidPublisher.V3.Model.OneTimeExternalTransaction.t`, *default:* `nil`) - This is a one-time transaction and not part of a subscription.\n*   `originalPreTaxAmount` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Price.t`, *default:* `nil`) - Required. The original transaction amount before taxes. This represents the pre-tax amount originally notified to Google before any refunds were applied.\n*   `originalTaxAmount` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Price.t`, *default:* `nil`) - Required. The original tax amount. This represents the tax amount originally notified to Google before any refunds were applied.\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - Output only. The resource name of the external transaction. The package name of the application the inapp products were sold (for example, 'com.some.app').\n*   `recurringTransaction` (*type:* `GoogleApi.AndroidPublisher.V3.Model.RecurringExternalTransaction.t`, *default:* `nil`) - This transaction is part of a recurring series of transactions.\n*   `testPurchase` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionTestPurchase.t`, *default:* `nil`) - Output only. If set, this transaction was a test purchase. Google will not charge for a test transaction.\n*   `transactionState` (*type:* `String.t`, *default:* `nil`) - Output only. The current state of the transaction.\n*   `transactionTime` (*type:* `DateTime.t`, *default:* `nil`) - Required. The time when the transaction was completed.\n*   `userTaxAddress` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionAddress.t`, *default:* `nil`) - Required. User address for tax computation.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransaction.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransaction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransaction.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransaction.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransaction.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionAddress","doc":"User's address for the external transaction.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionAddress.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionAddress","doc":"*   `administrativeArea` (*type:* `String.t`, *default:* `nil`) - Optional. Top-level administrative subdivision of the country/region. Only required for transactions in India. Valid values are \"ANDAMAN AND NICOBAR ISLANDS\", \"ANDHRA PRADESH\", \"ARUNACHAL PRADESH\", \"ASSAM\", \"BIHAR\", \"CHANDIGARH\", \"CHHATTISGARH\", \"DADRA AND NAGAR HAVELI\", \"DADRA AND NAGAR HAVELI AND DAMAN AND DIU\", \"DAMAN AND DIU\", \"DELHI\", \"GOA\", \"GUJARAT\", \"HARYANA\", \"HIMACHAL PRADESH\", \"JAMMU AND KASHMIR\", \"JHARKHAND\", \"KARNATAKA\", \"KERALA\", \"LADAKH\", \"LAKSHADWEEP\", \"MADHYA PRADESH\", \"MAHARASHTRA\", \"MANIPUR\", \"MEGHALAYA\", \"MIZORAM\", \"NAGALAND\", \"ODISHA\", \"PUDUCHERRY\", \"PUNJAB\", \"RAJASTHAN\", \"SIKKIM\", \"TAMIL NADU\", \"TELANGANA\", \"TRIPURA\", \"UTTAR PRADESH\", \"UTTARAKHAND\", and \"WEST BENGAL\".\n*   `regionCode` (*type:* `String.t`, *default:* `nil`) - Required. Two letter region code based on ISO-3166-1 Alpha-2 (UN region codes).","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionAddress.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionAddress.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionAddress.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionAddress.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionAddress.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionTestPurchase","doc":"Represents a transaction performed using a test account. These transactions will not be charged by Google.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionTestPurchase.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionTestPurchase","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionTestPurchase.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionTestPurchase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionTestPurchase.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionTestPurchase.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternalTransactionTestPurchase.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ExternallyHostedApk","doc":"Defines an APK available for this application that is hosted externally and not uploaded to Google Play. This function is only available to organizations using Managed Play whose application is configured to restrict distribution to the organizations.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternallyHostedApk.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ExternallyHostedApk","doc":"*   `applicationLabel` (*type:* `String.t`, *default:* `nil`) - The application label.\n*   `certificateBase64s` (*type:* `list(String.t)`, *default:* `nil`) - A certificate (or array of certificates if a certificate-chain is used) used to sign this APK, represented as a base64 encoded byte array.\n*   `externallyHostedUrl` (*type:* `String.t`, *default:* `nil`) - The URL at which the APK is hosted. This must be an https URL.\n*   `fileSha1Base64` (*type:* `String.t`, *default:* `nil`) - The sha1 checksum of this APK, represented as a base64 encoded byte array.\n*   `fileSha256Base64` (*type:* `String.t`, *default:* `nil`) - The sha256 checksum of this APK, represented as a base64 encoded byte array.\n*   `fileSize` (*type:* `String.t`, *default:* `nil`) - The file size in bytes of this APK.\n*   `iconBase64` (*type:* `String.t`, *default:* `nil`) - The icon image from the APK, as a base64 encoded byte array.\n*   `maximumSdk` (*type:* `integer()`, *default:* `nil`) - The maximum SDK supported by this APK (optional).\n*   `minimumSdk` (*type:* `integer()`, *default:* `nil`) - The minimum SDK targeted by this APK.\n*   `nativeCodes` (*type:* `list(String.t)`, *default:* `nil`) - The native code environments supported by this APK (optional).\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - The package name.\n*   `usesFeatures` (*type:* `list(String.t)`, *default:* `nil`) - The features required by this APK (optional).\n*   `usesPermissions` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.UsesPermission.t)`, *default:* `nil`) - The permissions requested by this APK.\n*   `versionCode` (*type:* `integer()`, *default:* `nil`) - The version code of this APK.\n*   `versionName` (*type:* `String.t`, *default:* `nil`) - The version name of this APK.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternallyHostedApk.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ExternallyHostedApk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternallyHostedApk.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ExternallyHostedApk.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ExternallyHostedApk.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.FullRefund","doc":"A full refund of the remaining amount of a transaction.","ref":"GoogleApi.AndroidPublisher.V3.Model.FullRefund.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.FullRefund","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.FullRefund.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.FullRefund.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.FullRefund.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.FullRefund.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.FullRefund.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedApksListResponse","doc":"Response to list generated APKs.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedApksListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.GeneratedApksListResponse","doc":"*   `generatedApks` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.GeneratedApksPerSigningKey.t)`, *default:* `nil`) - All generated APKs, grouped by the APK signing key.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedApksListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedApksListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedApksListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedApksListResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedApksListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedApksPerSigningKey","doc":"Download metadata for split, standalone and universal APKs, as well as asset pack slices, signed with a given key.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedApksPerSigningKey.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.GeneratedApksPerSigningKey","doc":"*   `certificateSha256Hash` (*type:* `String.t`, *default:* `nil`) - SHA256 hash of the APK signing public key certificate.\n*   `generatedAssetPackSlices` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.GeneratedAssetPackSlice.t)`, *default:* `nil`) - List of asset pack slices which will be served for this app bundle, signed with a key corresponding to certificate_sha256_hash.\n*   `generatedRecoveryModules` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.GeneratedRecoveryApk.t)`, *default:* `nil`) - Generated recovery apks for recovery actions signed with a key corresponding to certificate_sha256_hash. This includes all generated recovery APKs, also those in draft or cancelled state. This field is not set if no recovery actions were created for this signing key.\n*   `generatedSplitApks` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.GeneratedSplitApk.t)`, *default:* `nil`) - List of generated split APKs, signed with a key corresponding to certificate_sha256_hash.\n*   `generatedStandaloneApks` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.GeneratedStandaloneApk.t)`, *default:* `nil`) - List of generated standalone APKs, signed with a key corresponding to certificate_sha256_hash.\n*   `generatedUniversalApk` (*type:* `GoogleApi.AndroidPublisher.V3.Model.GeneratedUniversalApk.t`, *default:* `nil`) - Generated universal APK, signed with a key corresponding to certificate_sha256_hash. This field is not set if no universal APK was generated for this signing key.\n*   `targetingInfo` (*type:* `GoogleApi.AndroidPublisher.V3.Model.TargetingInfo.t`, *default:* `nil`) - Contains targeting information about the generated apks.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedApksPerSigningKey.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedApksPerSigningKey.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedApksPerSigningKey.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedApksPerSigningKey.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedApksPerSigningKey.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedAssetPackSlice","doc":"Download metadata for an asset pack slice.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedAssetPackSlice.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.GeneratedAssetPackSlice","doc":"*   `downloadId` (*type:* `String.t`, *default:* `nil`) - Download ID, which uniquely identifies the APK to download. Should be supplied to `generatedapks.download` method.\n*   `moduleName` (*type:* `String.t`, *default:* `nil`) - Name of the module that this asset slice belongs to.\n*   `sliceId` (*type:* `String.t`, *default:* `nil`) - Asset slice ID.\n*   `version` (*type:* `String.t`, *default:* `nil`) - Asset module version.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedAssetPackSlice.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedAssetPackSlice.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedAssetPackSlice.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedAssetPackSlice.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedAssetPackSlice.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedRecoveryApk","doc":"Download metadata for an app recovery module.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedRecoveryApk.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.GeneratedRecoveryApk","doc":"*   `downloadId` (*type:* `String.t`, *default:* `nil`) - Download ID, which uniquely identifies the APK to download. Should be supplied to `generatedapks.download` method.\n*   `moduleName` (*type:* `String.t`, *default:* `nil`) - Name of the module which recovery apk belongs to.\n*   `recoveryId` (*type:* `String.t`, *default:* `nil`) - ID of the recovery action.\n*   `recoveryStatus` (*type:* `String.t`, *default:* `nil`) - The status of the recovery action corresponding to the recovery apk.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedRecoveryApk.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedRecoveryApk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedRecoveryApk.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedRecoveryApk.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedRecoveryApk.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedSplitApk","doc":"Download metadata for a split APK.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedSplitApk.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.GeneratedSplitApk","doc":"*   `downloadId` (*type:* `String.t`, *default:* `nil`) - Download ID, which uniquely identifies the APK to download. Should be supplied to `generatedapks.download` method.\n*   `moduleName` (*type:* `String.t`, *default:* `nil`) - Name of the module that this APK belongs to.\n*   `splitId` (*type:* `String.t`, *default:* `nil`) - Split ID. Empty for the main split of the base module.\n*   `variantId` (*type:* `integer()`, *default:* `nil`) - ID of the generated variant.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedSplitApk.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedSplitApk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedSplitApk.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedSplitApk.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedSplitApk.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedStandaloneApk","doc":"Download metadata for a standalone APK.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedStandaloneApk.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.GeneratedStandaloneApk","doc":"*   `downloadId` (*type:* `String.t`, *default:* `nil`) - Download ID, which uniquely identifies the APK to download. Should be supplied to `generatedapks.download` method.\n*   `variantId` (*type:* `integer()`, *default:* `nil`) - ID of the generated variant.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedStandaloneApk.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedStandaloneApk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedStandaloneApk.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedStandaloneApk.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedStandaloneApk.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedUniversalApk","doc":"Download metadata for a universal APK.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedUniversalApk.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.GeneratedUniversalApk","doc":"*   `downloadId` (*type:* `String.t`, *default:* `nil`) - Download ID, which uniquely identifies the APK to download. Should be supplied to `generatedapks.download` method.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedUniversalApk.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedUniversalApk.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedUniversalApk.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.GeneratedUniversalApk.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.GeneratedUniversalApk.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.GetSubscriptionOfferRequest","doc":"Request message for GetSubscriptionOffer.","ref":"GoogleApi.AndroidPublisher.V3.Model.GetSubscriptionOfferRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.GetSubscriptionOfferRequest","doc":"*   `basePlanId` (*type:* `String.t`, *default:* `nil`) - Required. The parent base plan (ID) of the offer to get.\n*   `offerId` (*type:* `String.t`, *default:* `nil`) - Required. The unique offer ID of the offer to get.\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - Required. The parent app (package name) of the offer to get.\n*   `productId` (*type:* `String.t`, *default:* `nil`) - Required. The parent subscription (ID) of the offer to get.","ref":"GoogleApi.AndroidPublisher.V3.Model.GetSubscriptionOfferRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.GetSubscriptionOfferRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.GetSubscriptionOfferRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.GetSubscriptionOfferRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.GetSubscriptionOfferRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.Grant","doc":"An access grant resource.","ref":"GoogleApi.AndroidPublisher.V3.Model.Grant.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.Grant","doc":"*   `appLevelPermissions` (*type:* `list(String.t)`, *default:* `nil`) - The permissions granted to the user for this app.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. Resource name for this grant, following the pattern \"developers/{developer}/users/{email}/grants/{package_name}\". If this grant is for a draft app, the app ID will be used in this resource name instead of the package name.\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - Immutable. The package name of the app. This will be empty for draft apps.","ref":"GoogleApi.AndroidPublisher.V3.Model.Grant.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.Grant.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.Grant.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.Grant.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.Grant.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.Image","doc":"An uploaded image. The resource for ImagesService.","ref":"GoogleApi.AndroidPublisher.V3.Model.Image.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.Image","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - A unique id representing this image.\n*   `sha1` (*type:* `String.t`, *default:* `nil`) - A sha1 hash of the image.\n*   `sha256` (*type:* `String.t`, *default:* `nil`) - A sha256 hash of the image.\n*   `url` (*type:* `String.t`, *default:* `nil`) - A URL that will serve a preview of the image.","ref":"GoogleApi.AndroidPublisher.V3.Model.Image.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.Image.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.Image.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.Image.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.Image.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ImagesDeleteAllResponse","doc":"Response for deleting all images.","ref":"GoogleApi.AndroidPublisher.V3.Model.ImagesDeleteAllResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ImagesDeleteAllResponse","doc":"*   `deleted` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.Image.t)`, *default:* `nil`) - The deleted images.","ref":"GoogleApi.AndroidPublisher.V3.Model.ImagesDeleteAllResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ImagesDeleteAllResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ImagesDeleteAllResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ImagesDeleteAllResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ImagesDeleteAllResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ImagesListResponse","doc":"Response listing all images.","ref":"GoogleApi.AndroidPublisher.V3.Model.ImagesListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ImagesListResponse","doc":"*   `images` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.Image.t)`, *default:* `nil`) - All listed Images.","ref":"GoogleApi.AndroidPublisher.V3.Model.ImagesListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ImagesListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ImagesListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ImagesListResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ImagesListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ImagesUploadResponse","doc":"Response for uploading an image.","ref":"GoogleApi.AndroidPublisher.V3.Model.ImagesUploadResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ImagesUploadResponse","doc":"*   `image` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Image.t`, *default:* `nil`) - The uploaded image.","ref":"GoogleApi.AndroidPublisher.V3.Model.ImagesUploadResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ImagesUploadResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ImagesUploadResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ImagesUploadResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ImagesUploadResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.InAppProduct","doc":"An in-app product. The resource for InappproductsService.","ref":"GoogleApi.AndroidPublisher.V3.Model.InAppProduct.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.InAppProduct","doc":"*   `defaultLanguage` (*type:* `String.t`, *default:* `nil`) - Default language of the localized data, as defined by BCP-47. e.g. \"en-US\".\n*   `defaultPrice` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Price.t`, *default:* `nil`) - Default price. Cannot be zero, as in-app products are never free. Always in the developer's Checkout merchant currency.\n*   `gracePeriod` (*type:* `String.t`, *default:* `nil`) - Grace period of the subscription, specified in ISO 8601 format. Allows developers to give their subscribers a grace period when the payment for the new recurrence period is declined. Acceptable values are P0D (zero days), P3D (three days), P7D (seven days), P14D (14 days), and P30D (30 days).\n*   `listings` (*type:* `%{optional(String.t) => GoogleApi.AndroidPublisher.V3.Model.InAppProductListing.t}`, *default:* `nil`) - List of localized title and description data. Map key is the language of the localized data, as defined by BCP-47, e.g. \"en-US\".\n*   `managedProductTaxesAndComplianceSettings` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ManagedProductTaxAndComplianceSettings.t`, *default:* `nil`) - Details about taxes and legal compliance. Only applicable to managed products.\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - Package name of the parent app.\n*   `prices` (*type:* `%{optional(String.t) => GoogleApi.AndroidPublisher.V3.Model.Price.t}`, *default:* `nil`) - Prices per buyer region. None of these can be zero, as in-app products are never free. Map key is region code, as defined by ISO 3166-2.\n*   `purchaseType` (*type:* `String.t`, *default:* `nil`) - The type of the product, e.g. a recurring subscription.\n*   `sku` (*type:* `String.t`, *default:* `nil`) - Stock-keeping-unit (SKU) of the product, unique within an app.\n*   `status` (*type:* `String.t`, *default:* `nil`) - The status of the product, e.g. whether it's active.\n*   `subscriptionPeriod` (*type:* `String.t`, *default:* `nil`) - Subscription period, specified in ISO 8601 format. Acceptable values are P1W (one week), P1M (one month), P3M (three months), P6M (six months), and P1Y (one year).\n*   `subscriptionTaxesAndComplianceSettings` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SubscriptionTaxAndComplianceSettings.t`, *default:* `nil`) - Details about taxes and legal compliance. Only applicable to subscription products.\n*   `trialPeriod` (*type:* `String.t`, *default:* `nil`) - Trial period, specified in ISO 8601 format. Acceptable values are anything between P7D (seven days) and P999D (999 days).","ref":"GoogleApi.AndroidPublisher.V3.Model.InAppProduct.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.InAppProduct.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.InAppProduct.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.InAppProduct.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.InAppProduct.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.InAppProductListing","doc":"Store listing of a single in-app product.","ref":"GoogleApi.AndroidPublisher.V3.Model.InAppProductListing.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.InAppProductListing","doc":"*   `benefits` (*type:* `list(String.t)`, *default:* `nil`) - Localized entitlement benefits for a subscription.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Description for the store listing.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Title for the store listing.","ref":"GoogleApi.AndroidPublisher.V3.Model.InAppProductListing.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.InAppProductListing.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.InAppProductListing.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.InAppProductListing.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.InAppProductListing.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchDeleteRequest","doc":"Request to delete multiple in-app products.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchDeleteRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchDeleteRequest","doc":"*   `requests` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.InappproductsDeleteRequest.t)`, *default:* `nil`) - Individual delete requests. At least one request is required. Can contain up to 100 requests. All requests must correspond to different in-app products.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchDeleteRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchDeleteRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchDeleteRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchDeleteRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchDeleteRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchGetResponse","doc":"Response message for BatchGetSubscriptions endpoint.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchGetResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchGetResponse","doc":"*   `inappproduct` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.InAppProduct.t)`, *default:* `nil`) - The list of requested in-app products, in the same order as the request.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchGetResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchGetResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchGetResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchGetResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchGetResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateRequest","doc":"Request to update or insert one or more in-app products.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateRequest","doc":"*   `requests` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.InappproductsUpdateRequest.t)`, *default:* `nil`) - Required. Individual update requests. At least one request is required. Can contain up to 100 requests. All requests must correspond to different in-app products.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateResponse","doc":"Response for a batch in-app product update.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateResponse","doc":"*   `inappproducts` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.InAppProduct.t)`, *default:* `nil`) - The updated or inserted in-app products.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsBatchUpdateResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsDeleteRequest","doc":"Request to delete an in-app product.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsDeleteRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.InappproductsDeleteRequest","doc":"*   `latencyTolerance` (*type:* `String.t`, *default:* `nil`) - Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive.\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - Package name of the app.\n*   `sku` (*type:* `String.t`, *default:* `nil`) - Unique identifier for the in-app product.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsDeleteRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsDeleteRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsDeleteRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsDeleteRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsDeleteRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsListResponse","doc":"Response listing all in-app products.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.InappproductsListResponse","doc":"*   `inappproduct` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.InAppProduct.t)`, *default:* `nil`) - All in-app products.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - The kind of this response (\"androidpublisher#inappproductsListResponse\").\n*   `pageInfo` (*type:* `GoogleApi.AndroidPublisher.V3.Model.PageInfo.t`, *default:* `nil`) - Deprecated and unset.\n*   `tokenPagination` (*type:* `GoogleApi.AndroidPublisher.V3.Model.TokenPagination.t`, *default:* `nil`) - Pagination token, to handle a number of products that is over one page.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsListResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsUpdateRequest","doc":"Request to update an in-app product.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsUpdateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.InappproductsUpdateRequest","doc":"*   `allowMissing` (*type:* `boolean()`, *default:* `nil`) - If set to true, and the in-app product with the given package_name and sku doesn't exist, the in-app product will be created.\n*   `autoConvertMissingPrices` (*type:* `boolean()`, *default:* `nil`) - If true the prices for all regions targeted by the parent app that don't have a price specified for this in-app product will be auto converted to the target currency based on the default price. Defaults to false.\n*   `inappproduct` (*type:* `GoogleApi.AndroidPublisher.V3.Model.InAppProduct.t`, *default:* `nil`) - The new in-app product.\n*   `latencyTolerance` (*type:* `String.t`, *default:* `nil`) - Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive.\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - Package name of the app.\n*   `sku` (*type:* `String.t`, *default:* `nil`) - Unique identifier for the in-app product.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsUpdateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsUpdateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsUpdateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.InappproductsUpdateRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.InappproductsUpdateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.InternalAppSharingArtifact","doc":"An artifact resource which gets created when uploading an APK or Android App Bundle through internal app sharing.","ref":"GoogleApi.AndroidPublisher.V3.Model.InternalAppSharingArtifact.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.InternalAppSharingArtifact","doc":"*   `certificateFingerprint` (*type:* `String.t`, *default:* `nil`) - The sha256 fingerprint of the certificate used to sign the generated artifact.\n*   `downloadUrl` (*type:* `String.t`, *default:* `nil`) - The download URL generated for the uploaded artifact. Users that are authorized to download can follow the link to the Play Store app to install it.\n*   `sha256` (*type:* `String.t`, *default:* `nil`) - The sha256 hash of the artifact represented as a lowercase hexadecimal number, matching the output of the sha256sum command.","ref":"GoogleApi.AndroidPublisher.V3.Model.InternalAppSharingArtifact.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.InternalAppSharingArtifact.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.InternalAppSharingArtifact.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.InternalAppSharingArtifact.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.InternalAppSharingArtifact.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.IntroductoryPriceInfo","doc":"Contains the introductory price information for a subscription.","ref":"GoogleApi.AndroidPublisher.V3.Model.IntroductoryPriceInfo.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.IntroductoryPriceInfo","doc":"*   `introductoryPriceAmountMicros` (*type:* `String.t`, *default:* `nil`) - Introductory price of the subscription, not including tax. The currency is the same as price_currency_code. Price is expressed in micro-units, where 1,000,000 micro-units represents one unit of the currency. For example, if the subscription price is €1.99, price_amount_micros is 1990000.\n*   `introductoryPriceCurrencyCode` (*type:* `String.t`, *default:* `nil`) - ISO 4217 currency code for the introductory subscription price. For example, if the price is specified in British pounds sterling, price_currency_code is \"GBP\".\n*   `introductoryPriceCycles` (*type:* `integer()`, *default:* `nil`) - The number of billing period to offer introductory pricing.\n*   `introductoryPricePeriod` (*type:* `String.t`, *default:* `nil`) - Introductory price period, specified in ISO 8601 format. Common values are (but not limited to) \"P1W\" (one week), \"P1M\" (one month), \"P3M\" (three months), \"P6M\" (six months), and \"P1Y\" (one year).","ref":"GoogleApi.AndroidPublisher.V3.Model.IntroductoryPriceInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.IntroductoryPriceInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.IntroductoryPriceInfo.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.IntroductoryPriceInfo.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.IntroductoryPriceInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.LanguageTargeting","doc":"Targeting based on language.","ref":"GoogleApi.AndroidPublisher.V3.Model.LanguageTargeting.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.LanguageTargeting","doc":"*   `alternatives` (*type:* `list(String.t)`, *default:* `nil`) - Alternative languages.\n*   `value` (*type:* `list(String.t)`, *default:* `nil`) - ISO-639: 2 or 3 letter language code.","ref":"GoogleApi.AndroidPublisher.V3.Model.LanguageTargeting.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.LanguageTargeting.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.LanguageTargeting.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.LanguageTargeting.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.LanguageTargeting.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ListAppRecoveriesResponse","doc":"Response message for ListAppRecoveries. -- api-linter: core::0158::response-next-page-token-field=disabled","ref":"GoogleApi.AndroidPublisher.V3.Model.ListAppRecoveriesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ListAppRecoveriesResponse","doc":"*   `recoveryActions` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.AppRecoveryAction.t)`, *default:* `nil`) - List of recovery actions associated with the requested package name.","ref":"GoogleApi.AndroidPublisher.V3.Model.ListAppRecoveriesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ListAppRecoveriesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ListAppRecoveriesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ListAppRecoveriesResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ListAppRecoveriesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ListDeviceTierConfigsResponse","doc":"Response listing existing device tier configs.","ref":"GoogleApi.AndroidPublisher.V3.Model.ListDeviceTierConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ListDeviceTierConfigsResponse","doc":"*   `deviceTierConfigs` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.DeviceTierConfig.t)`, *default:* `nil`) - Device tier configs created by the developer.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.","ref":"GoogleApi.AndroidPublisher.V3.Model.ListDeviceTierConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ListDeviceTierConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ListDeviceTierConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ListDeviceTierConfigsResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ListDeviceTierConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionOffersResponse","doc":"Response message for ListSubscriptionOffers.","ref":"GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionOffersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionOffersResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.\n*   `subscriptionOffers` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer.t)`, *default:* `nil`) - The subscription offers from the specified subscription.","ref":"GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionOffersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionOffersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionOffersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionOffersResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionOffersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionsResponse","doc":"Response message for ListSubscriptions.","ref":"GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.\n*   `subscriptions` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.Subscription.t)`, *default:* `nil`) - The subscriptions from the specified app.","ref":"GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionsResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ListSubscriptionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ListUsersResponse","doc":"A response containing one or more users with access to an account.","ref":"GoogleApi.AndroidPublisher.V3.Model.ListUsersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ListUsersResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to pass to subsequent calls in order to retrieve subsequent results. This will not be set if there are no more results to return.\n*   `users` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.User.t)`, *default:* `nil`) - The resulting users.","ref":"GoogleApi.AndroidPublisher.V3.Model.ListUsersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ListUsersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ListUsersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ListUsersResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ListUsersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.Listing","doc":"A localized store listing. The resource for ListingsService.","ref":"GoogleApi.AndroidPublisher.V3.Model.Listing.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.Listing","doc":"*   `fullDescription` (*type:* `String.t`, *default:* `nil`) - Full description of the app.\n*   `language` (*type:* `String.t`, *default:* `nil`) - Language localization code (a BCP-47 language tag; for example, \"de-AT\" for Austrian German).\n*   `shortDescription` (*type:* `String.t`, *default:* `nil`) - Short description of the app.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Localized title of the app.\n*   `video` (*type:* `String.t`, *default:* `nil`) - URL of a promotional YouTube video for the app.","ref":"GoogleApi.AndroidPublisher.V3.Model.Listing.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.Listing.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.Listing.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.Listing.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.Listing.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ListingsListResponse","doc":"Response listing all localized listings.","ref":"GoogleApi.AndroidPublisher.V3.Model.ListingsListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ListingsListResponse","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - The kind of this response (\"androidpublisher#listingsListResponse\").\n*   `listings` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.Listing.t)`, *default:* `nil`) - All localized listings.","ref":"GoogleApi.AndroidPublisher.V3.Model.ListingsListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ListingsListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ListingsListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ListingsListResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ListingsListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.LocalizedText","doc":"Localized text in given language.","ref":"GoogleApi.AndroidPublisher.V3.Model.LocalizedText.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.LocalizedText","doc":"*   `language` (*type:* `String.t`, *default:* `nil`) - Language localization code (a BCP-47 language tag; for example, \"de-AT\" for Austrian German).\n*   `text` (*type:* `String.t`, *default:* `nil`) - The text in the given language.","ref":"GoogleApi.AndroidPublisher.V3.Model.LocalizedText.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.LocalizedText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.LocalizedText.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.LocalizedText.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.LocalizedText.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ManagedProductTaxAndComplianceSettings","doc":"Details about taxation and legal compliance for managed products.","ref":"GoogleApi.AndroidPublisher.V3.Model.ManagedProductTaxAndComplianceSettings.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ManagedProductTaxAndComplianceSettings","doc":"*   `eeaWithdrawalRightType` (*type:* `String.t`, *default:* `nil`) - Digital content or service classification for products distributed to users in the European Economic Area (EEA). The withdrawal regime under EEA consumer laws depends on this classification. Refer to the [Help Center article](https://support.google.com/googleplay/android-developer/answer/10463498) for more information.\n*   `isTokenizedDigitalAsset` (*type:* `boolean()`, *default:* `nil`) - Whether this in-app product is declared as a product representing a tokenized digital asset.\n*   `taxRateInfoByRegionCode` (*type:* `%{optional(String.t) => GoogleApi.AndroidPublisher.V3.Model.RegionalTaxRateInfo.t}`, *default:* `nil`) - A mapping from region code to tax rate details. The keys are region codes as defined by Unicode's \"CLDR\".","ref":"GoogleApi.AndroidPublisher.V3.Model.ManagedProductTaxAndComplianceSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ManagedProductTaxAndComplianceSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ManagedProductTaxAndComplianceSettings.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ManagedProductTaxAndComplianceSettings.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ManagedProductTaxAndComplianceSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesRequest","doc":"Request message for MigrateBasePlanPrices.","ref":"GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesRequest","doc":"*   `basePlanId` (*type:* `String.t`, *default:* `nil`) - Required. The unique base plan ID of the base plan to update prices on.\n*   `latencyTolerance` (*type:* `String.t`, *default:* `nil`) - Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive.\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - Required. Package name of the parent app. Must be equal to the package_name field on the Subscription resource.\n*   `productId` (*type:* `String.t`, *default:* `nil`) - Required. The ID of the subscription to update. Must be equal to the product_id field on the Subscription resource.\n*   `regionalPriceMigrations` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.RegionalPriceMigrationConfig.t)`, *default:* `nil`) - Required. The regional prices to update.\n*   `regionsVersion` (*type:* `GoogleApi.AndroidPublisher.V3.Model.RegionsVersion.t`, *default:* `nil`) - Required. The version of the available regions being used for the regional_price_migrations.","ref":"GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesResponse","doc":"Response message for MigrateBasePlanPrices.","ref":"GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesResponse","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.MigrateBasePlanPricesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ModuleMetadata","doc":"Metadata of a module.","ref":"GoogleApi.AndroidPublisher.V3.Model.ModuleMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ModuleMetadata","doc":"*   `deliveryType` (*type:* `String.t`, *default:* `nil`) - Indicates the delivery type (e.g. on-demand) of the module.\n*   `dependencies` (*type:* `list(String.t)`, *default:* `nil`) - Names of the modules that this module directly depends on. Each module implicitly depends on the base module.\n*   `moduleType` (*type:* `String.t`, *default:* `nil`) - Indicates the type of this feature module.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Module name.\n*   `targeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ModuleTargeting.t`, *default:* `nil`) - The targeting that makes a conditional module installed. Relevant only for Split APKs.","ref":"GoogleApi.AndroidPublisher.V3.Model.ModuleMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ModuleMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ModuleMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ModuleMetadata.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ModuleMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ModuleTargeting","doc":"Targeting on the module level.","ref":"GoogleApi.AndroidPublisher.V3.Model.ModuleTargeting.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ModuleTargeting","doc":"*   `deviceFeatureTargeting` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.DeviceFeatureTargeting.t)`, *default:* `nil`) - Targeting for device features.\n*   `sdkVersionTargeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SdkVersionTargeting.t`, *default:* `nil`) - The sdk version that the variant targets\n*   `userCountriesTargeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.UserCountriesTargeting.t`, *default:* `nil`) - Countries-level targeting","ref":"GoogleApi.AndroidPublisher.V3.Model.ModuleTargeting.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ModuleTargeting.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ModuleTargeting.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ModuleTargeting.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ModuleTargeting.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.Money","doc":"Represents an amount of money with its currency type.","ref":"GoogleApi.AndroidPublisher.V3.Model.Money.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.Money","doc":"*   `currencyCode` (*type:* `String.t`, *default:* `nil`) - The three-letter currency code defined in ISO 4217.\n*   `nanos` (*type:* `integer()`, *default:* `nil`) - Number of nano (10^-9) units of the amount. The value must be between -999,999,999 and +999,999,999 inclusive. If `units` is positive, `nanos` must be positive or zero. If `units` is zero, `nanos` can be positive, zero, or negative. If `units` is negative, `nanos` must be negative or zero. For example $-1.75 is represented as `units`=-1 and `nanos`=-750,000,000.\n*   `units` (*type:* `String.t`, *default:* `nil`) - The whole units of the amount. For example if `currencyCode` is `\"USD\"`, then 1 unit is one US dollar.","ref":"GoogleApi.AndroidPublisher.V3.Model.Money.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.Money.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.Money.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.Money.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.Money.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.MultiAbi","doc":"Represents a list of apis.","ref":"GoogleApi.AndroidPublisher.V3.Model.MultiAbi.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.MultiAbi","doc":"*   `abi` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.Abi.t)`, *default:* `nil`) - A list of targeted ABIs, as represented by the Android Platform","ref":"GoogleApi.AndroidPublisher.V3.Model.MultiAbi.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.MultiAbi.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.MultiAbi.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.MultiAbi.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.MultiAbi.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.MultiAbiTargeting","doc":"Targeting based on multiple abis.","ref":"GoogleApi.AndroidPublisher.V3.Model.MultiAbiTargeting.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.MultiAbiTargeting","doc":"*   `alternatives` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.MultiAbi.t)`, *default:* `nil`) - Targeting of other sibling directories that were in the Bundle. For main splits this is targeting of other main splits.\n*   `value` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.MultiAbi.t)`, *default:* `nil`) - Value of a multi abi.","ref":"GoogleApi.AndroidPublisher.V3.Model.MultiAbiTargeting.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.MultiAbiTargeting.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.MultiAbiTargeting.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.MultiAbiTargeting.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.MultiAbiTargeting.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.OfferDetails","doc":"Offer details information related to a purchase line item.","ref":"GoogleApi.AndroidPublisher.V3.Model.OfferDetails.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.OfferDetails","doc":"*   `basePlanId` (*type:* `String.t`, *default:* `nil`) - The base plan ID. Present for all base plan and offers.\n*   `offerId` (*type:* `String.t`, *default:* `nil`) - The offer ID. Only present for discounted offers.\n*   `offerTags` (*type:* `list(String.t)`, *default:* `nil`) - The latest offer tags associated with the offer. It includes tags inherited from the base plan.","ref":"GoogleApi.AndroidPublisher.V3.Model.OfferDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.OfferDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.OfferDetails.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.OfferDetails.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.OfferDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.OfferTag","doc":"Represents a custom tag specified for one-time products, purchase options, base plans and offers.","ref":"GoogleApi.AndroidPublisher.V3.Model.OfferTag.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.OfferTag","doc":"*   `tag` (*type:* `String.t`, *default:* `nil`) - Must conform with RFC-1034. That is, this string can only contain lower-case letters (a-z), numbers (0-9), and hyphens (-), and be at most 20 characters.","ref":"GoogleApi.AndroidPublisher.V3.Model.OfferTag.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.OfferTag.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.OfferTag.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.OfferTag.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.OfferTag.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.OneTimeExternalTransaction","doc":"Represents a one-time transaction.","ref":"GoogleApi.AndroidPublisher.V3.Model.OneTimeExternalTransaction.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.OneTimeExternalTransaction","doc":"*   `externalTransactionToken` (*type:* `String.t`, *default:* `nil`) - Input only. Provided during the call to Create. Retrieved from the client when the alternative billing flow is launched.","ref":"GoogleApi.AndroidPublisher.V3.Model.OneTimeExternalTransaction.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.OneTimeExternalTransaction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.OneTimeExternalTransaction.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.OneTimeExternalTransaction.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.OneTimeExternalTransaction.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsBasePlanConfig","doc":"Pricing information for any new locations Play may launch in.","ref":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsBasePlanConfig.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.OtherRegionsBasePlanConfig","doc":"*   `eurPrice` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Money.t`, *default:* `nil`) - Required. Price in EUR to use for any new locations Play may launch in.\n*   `newSubscriberAvailability` (*type:* `boolean()`, *default:* `nil`) - Whether the base plan is available for new subscribers in any new locations Play may launch in. If not specified, this will default to false.\n*   `usdPrice` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Money.t`, *default:* `nil`) - Required. Price in USD to use for any new locations Play may launch in.","ref":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsBasePlanConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsBasePlanConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsBasePlanConfig.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsBasePlanConfig.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsBasePlanConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferConfig","doc":"Configuration for any new locations Play may launch in specified on a subscription offer.","ref":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferConfig.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferConfig","doc":"*   `otherRegionsNewSubscriberAvailability` (*type:* `boolean()`, *default:* `nil`) - Whether the subscription offer in any new locations Play may launch in the future. If not specified, this will default to false.","ref":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferConfig.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferConfig.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhaseConfig","doc":"Configuration for any new locations Play may launch in for a single offer phase.","ref":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhaseConfig.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhaseConfig","doc":"*   `absoluteDiscounts` (*type:* `GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhasePrices.t`, *default:* `nil`) - The absolute amount of money subtracted from the base plan price prorated over the phase duration that the user pays for this offer phase. For example, if the base plan price for this region is $12 for a period of 1 year, then a $1 absolute discount for a phase of a duration of 3 months would correspond to a price of $2. The resulting price may not be smaller than the minimum price allowed for any new locations Play may launch in.\n*   `otherRegionsPrices` (*type:* `GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhasePrices.t`, *default:* `nil`) - The absolute price the user pays for this offer phase. The price must not be smaller than the minimum price allowed for any new locations Play may launch in.\n*   `relativeDiscount` (*type:* `float()`, *default:* `nil`) - The fraction of the base plan price prorated over the phase duration that the user pays for this offer phase. For example, if the base plan price for this region is $12 for a period of 1 year, then a 50% discount for a phase of a duration of 3 months would correspond to a price of $1.50. The discount must be specified as a fraction strictly larger than 0 and strictly smaller than 1. The resulting price will be rounded to the nearest billable unit (e.g. cents for USD). The relative discount is considered invalid if the discounted price ends up being smaller than the minimum price allowed in any new locations Play may launch in.","ref":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhaseConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhaseConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhaseConfig.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhaseConfig.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhaseConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhasePrices","doc":"Pricing information for any new locations Play may launch in.","ref":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhasePrices.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhasePrices","doc":"*   `eurPrice` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Money.t`, *default:* `nil`) - Required. Price in EUR to use for any new locations Play may launch in.\n*   `usdPrice` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Money.t`, *default:* `nil`) - Required. Price in USD to use for any new locations Play may launch in.","ref":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhasePrices.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhasePrices.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhasePrices.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhasePrices.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhasePrices.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.PageInfo","doc":"Information about the current page. List operations that supports paging return only one \"page\" of results. This protocol buffer message describes the page that has been returned.","ref":"GoogleApi.AndroidPublisher.V3.Model.PageInfo.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.PageInfo","doc":"*   `resultPerPage` (*type:* `integer()`, *default:* `nil`) - Maximum number of results returned in one page. ! The number of results included in the API response.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - Index of the first result returned in the current page.\n*   `totalResults` (*type:* `integer()`, *default:* `nil`) - Total number of results available on the backend ! The total number of results in the result set.","ref":"GoogleApi.AndroidPublisher.V3.Model.PageInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.PageInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.PageInfo.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.PageInfo.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.PageInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.PartialRefund","doc":"A partial refund of a transaction.","ref":"GoogleApi.AndroidPublisher.V3.Model.PartialRefund.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.PartialRefund","doc":"*   `refundId` (*type:* `String.t`, *default:* `nil`) - Required. A unique id distinguishing this partial refund. If the refund is successful, subsequent refunds with the same id will fail. Must be unique across refunds for one individual transaction.\n*   `refundPreTaxAmount` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Price.t`, *default:* `nil`) - Required. The pre-tax amount of the partial refund. Should be less than the remaining pre-tax amount of the transaction.","ref":"GoogleApi.AndroidPublisher.V3.Model.PartialRefund.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.PartialRefund.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.PartialRefund.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.PartialRefund.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.PartialRefund.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.PausedStateContext","doc":"Information specific to a subscription in paused state.","ref":"GoogleApi.AndroidPublisher.V3.Model.PausedStateContext.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.PausedStateContext","doc":"*   `autoResumeTime` (*type:* `DateTime.t`, *default:* `nil`) - Time at which the subscription will be automatically resumed.","ref":"GoogleApi.AndroidPublisher.V3.Model.PausedStateContext.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.PausedStateContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.PausedStateContext.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.PausedStateContext.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.PausedStateContext.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.PrepaidBasePlanType","doc":"Represents a base plan that does not automatically renew at the end of the base plan, and must be manually renewed by the user.","ref":"GoogleApi.AndroidPublisher.V3.Model.PrepaidBasePlanType.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.PrepaidBasePlanType","doc":"*   `billingPeriodDuration` (*type:* `String.t`, *default:* `nil`) - Required. Subscription period, specified in ISO 8601 format. For a list of acceptable billing periods, refer to the help center.\n*   `timeExtension` (*type:* `String.t`, *default:* `nil`) - Whether users should be able to extend this prepaid base plan in Google Play surfaces. Defaults to TIME_EXTENSION_ACTIVE if not specified.","ref":"GoogleApi.AndroidPublisher.V3.Model.PrepaidBasePlanType.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.PrepaidBasePlanType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.PrepaidBasePlanType.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.PrepaidBasePlanType.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.PrepaidBasePlanType.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.PrepaidPlan","doc":"Information related to a prepaid plan.","ref":"GoogleApi.AndroidPublisher.V3.Model.PrepaidPlan.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.PrepaidPlan","doc":"*   `allowExtendAfterTime` (*type:* `DateTime.t`, *default:* `nil`) - If present, this is the time after which top up purchases are allowed for the prepaid plan. Will not be present for expired prepaid plans.","ref":"GoogleApi.AndroidPublisher.V3.Model.PrepaidPlan.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.PrepaidPlan.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.PrepaidPlan.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.PrepaidPlan.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.PrepaidPlan.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.Price","doc":"Definition of a price, i.e. currency and units.","ref":"GoogleApi.AndroidPublisher.V3.Model.Price.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.Price","doc":"*   `currency` (*type:* `String.t`, *default:* `nil`) - 3 letter Currency code, as defined by ISO 4217. See java/com/google/common/money/CurrencyCode.java\n*   `priceMicros` (*type:* `String.t`, *default:* `nil`) - Price in 1/million of the currency base unit, represented as a string.","ref":"GoogleApi.AndroidPublisher.V3.Model.Price.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.Price.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.Price.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.Price.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.Price.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ProductPurchase","doc":"A ProductPurchase resource indicates the status of a user's inapp product purchase.","ref":"GoogleApi.AndroidPublisher.V3.Model.ProductPurchase.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ProductPurchase","doc":"*   `acknowledgementState` (*type:* `integer()`, *default:* `nil`) - The acknowledgement state of the inapp product. Possible values are: 0. Yet to be acknowledged 1. Acknowledged\n*   `consumptionState` (*type:* `integer()`, *default:* `nil`) - The consumption state of the inapp product. Possible values are: 0. Yet to be consumed 1. Consumed\n*   `developerPayload` (*type:* `String.t`, *default:* `nil`) - A developer-specified string that contains supplemental information about an order.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This kind represents an inappPurchase object in the androidpublisher service.\n*   `obfuscatedExternalAccountId` (*type:* `String.t`, *default:* `nil`) - An obfuscated version of the id that is uniquely associated with the user's account in your app. Only present if specified using https://developer.android.com/reference/com/android/billingclient/api/BillingFlowParams.Builder#setobfuscatedaccountid when the purchase was made.\n*   `obfuscatedExternalProfileId` (*type:* `String.t`, *default:* `nil`) - An obfuscated version of the id that is uniquely associated with the user's profile in your app. Only present if specified using https://developer.android.com/reference/com/android/billingclient/api/BillingFlowParams.Builder#setobfuscatedprofileid when the purchase was made.\n*   `orderId` (*type:* `String.t`, *default:* `nil`) - The order id associated with the purchase of the inapp product.\n*   `productId` (*type:* `String.t`, *default:* `nil`) - The inapp product SKU. May not be present.\n*   `purchaseState` (*type:* `integer()`, *default:* `nil`) - The purchase state of the order. Possible values are: 0. Purchased 1. Canceled 2. Pending\n*   `purchaseTimeMillis` (*type:* `String.t`, *default:* `nil`) - The time the product was purchased, in milliseconds since the epoch (Jan 1, 1970).\n*   `purchaseToken` (*type:* `String.t`, *default:* `nil`) - The purchase token generated to identify this purchase. May not be present.\n*   `purchaseType` (*type:* `integer()`, *default:* `nil`) - The type of purchase of the inapp product. This field is only set if this purchase was not made using the standard in-app billing flow. Possible values are: 0. Test (i.e. purchased from a license testing account) 1. Promo (i.e. purchased using a promo code) 2. Rewarded (i.e. from watching a video ad instead of paying)\n*   `quantity` (*type:* `integer()`, *default:* `nil`) - The quantity associated with the purchase of the inapp product. If not present, the quantity is 1.\n*   `refundableQuantity` (*type:* `integer()`, *default:* `nil`) - The quantity eligible for refund, i.e. quantity that hasn't been refunded. The value reflects quantity-based partial refunds and full refunds.\n*   `regionCode` (*type:* `String.t`, *default:* `nil`) - ISO 3166-1 alpha-2 billing region code of the user at the time the product was granted.","ref":"GoogleApi.AndroidPublisher.V3.Model.ProductPurchase.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ProductPurchase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ProductPurchase.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ProductPurchase.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ProductPurchase.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ProductPurchasesAcknowledgeRequest","doc":"Request for the product.purchases.acknowledge API.","ref":"GoogleApi.AndroidPublisher.V3.Model.ProductPurchasesAcknowledgeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ProductPurchasesAcknowledgeRequest","doc":"*   `developerPayload` (*type:* `String.t`, *default:* `nil`) - Payload to attach to the purchase.","ref":"GoogleApi.AndroidPublisher.V3.Model.ProductPurchasesAcknowledgeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ProductPurchasesAcknowledgeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ProductPurchasesAcknowledgeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ProductPurchasesAcknowledgeRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ProductPurchasesAcknowledgeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.RecurringExternalTransaction","doc":"Represents a transaction that is part of a recurring series of payments. This can be a subscription or a one-time product with multiple payments (such as preorder).","ref":"GoogleApi.AndroidPublisher.V3.Model.RecurringExternalTransaction.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.RecurringExternalTransaction","doc":"*   `externalSubscription` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ExternalSubscription.t`, *default:* `nil`) - Details of an external subscription.\n*   `externalTransactionToken` (*type:* `String.t`, *default:* `nil`) - Input only. Provided during the call to Create. Retrieved from the client when the alternative billing flow is launched. Required only for the initial purchase.\n*   `initialExternalTransactionId` (*type:* `String.t`, *default:* `nil`) - The external transaction id of the first transaction of this recurring series of transactions. For example, for a subscription this would be the transaction id of the first payment. Required when creating recurring external transactions.\n*   `migratedTransactionProgram` (*type:* `String.t`, *default:* `nil`) - Input only. Provided during the call to Create. Must only be used when migrating a subscription from manual monthly reporting to automated reporting.","ref":"GoogleApi.AndroidPublisher.V3.Model.RecurringExternalTransaction.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.RecurringExternalTransaction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.RecurringExternalTransaction.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.RecurringExternalTransaction.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.RecurringExternalTransaction.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.RefundExternalTransactionRequest","doc":"A request to refund an existing external transaction.","ref":"GoogleApi.AndroidPublisher.V3.Model.RefundExternalTransactionRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.RefundExternalTransactionRequest","doc":"*   `fullRefund` (*type:* `GoogleApi.AndroidPublisher.V3.Model.FullRefund.t`, *default:* `nil`) - A full-amount refund.\n*   `partialRefund` (*type:* `GoogleApi.AndroidPublisher.V3.Model.PartialRefund.t`, *default:* `nil`) - A partial refund.\n*   `refundTime` (*type:* `DateTime.t`, *default:* `nil`) - Required. The time that the transaction was refunded.","ref":"GoogleApi.AndroidPublisher.V3.Model.RefundExternalTransactionRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.RefundExternalTransactionRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.RefundExternalTransactionRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.RefundExternalTransactionRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.RefundExternalTransactionRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.RegionalBasePlanConfig","doc":"Configuration for a base plan specific to a region.","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalBasePlanConfig.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.RegionalBasePlanConfig","doc":"*   `newSubscriberAvailability` (*type:* `boolean()`, *default:* `nil`) - Whether the base plan in the specified region is available for new subscribers. Existing subscribers will not have their subscription canceled if this value is set to false. If not specified, this will default to false.\n*   `price` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Money.t`, *default:* `nil`) - The price of the base plan in the specified region. Must be set if the base plan is available to new subscribers. Must be set in the currency that is linked to the specified region.\n*   `regionCode` (*type:* `String.t`, *default:* `nil`) - Required. Region code this configuration applies to, as defined by ISO 3166-2, e.g. \"US\".","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalBasePlanConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.RegionalBasePlanConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalBasePlanConfig.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.RegionalBasePlanConfig.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalBasePlanConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.RegionalPriceMigrationConfig","doc":"Configuration for a price migration.","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalPriceMigrationConfig.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.RegionalPriceMigrationConfig","doc":"*   `oldestAllowedPriceVersionTime` (*type:* `DateTime.t`, *default:* `nil`) - Required. The cutoff time for historical prices that subscribers can remain paying. Subscribers on prices which were available at this cutoff time or later will stay on their existing price. Subscribers on older prices will be migrated to the currently-offered price. The migrated subscribers will receive a notification that they will be paying a different price. Subscribers who do not agree to the new price will have their subscription ended at the next renewal.\n*   `priceIncreaseType` (*type:* `String.t`, *default:* `nil`) - Optional. The behavior the caller wants users to see when there is a price increase during migration. If left unset, the behavior defaults to PRICE_INCREASE_TYPE_OPT_IN. Note that the first opt-out price increase migration for each app must be initiated in Play Console.\n*   `regionCode` (*type:* `String.t`, *default:* `nil`) - Required. Region code this configuration applies to, as defined by ISO 3166-2, e.g. \"US\".","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalPriceMigrationConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.RegionalPriceMigrationConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalPriceMigrationConfig.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.RegionalPriceMigrationConfig.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalPriceMigrationConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferConfig","doc":"Configuration for a subscription offer in a single region.","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferConfig.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferConfig","doc":"*   `newSubscriberAvailability` (*type:* `boolean()`, *default:* `nil`) - Whether the subscription offer in the specified region is available for new subscribers. Existing subscribers will not have their subscription cancelled if this value is set to false. If not specified, this will default to false.\n*   `regionCode` (*type:* `String.t`, *default:* `nil`) - Required. Immutable. Region code this configuration applies to, as defined by ISO 3166-2, e.g. \"US\".","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferConfig.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferConfig.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferPhaseConfig","doc":"Configuration for a single phase of a subscription offer in a single region.","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferPhaseConfig.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferPhaseConfig","doc":"*   `absoluteDiscount` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Money.t`, *default:* `nil`) - The absolute amount of money subtracted from the base plan price prorated over the phase duration that the user pays for this offer phase. For example, if the base plan price for this region is $12 for a period of 1 year, then a $1 absolute discount for a phase of a duration of 3 months would correspond to a price of $2. The resulting price may not be smaller than the minimum price allowed for this region.\n*   `price` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Money.t`, *default:* `nil`) - The absolute price the user pays for this offer phase. The price must not be smaller than the minimum price allowed for this region.\n*   `regionCode` (*type:* `String.t`, *default:* `nil`) - Required. Immutable. The region to which this config applies.\n*   `relativeDiscount` (*type:* `float()`, *default:* `nil`) - The fraction of the base plan price prorated over the phase duration that the user pays for this offer phase. For example, if the base plan price for this region is $12 for a period of 1 year, then a 50% discount for a phase of a duration of 3 months would correspond to a price of $1.50. The discount must be specified as a fraction strictly larger than 0 and strictly smaller than 1. The resulting price will be rounded to the nearest billable unit (e.g. cents for USD). The relative discount is considered invalid if the discounted price ends up being smaller than the minimum price allowed in this region.","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferPhaseConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferPhaseConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferPhaseConfig.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferPhaseConfig.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferPhaseConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.RegionalTaxRateInfo","doc":"Specified details about taxation in a given geographical region.","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalTaxRateInfo.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.RegionalTaxRateInfo","doc":"*   `eligibleForStreamingServiceTaxRate` (*type:* `boolean()`, *default:* `nil`) - You must tell us if your app contains streaming products to correctly charge US state and local sales tax. Field only supported in the United States.\n*   `streamingTaxType` (*type:* `String.t`, *default:* `nil`) - To collect communications or amusement taxes in the United States, choose the appropriate tax category. [Learn more](https://support.google.com/googleplay/android-developer/answer/10463498#streaming_tax).\n*   `taxTier` (*type:* `String.t`, *default:* `nil`) - Tax tier to specify reduced tax rate. Developers who sell digital news, magazines, newspapers, books, or audiobooks in various regions may be eligible for reduced tax rates. [Learn more](https://support.google.com/googleplay/android-developer/answer/10463498).","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalTaxRateInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.RegionalTaxRateInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalTaxRateInfo.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.RegionalTaxRateInfo.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionalTaxRateInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.Regions","doc":"Region targeting data for app recovery action targeting.","ref":"GoogleApi.AndroidPublisher.V3.Model.Regions.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.Regions","doc":"*   `regionCode` (*type:* `list(String.t)`, *default:* `nil`) - Regions targeted by the recovery action. Region codes are ISO 3166 Alpha-2 country codes. For example, US stands for United States of America. See https://www.iso.org/iso-3166-country-codes.html for the complete list of country codes.","ref":"GoogleApi.AndroidPublisher.V3.Model.Regions.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.Regions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.Regions.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.Regions.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.Regions.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.RegionsVersion","doc":"The version of the available regions being used for the specified resource.","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionsVersion.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.RegionsVersion","doc":"*   `version` (*type:* `String.t`, *default:* `nil`) - Required. A string representing the version of available regions being used for the specified resource. Regional prices for the resource have to be specified according to the information published in [this article](https://support.google.com/googleplay/android-developer/answer/10532353). Each time the supported locations substantially change, the version will be incremented. Using this field will ensure that creating and updating the resource with an older region's version and set of regional prices and currencies will succeed even though a new version is available. The latest version is 2022/02.","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionsVersion.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.RegionsVersion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionsVersion.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.RegionsVersion.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.RegionsVersion.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdate","doc":"Object representation for Remote in-app update action type.","ref":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdate.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdate","doc":"*   `isRemoteInAppUpdateRequested` (*type:* `boolean()`, *default:* `nil`) - Required. Set to true if Remote In-App Update action type is needed.","ref":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdate.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdate.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdate.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdate.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateData","doc":"Data related to Remote In-App Update action such as recovered user count, affected user count etc.","ref":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateData.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateData","doc":"*   `remoteAppUpdateDataPerBundle` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateDataPerBundle.t)`, *default:* `nil`) - Data related to the recovery action at bundle level.","ref":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateData.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateData.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateData.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateData.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateDataPerBundle","doc":"Data related to the recovery action at bundle level.","ref":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateDataPerBundle.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateDataPerBundle","doc":"*   `recoveredDeviceCount` (*type:* `String.t`, *default:* `nil`) - Total number of devices which have been rescued.\n*   `totalDeviceCount` (*type:* `String.t`, *default:* `nil`) - Total number of devices affected by this recovery action associated with bundle of the app.\n*   `versionCode` (*type:* `String.t`, *default:* `nil`) - Version Code corresponding to the target bundle.","ref":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateDataPerBundle.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateDataPerBundle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateDataPerBundle.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateDataPerBundle.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.RemoteInAppUpdateDataPerBundle.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ReplacementCancellation","doc":"Information specific to cancellations caused by subscription replacement.","ref":"GoogleApi.AndroidPublisher.V3.Model.ReplacementCancellation.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ReplacementCancellation","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ReplacementCancellation.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ReplacementCancellation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ReplacementCancellation.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ReplacementCancellation.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ReplacementCancellation.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.Review","doc":"An Android app review.","ref":"GoogleApi.AndroidPublisher.V3.Model.Review.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.Review","doc":"*   `authorName` (*type:* `String.t`, *default:* `nil`) - The name of the user who wrote the review.\n*   `comments` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.Comment.t)`, *default:* `nil`) - A repeated field containing comments for the review.\n*   `reviewId` (*type:* `String.t`, *default:* `nil`) - Unique identifier for this review.","ref":"GoogleApi.AndroidPublisher.V3.Model.Review.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.Review.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.Review.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.Review.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.Review.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ReviewReplyResult","doc":"The result of replying/updating a reply to review.","ref":"GoogleApi.AndroidPublisher.V3.Model.ReviewReplyResult.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ReviewReplyResult","doc":"*   `lastEdited` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Timestamp.t`, *default:* `nil`) - The time at which the reply took effect.\n*   `replyText` (*type:* `String.t`, *default:* `nil`) - The reply text that was applied.","ref":"GoogleApi.AndroidPublisher.V3.Model.ReviewReplyResult.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ReviewReplyResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ReviewReplyResult.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ReviewReplyResult.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ReviewReplyResult.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ReviewsListResponse","doc":"Response listing reviews.","ref":"GoogleApi.AndroidPublisher.V3.Model.ReviewsListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ReviewsListResponse","doc":"*   `pageInfo` (*type:* `GoogleApi.AndroidPublisher.V3.Model.PageInfo.t`, *default:* `nil`) - Information about the current page.\n*   `reviews` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.Review.t)`, *default:* `nil`) - List of reviews.\n*   `tokenPagination` (*type:* `GoogleApi.AndroidPublisher.V3.Model.TokenPagination.t`, *default:* `nil`) - Pagination token, to handle a number of products that is over one page.","ref":"GoogleApi.AndroidPublisher.V3.Model.ReviewsListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ReviewsListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ReviewsListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ReviewsListResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ReviewsListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyRequest","doc":"Request to reply to review or update existing reply.","ref":"GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyRequest","doc":"*   `replyText` (*type:* `String.t`, *default:* `nil`) - The text to set as the reply. Replies of more than approximately 350 characters will be rejected. HTML tags will be stripped.","ref":"GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyResponse","doc":"Response on status of replying to a review.","ref":"GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyResponse","doc":"*   `result` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ReviewReplyResult.t`, *default:* `nil`) - The result of replying/updating a reply to review.","ref":"GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ReviewsReplyResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.RevocationContext","doc":"Revocation context of the purchases.subscriptionsv2.revoke API.","ref":"GoogleApi.AndroidPublisher.V3.Model.RevocationContext.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.RevocationContext","doc":"*   `proratedRefund` (*type:* `GoogleApi.AndroidPublisher.V3.Model.RevocationContextProratedRefund.t`, *default:* `nil`) - Optional. Used when users should be refunded a prorated amount they paid for their subscription based on the amount of time remaining in a subscription.","ref":"GoogleApi.AndroidPublisher.V3.Model.RevocationContext.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.RevocationContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.RevocationContext.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.RevocationContext.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.RevocationContext.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.RevocationContextProratedRefund","doc":"Used to determine if the refund type in the RevocationContext is a prorated refund.","ref":"GoogleApi.AndroidPublisher.V3.Model.RevocationContextProratedRefund.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.RevocationContextProratedRefund","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.RevocationContextProratedRefund.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.RevocationContextProratedRefund.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.RevocationContextProratedRefund.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.RevocationContextProratedRefund.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.RevocationContextProratedRefund.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseRequest","doc":"Request for the purchases.subscriptionsv2.revoke API.","ref":"GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseRequest","doc":"*   `revocationContext` (*type:* `GoogleApi.AndroidPublisher.V3.Model.RevocationContext.t`, *default:* `nil`) - Required. Additional details around the subscription revocation.","ref":"GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseResponse","doc":"Response for the purchases.subscriptionsv2.revoke API.","ref":"GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseResponse","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.RevokeSubscriptionPurchaseResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateRequest","doc":"Request to update Safety Labels of an app.","ref":"GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateRequest","doc":"*   `safetyLabels` (*type:* `String.t`, *default:* `nil`) - Required. Contents of the CSV file containing Data Safety responses. For the format of this file, see the Help Center documentation at https://support.google.com/googleplay/android-developer/answer/10787469?#zippy=%2Cunderstand-the-csv-format To download an up to date template, follow the steps at https://support.google.com/googleplay/android-developer/answer/10787469?#zippy=%2Cexport-to-a-csv-file","ref":"GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateResponse","doc":"Response for SafetyLabelsUpdate rpc.","ref":"GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateResponse","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SafetyLabelsUpdateResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ScreenDensity","doc":"Represents a screen density.","ref":"GoogleApi.AndroidPublisher.V3.Model.ScreenDensity.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ScreenDensity","doc":"*   `densityAlias` (*type:* `String.t`, *default:* `nil`) - Alias for a screen density.\n*   `densityDpi` (*type:* `integer()`, *default:* `nil`) - Value for density dpi.","ref":"GoogleApi.AndroidPublisher.V3.Model.ScreenDensity.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ScreenDensity.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ScreenDensity.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ScreenDensity.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ScreenDensity.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.ScreenDensityTargeting","doc":"Targeting based on screen density.","ref":"GoogleApi.AndroidPublisher.V3.Model.ScreenDensityTargeting.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.ScreenDensityTargeting","doc":"*   `alternatives` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.ScreenDensity.t)`, *default:* `nil`) - Targeting of other sibling directories that were in the Bundle. For main splits this is targeting of other main splits.\n*   `value` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.ScreenDensity.t)`, *default:* `nil`) - Value of a screen density.","ref":"GoogleApi.AndroidPublisher.V3.Model.ScreenDensityTargeting.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.ScreenDensityTargeting.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.ScreenDensityTargeting.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.ScreenDensityTargeting.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.ScreenDensityTargeting.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SdkVersion","doc":"Represents an sdk version.","ref":"GoogleApi.AndroidPublisher.V3.Model.SdkVersion.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SdkVersion","doc":"*   `min` (*type:* `integer()`, *default:* `nil`) - Inclusive minimum value of an sdk version.","ref":"GoogleApi.AndroidPublisher.V3.Model.SdkVersion.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SdkVersion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SdkVersion.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SdkVersion.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SdkVersion.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SdkVersionTargeting","doc":"Targeting based on sdk version.","ref":"GoogleApi.AndroidPublisher.V3.Model.SdkVersionTargeting.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SdkVersionTargeting","doc":"*   `alternatives` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.SdkVersion.t)`, *default:* `nil`) - Targeting of other sibling directories that were in the Bundle. For main splits this is targeting of other main splits.\n*   `value` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.SdkVersion.t)`, *default:* `nil`) - Value of an sdk version.","ref":"GoogleApi.AndroidPublisher.V3.Model.SdkVersionTargeting.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SdkVersionTargeting.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SdkVersionTargeting.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SdkVersionTargeting.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SdkVersionTargeting.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SplitApkMetadata","doc":"Holds data specific to Split APKs.","ref":"GoogleApi.AndroidPublisher.V3.Model.SplitApkMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SplitApkMetadata","doc":"*   `isMasterSplit` (*type:* `boolean()`, *default:* `nil`) - Indicates whether this APK is the main split of the module.\n*   `splitId` (*type:* `String.t`, *default:* `nil`) - Id of the split.","ref":"GoogleApi.AndroidPublisher.V3.Model.SplitApkMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SplitApkMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SplitApkMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SplitApkMetadata.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SplitApkMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SplitApkVariant","doc":"Variant is a group of APKs that covers a part of the device configuration space. APKs from multiple variants are never combined on one device.","ref":"GoogleApi.AndroidPublisher.V3.Model.SplitApkVariant.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SplitApkVariant","doc":"*   `apkSet` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.ApkSet.t)`, *default:* `nil`) - Set of APKs, one set per module.\n*   `targeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.VariantTargeting.t`, *default:* `nil`) - Variant-level targeting.\n*   `variantNumber` (*type:* `integer()`, *default:* `nil`) - Number of the variant, starting at 0 (unless overridden). A device will receive APKs from the first variant that matches the device configuration, with higher variant numbers having priority over lower variant numbers.","ref":"GoogleApi.AndroidPublisher.V3.Model.SplitApkVariant.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SplitApkVariant.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SplitApkVariant.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SplitApkVariant.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SplitApkVariant.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.StandaloneApkMetadata","doc":"Holds data specific to Standalone APKs.","ref":"GoogleApi.AndroidPublisher.V3.Model.StandaloneApkMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.StandaloneApkMetadata","doc":"*   `fusedModuleName` (*type:* `list(String.t)`, *default:* `nil`) - Names of the modules fused in this standalone APK.","ref":"GoogleApi.AndroidPublisher.V3.Model.StandaloneApkMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.StandaloneApkMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.StandaloneApkMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.StandaloneApkMetadata.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.StandaloneApkMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SubscribeWithGoogleInfo","doc":"Information associated with purchases made with 'Subscribe with Google'.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscribeWithGoogleInfo.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SubscribeWithGoogleInfo","doc":"*   `emailAddress` (*type:* `String.t`, *default:* `nil`) - The email address of the user when the subscription was purchased.\n*   `familyName` (*type:* `String.t`, *default:* `nil`) - The family name of the user when the subscription was purchased.\n*   `givenName` (*type:* `String.t`, *default:* `nil`) - The given name of the user when the subscription was purchased.\n*   `profileId` (*type:* `String.t`, *default:* `nil`) - The Google profile id of the user when the subscription was purchased.\n*   `profileName` (*type:* `String.t`, *default:* `nil`) - The profile name of the user when the subscription was purchased.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscribeWithGoogleInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SubscribeWithGoogleInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscribeWithGoogleInfo.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SubscribeWithGoogleInfo.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscribeWithGoogleInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.Subscription","doc":"A single subscription for an app.","ref":"GoogleApi.AndroidPublisher.V3.Model.Subscription.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.Subscription","doc":"*   `archived` (*type:* `boolean()`, *default:* `nil`) - Output only. Deprecated: subscription archiving is not supported.\n*   `basePlans` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.BasePlan.t)`, *default:* `nil`) - The set of base plans for this subscription. Represents the prices and duration of the subscription if no other offers apply.\n*   `listings` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.SubscriptionListing.t)`, *default:* `nil`) - Required. List of localized listings for this subscription. Must contain at least an entry for the default language of the parent app.\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - Immutable. Package name of the parent app.\n*   `productId` (*type:* `String.t`, *default:* `nil`) - Immutable. Unique product ID of the product. Unique within the parent app. Product IDs must be composed of lower-case letters (a-z), numbers (0-9), underscores (_) and dots (.). It must start with a lower-case letter or number, and be between 1 and 40 (inclusive) characters in length.\n*   `taxAndComplianceSettings` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SubscriptionTaxAndComplianceSettings.t`, *default:* `nil`) - Details about taxes and legal compliance.","ref":"GoogleApi.AndroidPublisher.V3.Model.Subscription.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.Subscription.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.Subscription.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.Subscription.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.Subscription.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionCancelSurveyResult","doc":"Information provided by the user when they complete the subscription cancellation flow (cancellation reason survey).","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionCancelSurveyResult.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SubscriptionCancelSurveyResult","doc":"*   `cancelSurveyReason` (*type:* `integer()`, *default:* `nil`) - The cancellation reason the user chose in the survey. Possible values are: 0. Other 1. I don't use this service enough 2. Technical issues 3. Cost-related reasons 4. I found a better app\n*   `userInputCancelReason` (*type:* `String.t`, *default:* `nil`) - The customized input cancel reason from the user. Only present when cancelReason is 0.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionCancelSurveyResult.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionCancelSurveyResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionCancelSurveyResult.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionCancelSurveyResult.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionCancelSurveyResult.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionDeferralInfo","doc":"A SubscriptionDeferralInfo contains the data needed to defer a subscription purchase to a future expiry time.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionDeferralInfo.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SubscriptionDeferralInfo","doc":"*   `desiredExpiryTimeMillis` (*type:* `String.t`, *default:* `nil`) - The desired next expiry time to assign to the subscription, in milliseconds since the Epoch. The given time must be later/greater than the current expiry time for the subscription.\n*   `expectedExpiryTimeMillis` (*type:* `String.t`, *default:* `nil`) - The expected expiry time for the subscription. If the current expiry time for the subscription is not the value specified here, the deferral will not occur.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionDeferralInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionDeferralInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionDeferralInfo.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionDeferralInfo.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionDeferralInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionItemPriceChangeDetails","doc":"Price change related information of a subscription item.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionItemPriceChangeDetails.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SubscriptionItemPriceChangeDetails","doc":"*   `expectedNewPriceChargeTime` (*type:* `DateTime.t`, *default:* `nil`) - The renewal time at which the price change will become effective for the user. This is subject to change(to a future time) due to cases where the renewal time shifts like pause. This field is only populated if the price change has not taken effect.\n*   `newPrice` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Money.t`, *default:* `nil`) - New recurring price for the subscription item.\n*   `priceChangeMode` (*type:* `String.t`, *default:* `nil`) - Price change mode specifies how the subscription item price is changing.\n*   `priceChangeState` (*type:* `String.t`, *default:* `nil`) - State the price change is currently in.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionItemPriceChangeDetails.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionItemPriceChangeDetails.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionItemPriceChangeDetails.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionItemPriceChangeDetails.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionItemPriceChangeDetails.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionListing","doc":"The consumer-visible metadata of a subscription.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionListing.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SubscriptionListing","doc":"*   `benefits` (*type:* `list(String.t)`, *default:* `nil`) - A list of benefits shown to the user on platforms such as the Play Store and in restoration flows in the language of this listing. Plain text. Ordered list of at most four benefits.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description of this subscription in the language of this listing. Maximum length - 80 characters. Plain text.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Required. The language of this listing, as defined by BCP-47, e.g. \"en-US\".\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. The title of this subscription in the language of this listing. Plain text.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionListing.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionListing.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionListing.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionListing.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionListing.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer","doc":"A single, temporary offer","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer","doc":"*   `basePlanId` (*type:* `String.t`, *default:* `nil`) - Required. Immutable. The ID of the base plan to which this offer is an extension.\n*   `offerId` (*type:* `String.t`, *default:* `nil`) - Required. Immutable. Unique ID of this subscription offer. Must be unique within the base plan.\n*   `offerTags` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.OfferTag.t)`, *default:* `nil`) - List of up to 20 custom tags specified for this offer, and returned to the app through the billing library.\n*   `otherRegionsConfig` (*type:* `GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferConfig.t`, *default:* `nil`) - The configuration for any new locations Play may launch in the future.\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - Required. Immutable. The package name of the app the parent subscription belongs to.\n*   `phases` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferPhase.t)`, *default:* `nil`) - Required. The phases of this subscription offer. Must contain at least one entry, and may contain at most five. Users will always receive all these phases in the specified order. Phases may not be added, removed, or reordered after initial creation.\n*   `productId` (*type:* `String.t`, *default:* `nil`) - Required. Immutable. The ID of the parent subscription this offer belongs to.\n*   `regionalConfigs` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferConfig.t)`, *default:* `nil`) - Required. The region-specific configuration of this offer. Must contain at least one entry.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The current state of this offer. Can be changed using Activate and Deactivate actions. NB: the base plan state supersedes this state, so an active offer may not be available if the base plan is not active.\n*   `targeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferTargeting.t`, *default:* `nil`) - The requirements that users need to fulfil to be eligible for this offer. Represents the requirements that Play will evaluate to decide whether an offer should be returned. Developers may further filter these offers themselves.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferPhase","doc":"A single phase of a subscription offer.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferPhase.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferPhase","doc":"*   `duration` (*type:* `String.t`, *default:* `nil`) - Required. The duration of a single recurrence of this phase. Specified in ISO 8601 format.\n*   `otherRegionsConfig` (*type:* `GoogleApi.AndroidPublisher.V3.Model.OtherRegionsSubscriptionOfferPhaseConfig.t`, *default:* `nil`) - Pricing information for any new locations Play may launch in.\n*   `recurrenceCount` (*type:* `integer()`, *default:* `nil`) - Required. The number of times this phase repeats. If this offer phase is not free, each recurrence charges the user the price of this offer phase.\n*   `regionalConfigs` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.RegionalSubscriptionOfferPhaseConfig.t)`, *default:* `nil`) - Required. The region-specific configuration of this offer phase. This list must contain exactly one entry for each region for which the subscription offer has a regional config.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferPhase.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferPhase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferPhase.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferPhase.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferPhase.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferTargeting","doc":"Defines the rule a user needs to satisfy to receive this offer.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferTargeting.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferTargeting","doc":"*   `acquisitionRule` (*type:* `GoogleApi.AndroidPublisher.V3.Model.AcquisitionTargetingRule.t`, *default:* `nil`) - Offer targeting rule for new user acquisition.\n*   `upgradeRule` (*type:* `GoogleApi.AndroidPublisher.V3.Model.UpgradeTargetingRule.t`, *default:* `nil`) - Offer targeting rule for upgrading users' existing plans.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferTargeting.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferTargeting.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferTargeting.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferTargeting.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionOfferTargeting.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPriceChange","doc":"Contains the price change information for a subscription that can be used to control the user journey for the price change in the app. This can be in the form of seeking confirmation from the user or tailoring the experience for a successful conversion.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPriceChange.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SubscriptionPriceChange","doc":"*   `newPrice` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Price.t`, *default:* `nil`) - The new price the subscription will renew with if the price change is accepted by the user.\n*   `state` (*type:* `integer()`, *default:* `nil`) - The current state of the price change. Possible values are: 0. Outstanding: State for a pending price change waiting for the user to agree. In this state, you can optionally seek confirmation from the user using the In-App API. 1. Accepted: State for an accepted price change that the subscription will renew with unless it's canceled. The price change takes effect on a future date when the subscription renews. Note that the change might not occur when the subscription is renewed next.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPriceChange.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPriceChange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPriceChange.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPriceChange.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPriceChange.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchase","doc":"A SubscriptionPurchase resource indicates the status of a user's subscription purchase.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchase.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchase","doc":"*   `acknowledgementState` (*type:* `integer()`, *default:* `nil`) - The acknowledgement state of the subscription product. Possible values are: 0. Yet to be acknowledged 1. Acknowledged\n*   `autoRenewing` (*type:* `boolean()`, *default:* `nil`) - Whether the subscription will automatically be renewed when it reaches its current expiry time.\n*   `autoResumeTimeMillis` (*type:* `String.t`, *default:* `nil`) - Time at which the subscription will be automatically resumed, in milliseconds since the Epoch. Only present if the user has requested to pause the subscription.\n*   `cancelReason` (*type:* `integer()`, *default:* `nil`) - The reason why a subscription was canceled or is not auto-renewing. Possible values are: 0. User canceled the subscription 1. Subscription was canceled by the system, for example because of a billing problem 2. Subscription was replaced with a new subscription 3. Subscription was canceled by the developer\n*   `cancelSurveyResult` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SubscriptionCancelSurveyResult.t`, *default:* `nil`) - Information provided by the user when they complete the subscription cancellation flow (cancellation reason survey).\n*   `countryCode` (*type:* `String.t`, *default:* `nil`) - ISO 3166-1 alpha-2 billing country/region code of the user at the time the subscription was granted.\n*   `developerPayload` (*type:* `String.t`, *default:* `nil`) - A developer-specified string that contains supplemental information about an order.\n*   `emailAddress` (*type:* `String.t`, *default:* `nil`) - The email address of the user when the subscription was purchased. Only present for purchases made with 'Subscribe with Google'.\n*   `expiryTimeMillis` (*type:* `String.t`, *default:* `nil`) - Time at which the subscription will expire, in milliseconds since the Epoch.\n*   `externalAccountId` (*type:* `String.t`, *default:* `nil`) - User account identifier in the third-party service. Only present if account linking happened as part of the subscription purchase flow.\n*   `familyName` (*type:* `String.t`, *default:* `nil`) - The family name of the user when the subscription was purchased. Only present for purchases made with 'Subscribe with Google'.\n*   `givenName` (*type:* `String.t`, *default:* `nil`) - The given name of the user when the subscription was purchased. Only present for purchases made with 'Subscribe with Google'.\n*   `introductoryPriceInfo` (*type:* `GoogleApi.AndroidPublisher.V3.Model.IntroductoryPriceInfo.t`, *default:* `nil`) - Introductory price information of the subscription. This is only present when the subscription was purchased with an introductory price. This field does not indicate the subscription is currently in introductory price period.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This kind represents a subscriptionPurchase object in the androidpublisher service.\n*   `linkedPurchaseToken` (*type:* `String.t`, *default:* `nil`) - The purchase token of the originating purchase if this subscription is one of the following: 0. Re-signup of a canceled but non-lapsed subscription 1. Upgrade/downgrade from a previous subscription For example, suppose a user originally signs up and you receive purchase token X, then the user cancels and goes through the resignup flow (before their subscription lapses) and you receive purchase token Y, and finally the user upgrades their subscription and you receive purchase token Z. If you call this API with purchase token Z, this field will be set to Y. If you call this API with purchase token Y, this field will be set to X. If you call this API with purchase token X, this field will not be set.\n*   `obfuscatedExternalAccountId` (*type:* `String.t`, *default:* `nil`) - An obfuscated version of the id that is uniquely associated with the user's account in your app. Present for the following purchases: * If account linking happened as part of the subscription purchase flow. * It was specified using https://developer.android.com/reference/com/android/billingclient/api/BillingFlowParams.Builder#setobfuscatedaccountid when the purchase was made.\n*   `obfuscatedExternalProfileId` (*type:* `String.t`, *default:* `nil`) - An obfuscated version of the id that is uniquely associated with the user's profile in your app. Only present if specified using https://developer.android.com/reference/com/android/billingclient/api/BillingFlowParams.Builder#setobfuscatedprofileid when the purchase was made.\n*   `orderId` (*type:* `String.t`, *default:* `nil`) - The order id of the latest recurring order associated with the purchase of the subscription. If the subscription was canceled because payment was declined, this will be the order id from the payment declined order.\n*   `paymentState` (*type:* `integer()`, *default:* `nil`) - The payment state of the subscription. Possible values are: 0. Payment pending 1. Payment received 2. Free trial 3. Pending deferred upgrade/downgrade Not present for canceled, expired subscriptions.\n*   `priceAmountMicros` (*type:* `String.t`, *default:* `nil`) - Price of the subscription, For tax exclusive countries, the price doesn't include tax. For tax inclusive countries, the price includes tax. Price is expressed in micro-units, where 1,000,000 micro-units represents one unit of the currency. For example, if the subscription price is €1.99, price_amount_micros is 1990000.\n*   `priceChange` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SubscriptionPriceChange.t`, *default:* `nil`) - The latest price change information available. This is present only when there is an upcoming price change for the subscription yet to be applied. Once the subscription renews with the new price or the subscription is canceled, no price change information will be returned.\n*   `priceCurrencyCode` (*type:* `String.t`, *default:* `nil`) - ISO 4217 currency code for the subscription price. For example, if the price is specified in British pounds sterling, price_currency_code is \"GBP\".\n*   `profileId` (*type:* `String.t`, *default:* `nil`) - The Google profile id of the user when the subscription was purchased. Only present for purchases made with 'Subscribe with Google'.\n*   `profileName` (*type:* `String.t`, *default:* `nil`) - The profile name of the user when the subscription was purchased. Only present for purchases made with 'Subscribe with Google'.\n*   `promotionCode` (*type:* `String.t`, *default:* `nil`) - The promotion code applied on this purchase. This field is only set if a vanity code promotion is applied when the subscription was purchased.\n*   `promotionType` (*type:* `integer()`, *default:* `nil`) - The type of promotion applied on this purchase. This field is only set if a promotion is applied when the subscription was purchased. Possible values are: 0. One time code 1. Vanity code\n*   `purchaseType` (*type:* `integer()`, *default:* `nil`) - The type of purchase of the subscription. This field is only set if this purchase was not made using the standard in-app billing flow. Possible values are: 0. Test (i.e. purchased from a license testing account) 1. Promo (i.e. purchased using a promo code)\n*   `startTimeMillis` (*type:* `String.t`, *default:* `nil`) - Time at which the subscription was granted, in milliseconds since the Epoch.\n*   `userCancellationTimeMillis` (*type:* `String.t`, *default:* `nil`) - The time at which the subscription was canceled by the user, in milliseconds since the epoch. Only present if cancelReason is 0.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchase.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchase.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchase.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchase.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseLineItem","doc":"Item-level info for a subscription purchase.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseLineItem.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseLineItem","doc":"*   `autoRenewingPlan` (*type:* `GoogleApi.AndroidPublisher.V3.Model.AutoRenewingPlan.t`, *default:* `nil`) - The item is auto renewing.\n*   `deferredItemReplacement` (*type:* `GoogleApi.AndroidPublisher.V3.Model.DeferredItemReplacement.t`, *default:* `nil`) - Information for deferred item replacement.\n*   `expiryTime` (*type:* `DateTime.t`, *default:* `nil`) - Time at which the subscription expired or will expire unless the access is extended (ex. renews).\n*   `offerDetails` (*type:* `GoogleApi.AndroidPublisher.V3.Model.OfferDetails.t`, *default:* `nil`) - The offer details for this item.\n*   `prepaidPlan` (*type:* `GoogleApi.AndroidPublisher.V3.Model.PrepaidPlan.t`, *default:* `nil`) - The item is prepaid.\n*   `productId` (*type:* `String.t`, *default:* `nil`) - The purchased product ID (for example, 'monthly001').","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseLineItem.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseLineItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseLineItem.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseLineItem.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseLineItem.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseV2","doc":"Indicates the status of a user's subscription purchase.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseV2.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseV2","doc":"*   `acknowledgementState` (*type:* `String.t`, *default:* `nil`) - The acknowledgement state of the subscription.\n*   `canceledStateContext` (*type:* `GoogleApi.AndroidPublisher.V3.Model.CanceledStateContext.t`, *default:* `nil`) - Additional context around canceled subscriptions. Only present if the subscription currently has subscription_state SUBSCRIPTION_STATE_CANCELED.\n*   `externalAccountIdentifiers` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ExternalAccountIdentifiers.t`, *default:* `nil`) - User account identifier in the third-party service.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - This kind represents a SubscriptionPurchaseV2 object in the androidpublisher service.\n*   `latestOrderId` (*type:* `String.t`, *default:* `nil`) - The order id of the latest order associated with the purchase of the subscription. For autoRenewing subscription, this is the order id of signup order if it is not renewed yet, or the last recurring order id (success, pending, or declined order). For prepaid subscription, this is the order id associated with the queried purchase token.\n*   `lineItems` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseLineItem.t)`, *default:* `nil`) - Item-level info for a subscription purchase. The items in the same purchase should be either all with AutoRenewingPlan or all with PrepaidPlan.\n*   `linkedPurchaseToken` (*type:* `String.t`, *default:* `nil`) - The purchase token of the old subscription if this subscription is one of the following: * Re-signup of a canceled but non-lapsed subscription * Upgrade/downgrade from a previous subscription. * Convert from prepaid to auto renewing subscription. * Convert from an auto renewing subscription to prepaid. * Topup a prepaid subscription.\n*   `pausedStateContext` (*type:* `GoogleApi.AndroidPublisher.V3.Model.PausedStateContext.t`, *default:* `nil`) - Additional context around paused subscriptions. Only present if the subscription currently has subscription_state SUBSCRIPTION_STATE_PAUSED.\n*   `regionCode` (*type:* `String.t`, *default:* `nil`) - ISO 3166-1 alpha-2 billing country/region code of the user at the time the subscription was granted.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Time at which the subscription was granted. Not set for pending subscriptions (subscription was created but awaiting payment during signup).\n*   `subscribeWithGoogleInfo` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SubscribeWithGoogleInfo.t`, *default:* `nil`) - User profile associated with purchases made with 'Subscribe with Google'.\n*   `subscriptionState` (*type:* `String.t`, *default:* `nil`) - The current state of the subscription.\n*   `testPurchase` (*type:* `GoogleApi.AndroidPublisher.V3.Model.TestPurchase.t`, *default:* `nil`) - Only present if this subscription purchase is a test purchase.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseV2.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseV2.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseV2.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseV2.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchaseV2.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesAcknowledgeRequest","doc":"Request for the purchases.subscriptions.acknowledge API.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesAcknowledgeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesAcknowledgeRequest","doc":"*   `developerPayload` (*type:* `String.t`, *default:* `nil`) - Payload to attach to the purchase.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesAcknowledgeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesAcknowledgeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesAcknowledgeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesAcknowledgeRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesAcknowledgeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferRequest","doc":"Request for the purchases.subscriptions.defer API.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferRequest","doc":"*   `deferralInfo` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SubscriptionDeferralInfo.t`, *default:* `nil`) - The information about the new desired expiry time for the subscription.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferResponse","doc":"Response for the purchases.subscriptions.defer API.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferResponse","doc":"*   `newExpiryTimeMillis` (*type:* `String.t`, *default:* `nil`) - The new expiry time for the subscription in milliseconds since the Epoch.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionPurchasesDeferResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionTaxAndComplianceSettings","doc":"Details about taxation, Google Play policy and legal compliance for subscription products.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionTaxAndComplianceSettings.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SubscriptionTaxAndComplianceSettings","doc":"*   `eeaWithdrawalRightType` (*type:* `String.t`, *default:* `nil`) - Digital content or service classification for products distributed to users in the European Economic Area (EEA). The withdrawal regime under EEA consumer laws depends on this classification. Refer to the [Help Center article](https://support.google.com/googleplay/android-developer/answer/10463498) for more information.\n*   `isTokenizedDigitalAsset` (*type:* `boolean()`, *default:* `nil`) - Whether this subscription is declared as a product representing a tokenized digital asset.\n*   `taxRateInfoByRegionCode` (*type:* `%{optional(String.t) => GoogleApi.AndroidPublisher.V3.Model.RegionalTaxRateInfo.t}`, *default:* `nil`) - A mapping from region code to tax rate details. The keys are region codes as defined by Unicode's \"CLDR\".","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionTaxAndComplianceSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionTaxAndComplianceSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionTaxAndComplianceSettings.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionTaxAndComplianceSettings.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SubscriptionTaxAndComplianceSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SystemApkOptions","doc":"Options for system APKs.","ref":"GoogleApi.AndroidPublisher.V3.Model.SystemApkOptions.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SystemApkOptions","doc":"*   `rotated` (*type:* `boolean()`, *default:* `nil`) - Whether to use the rotated key for signing the system APK.\n*   `uncompressedDexFiles` (*type:* `boolean()`, *default:* `nil`) - Whether system APK was generated with uncompressed dex files.\n*   `uncompressedNativeLibraries` (*type:* `boolean()`, *default:* `nil`) - Whether system APK was generated with uncompressed native libraries.","ref":"GoogleApi.AndroidPublisher.V3.Model.SystemApkOptions.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SystemApkOptions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SystemApkOptions.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SystemApkOptions.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SystemApkOptions.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SystemApksListResponse","doc":"Response to list previously created system APK variants.","ref":"GoogleApi.AndroidPublisher.V3.Model.SystemApksListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SystemApksListResponse","doc":"*   `variants` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.Variant.t)`, *default:* `nil`) - All system APK variants created.","ref":"GoogleApi.AndroidPublisher.V3.Model.SystemApksListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SystemApksListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SystemApksListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SystemApksListResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SystemApksListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SystemFeature","doc":"Representation of a system feature.","ref":"GoogleApi.AndroidPublisher.V3.Model.SystemFeature.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SystemFeature","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the feature.","ref":"GoogleApi.AndroidPublisher.V3.Model.SystemFeature.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SystemFeature.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SystemFeature.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SystemFeature.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SystemFeature.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.SystemInitiatedCancellation","doc":"Information specific to cancellations initiated by Google system.","ref":"GoogleApi.AndroidPublisher.V3.Model.SystemInitiatedCancellation.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.SystemInitiatedCancellation","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SystemInitiatedCancellation.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.SystemInitiatedCancellation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.SystemInitiatedCancellation.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.SystemInitiatedCancellation.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.SystemInitiatedCancellation.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.Targeting","doc":"Targeting details for a recovery action such as regions, android sdk levels, app versions etc.","ref":"GoogleApi.AndroidPublisher.V3.Model.Targeting.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.Targeting","doc":"*   `allUsers` (*type:* `GoogleApi.AndroidPublisher.V3.Model.AllUsers.t`, *default:* `nil`) - All users are targeted.\n*   `androidSdks` (*type:* `GoogleApi.AndroidPublisher.V3.Model.AndroidSdks.t`, *default:* `nil`) - Targeting is based on android api levels of devices.\n*   `regions` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Regions.t`, *default:* `nil`) - Targeting is based on the user account region.\n*   `versionList` (*type:* `GoogleApi.AndroidPublisher.V3.Model.AppVersionList.t`, *default:* `nil`) - Target version codes as a list.\n*   `versionRange` (*type:* `GoogleApi.AndroidPublisher.V3.Model.AppVersionRange.t`, *default:* `nil`) - Target version codes as a range.","ref":"GoogleApi.AndroidPublisher.V3.Model.Targeting.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.Targeting.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.Targeting.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.Targeting.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.Targeting.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.TargetingInfo","doc":"Targeting information about the generated apks.","ref":"GoogleApi.AndroidPublisher.V3.Model.TargetingInfo.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.TargetingInfo","doc":"*   `assetSliceSet` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.AssetSliceSet.t)`, *default:* `nil`) - List of created asset slices.\n*   `packageName` (*type:* `String.t`, *default:* `nil`) - The package name of this app.\n*   `variant` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.SplitApkVariant.t)`, *default:* `nil`) - List of the created variants.","ref":"GoogleApi.AndroidPublisher.V3.Model.TargetingInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.TargetingInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.TargetingInfo.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.TargetingInfo.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.TargetingInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.TargetingRuleScope","doc":"Defines the scope of subscriptions which a targeting rule can match to target offers to users based on past or current entitlement.","ref":"GoogleApi.AndroidPublisher.V3.Model.TargetingRuleScope.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.TargetingRuleScope","doc":"*   `specificSubscriptionInApp` (*type:* `String.t`, *default:* `nil`) - The scope of the current targeting rule is the subscription with the specified subscription ID. Must be a subscription within the same parent app.","ref":"GoogleApi.AndroidPublisher.V3.Model.TargetingRuleScope.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.TargetingRuleScope.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.TargetingRuleScope.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.TargetingRuleScope.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.TargetingRuleScope.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.TargetingUpdate","doc":"Update type for targeting. Note it is always a subset Targeting.","ref":"GoogleApi.AndroidPublisher.V3.Model.TargetingUpdate.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.TargetingUpdate","doc":"*   `allUsers` (*type:* `GoogleApi.AndroidPublisher.V3.Model.AllUsers.t`, *default:* `nil`) - All users are targeted.\n*   `androidSdks` (*type:* `GoogleApi.AndroidPublisher.V3.Model.AndroidSdks.t`, *default:* `nil`) - Additional android sdk levels are targeted by the recovery action.\n*   `regions` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Regions.t`, *default:* `nil`) - Additional regions are targeted by the recovery action.","ref":"GoogleApi.AndroidPublisher.V3.Model.TargetingUpdate.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.TargetingUpdate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.TargetingUpdate.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.TargetingUpdate.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.TargetingUpdate.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.TestPurchase","doc":"Whether this subscription purchase is a test purchase.","ref":"GoogleApi.AndroidPublisher.V3.Model.TestPurchase.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.TestPurchase","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.TestPurchase.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.TestPurchase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.TestPurchase.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.TestPurchase.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.TestPurchase.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.Testers","doc":"The testers of an app. The resource for TestersService. Note: while it is possible in the Play Console UI to add testers via email lists, email lists are not supported by this resource.","ref":"GoogleApi.AndroidPublisher.V3.Model.Testers.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.Testers","doc":"*   `googleGroups` (*type:* `list(String.t)`, *default:* `nil`) - All testing Google Groups, as email addresses.","ref":"GoogleApi.AndroidPublisher.V3.Model.Testers.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.Testers.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.Testers.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.Testers.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.Testers.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormat","doc":"Represents texture compression format.","ref":"GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormat.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormat","doc":"*   `alias` (*type:* `String.t`, *default:* `nil`) - Alias for texture compression format.","ref":"GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormat.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormat.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormat.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormat.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormat.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormatTargeting","doc":"Targeting by a texture compression format.","ref":"GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormatTargeting.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormatTargeting","doc":"*   `alternatives` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormat.t)`, *default:* `nil`) - List of alternative TCFs (TCFs targeted by the sibling splits).\n*   `value` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormat.t)`, *default:* `nil`) - The list of targeted TCFs. Should not be empty.","ref":"GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormatTargeting.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormatTargeting.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormatTargeting.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormatTargeting.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormatTargeting.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.Timestamp","doc":"A Timestamp represents a point in time independent of any time zone or local calendar, encoded as a count of seconds and fractions of seconds at nanosecond resolution. The count is relative to an epoch at UTC midnight on January 1, 1970.","ref":"GoogleApi.AndroidPublisher.V3.Model.Timestamp.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.Timestamp","doc":"*   `nanos` (*type:* `integer()`, *default:* `nil`) - Non-negative fractions of a second at nanosecond resolution. Must be from 0 to 999,999,999 inclusive.\n*   `seconds` (*type:* `String.t`, *default:* `nil`) - Represents seconds of UTC time since Unix epoch.","ref":"GoogleApi.AndroidPublisher.V3.Model.Timestamp.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.Timestamp.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.Timestamp.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.Timestamp.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.Timestamp.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.TokenPagination","doc":"Pagination information returned by a List operation when token pagination is enabled. List operations that supports paging return only one \"page\" of results. This protocol buffer message describes the page that has been returned. When using token pagination, clients should use the next/previous token to get another page of the result. The presence or absence of next/previous token indicates whether a next/previous page is available and provides a mean of accessing this page. ListRequest.page_token should be set to either next_page_token or previous_page_token to access another page.","ref":"GoogleApi.AndroidPublisher.V3.Model.TokenPagination.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.TokenPagination","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Tokens to pass to the standard list field 'page_token'. Whenever available, tokens are preferred over manipulating start_index.\n*   `previousPageToken` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.AndroidPublisher.V3.Model.TokenPagination.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.TokenPagination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.TokenPagination.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.TokenPagination.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.TokenPagination.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.Track","doc":"A track configuration. The resource for TracksService.","ref":"GoogleApi.AndroidPublisher.V3.Model.Track.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.Track","doc":"*   `releases` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.TrackRelease.t)`, *default:* `nil`) - In a read request, represents all active releases in the track. In an update request, represents desired changes.\n*   `track` (*type:* `String.t`, *default:* `nil`) - Identifier of the track. Form factor tracks have a special prefix as an identifier, for example `wear:production`, `automotive:production`. [More on track name](https://developers.google.com/android-publisher/tracks#ff-track-name)","ref":"GoogleApi.AndroidPublisher.V3.Model.Track.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.Track.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.Track.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.Track.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.Track.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.TrackConfig","doc":"Configurations of the new track.","ref":"GoogleApi.AndroidPublisher.V3.Model.TrackConfig.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.TrackConfig","doc":"*   `formFactor` (*type:* `String.t`, *default:* `nil`) - Required. Form factor of the new track. Defaults to the default track.\n*   `track` (*type:* `String.t`, *default:* `nil`) - Required. Identifier of the new track. For default tracks, this field consists of the track alias only. Form factor tracks have a special prefix as an identifier, for example `wear:production`, `automotive:production`. This prefix must match the value of the `form_factor` field, if it is not a default track. [More on track name](https://developers.google.com/android-publisher/tracks#ff-track-name)\n*   `type` (*type:* `String.t`, *default:* `nil`) - Required. Type of the new track. Currently, the only supported value is closedTesting.","ref":"GoogleApi.AndroidPublisher.V3.Model.TrackConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.TrackConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.TrackConfig.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.TrackConfig.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.TrackConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.TrackCountryAvailability","doc":"Resource for per-track country availability information.","ref":"GoogleApi.AndroidPublisher.V3.Model.TrackCountryAvailability.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.TrackCountryAvailability","doc":"*   `countries` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.TrackTargetedCountry.t)`, *default:* `nil`) - A list of one or more countries where artifacts in this track are available. This list includes all countries that are targeted by the track, even if only specific carriers are targeted in that country.\n*   `restOfWorld` (*type:* `boolean()`, *default:* `nil`) - Whether artifacts in this track are available to \"rest of the world\" countries.\n*   `syncWithProduction` (*type:* `boolean()`, *default:* `nil`) - Whether this track's availability is synced with the default production track. See https://support.google.com/googleplay/android-developer/answer/7550024 for more information on syncing country availability with production. Note that if this is true, the returned \"countries\" and \"rest_of_world\" fields will reflect the values for the default production track.","ref":"GoogleApi.AndroidPublisher.V3.Model.TrackCountryAvailability.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.TrackCountryAvailability.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.TrackCountryAvailability.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.TrackCountryAvailability.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.TrackCountryAvailability.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.TrackRelease","doc":"A release within a track.","ref":"GoogleApi.AndroidPublisher.V3.Model.TrackRelease.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.TrackRelease","doc":"*   `countryTargeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.CountryTargeting.t`, *default:* `nil`) - Restricts a release to a specific set of countries.\n*   `inAppUpdatePriority` (*type:* `integer()`, *default:* `nil`) - In-app update priority of the release. All newly added APKs in the release will be considered at this priority. Can take values in the range [0, 5], with 5 the highest priority. Defaults to 0. in_app_update_priority can not be updated once the release is rolled out. See https://developer.android.com/guide/playcore/in-app-updates.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The release name. Not required to be unique. If not set, the name is generated from the APK's version_name. If the release contains multiple APKs, the name is generated from the date.\n*   `releaseNotes` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.LocalizedText.t)`, *default:* `nil`) - A description of what is new in this release.\n*   `status` (*type:* `String.t`, *default:* `nil`) - The status of the release.\n*   `userFraction` (*type:* `float()`, *default:* `nil`) - Fraction of users who are eligible for a staged release. 0 < fraction < 1. Can only be set when status is \"inProgress\" or \"halted\".\n*   `versionCodes` (*type:* `list(String.t)`, *default:* `nil`) - Version codes of all APKs in the release. Must include version codes to retain from previous releases.","ref":"GoogleApi.AndroidPublisher.V3.Model.TrackRelease.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.TrackRelease.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.TrackRelease.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.TrackRelease.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.TrackRelease.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.TrackTargetedCountry","doc":"Representation of a single country where the contents of a track are available.","ref":"GoogleApi.AndroidPublisher.V3.Model.TrackTargetedCountry.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.TrackTargetedCountry","doc":"*   `countryCode` (*type:* `String.t`, *default:* `nil`) - The country to target, as a two-letter CLDR code.","ref":"GoogleApi.AndroidPublisher.V3.Model.TrackTargetedCountry.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.TrackTargetedCountry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.TrackTargetedCountry.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.TrackTargetedCountry.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.TrackTargetedCountry.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.TracksListResponse","doc":"Response listing all tracks.","ref":"GoogleApi.AndroidPublisher.V3.Model.TracksListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.TracksListResponse","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - The kind of this response (\"androidpublisher#tracksListResponse\").\n*   `tracks` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.Track.t)`, *default:* `nil`) - All tracks (including tracks with no releases).","ref":"GoogleApi.AndroidPublisher.V3.Model.TracksListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.TracksListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.TracksListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.TracksListResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.TracksListResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.UpdateBasePlanStateRequest","doc":"Request message to update the state of a subscription base plan.","ref":"GoogleApi.AndroidPublisher.V3.Model.UpdateBasePlanStateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.UpdateBasePlanStateRequest","doc":"*   `activateBasePlanRequest` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ActivateBasePlanRequest.t`, *default:* `nil`) - Activates a base plan. Once activated, base plans will be available to new subscribers.\n*   `deactivateBasePlanRequest` (*type:* `GoogleApi.AndroidPublisher.V3.Model.DeactivateBasePlanRequest.t`, *default:* `nil`) - Deactivates a base plan. Once deactivated, the base plan will become unavailable to new subscribers, but existing subscribers will maintain their subscription","ref":"GoogleApi.AndroidPublisher.V3.Model.UpdateBasePlanStateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.UpdateBasePlanStateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.UpdateBasePlanStateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.UpdateBasePlanStateRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.UpdateBasePlanStateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferRequest","doc":"Request message for UpdateSubscriptionOffer.","ref":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferRequest","doc":"*   `allowMissing` (*type:* `boolean()`, *default:* `nil`) - Optional. If set to true, and the subscription offer with the given package_name, product_id, base_plan_id and offer_id doesn't exist, an offer will be created. If a new offer is created, update_mask is ignored.\n*   `latencyTolerance` (*type:* `String.t`, *default:* `nil`) - Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive.\n*   `regionsVersion` (*type:* `GoogleApi.AndroidPublisher.V3.Model.RegionsVersion.t`, *default:* `nil`) - Required. The version of the available regions being used for the subscription_offer.\n*   `subscriptionOffer` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SubscriptionOffer.t`, *default:* `nil`) - Required. The subscription offer to update.\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Required. The list of fields to be updated.","ref":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferStateRequest","doc":"Request message to update the state of a subscription offer.","ref":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferStateRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferStateRequest","doc":"*   `activateSubscriptionOfferRequest` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ActivateSubscriptionOfferRequest.t`, *default:* `nil`) - Activates an offer. Once activated, the offer will be available to new subscribers.\n*   `deactivateSubscriptionOfferRequest` (*type:* `GoogleApi.AndroidPublisher.V3.Model.DeactivateSubscriptionOfferRequest.t`, *default:* `nil`) - Deactivates an offer. Once deactivated, the offer will become unavailable to new subscribers, but existing subscribers will maintain their subscription","ref":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferStateRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferStateRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferStateRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferStateRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionOfferStateRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionRequest","doc":"Request message for UpdateSubscription.","ref":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionRequest","doc":"*   `allowMissing` (*type:* `boolean()`, *default:* `nil`) - Optional. If set to true, and the subscription with the given package_name and product_id doesn't exist, the subscription will be created. If a new subscription is created, update_mask is ignored.\n*   `latencyTolerance` (*type:* `String.t`, *default:* `nil`) - Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive.\n*   `regionsVersion` (*type:* `GoogleApi.AndroidPublisher.V3.Model.RegionsVersion.t`, *default:* `nil`) - Required. The version of the available regions being used for the subscription.\n*   `subscription` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Subscription.t`, *default:* `nil`) - Required. The subscription to update.\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Required. The list of fields to be updated.","ref":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionRequest.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.UpdateSubscriptionRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.UpgradeTargetingRule","doc":"Represents a targeting rule of the form: User currently has {scope} [with billing period {billing_period}].","ref":"GoogleApi.AndroidPublisher.V3.Model.UpgradeTargetingRule.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.UpgradeTargetingRule","doc":"*   `billingPeriodDuration` (*type:* `String.t`, *default:* `nil`) - The specific billing period duration, specified in ISO 8601 format, that a user must be currently subscribed to to be eligible for this rule. If not specified, users subscribed to any billing period are matched.\n*   `oncePerUser` (*type:* `boolean()`, *default:* `nil`) - Limit this offer to only once per user. If set to true, a user can never be eligible for this offer again if they ever subscribed to this offer.\n*   `scope` (*type:* `GoogleApi.AndroidPublisher.V3.Model.TargetingRuleScope.t`, *default:* `nil`) - Required. The scope of subscriptions this rule considers. Only allows \"this subscription\" and \"specific subscription in app\".","ref":"GoogleApi.AndroidPublisher.V3.Model.UpgradeTargetingRule.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.UpgradeTargetingRule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.UpgradeTargetingRule.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.UpgradeTargetingRule.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.UpgradeTargetingRule.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.User","doc":"A user resource.","ref":"GoogleApi.AndroidPublisher.V3.Model.User.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.User","doc":"*   `accessState` (*type:* `String.t`, *default:* `nil`) - Output only. The state of the user's access to the Play Console.\n*   `developerAccountPermissions` (*type:* `list(String.t)`, *default:* `nil`) - Permissions for the user which apply across the developer account.\n*   `email` (*type:* `String.t`, *default:* `nil`) - Immutable. The user's email address.\n*   `expirationTime` (*type:* `DateTime.t`, *default:* `nil`) - The time at which the user's access expires, if set. When setting this value, it must always be in the future.\n*   `grants` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.Grant.t)`, *default:* `nil`) - Output only. Per-app permissions for the user.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. Resource name for this user, following the pattern \"developers/{developer}/users/{email}\".\n*   `partial` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether there are more permissions for the user that are not represented here. This can happen if the caller does not have permission to manage all apps in the account. This is also `true` if this user is the account owner. If this field is `true`, it should be taken as a signal that this user cannot be fully managed via the API. That is, the API caller is not be able to manage all of the permissions this user holds, either because it doesn't know about them or because the user is the account owner.","ref":"GoogleApi.AndroidPublisher.V3.Model.User.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.User.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.User.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.User.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.User.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.UserComment","doc":"User entry from conversation between user and developer.","ref":"GoogleApi.AndroidPublisher.V3.Model.UserComment.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.UserComment","doc":"*   `androidOsVersion` (*type:* `integer()`, *default:* `nil`) - Integer Android SDK version of the user's device at the time the review was written, e.g. 23 is Marshmallow. May be absent.\n*   `appVersionCode` (*type:* `integer()`, *default:* `nil`) - Integer version code of the app as installed at the time the review was written. May be absent.\n*   `appVersionName` (*type:* `String.t`, *default:* `nil`) - String version name of the app as installed at the time the review was written. May be absent.\n*   `device` (*type:* `String.t`, *default:* `nil`) - Codename for the reviewer's device, e.g. klte, flounder. May be absent.\n*   `deviceMetadata` (*type:* `GoogleApi.AndroidPublisher.V3.Model.DeviceMetadata.t`, *default:* `nil`) - Information about the characteristics of the user's device.\n*   `lastModified` (*type:* `GoogleApi.AndroidPublisher.V3.Model.Timestamp.t`, *default:* `nil`) - The last time at which this comment was updated.\n*   `originalText` (*type:* `String.t`, *default:* `nil`) - Untranslated text of the review, where the review was translated. If the review was not translated this is left blank.\n*   `reviewerLanguage` (*type:* `String.t`, *default:* `nil`) - Language code for the reviewer. This is taken from the device settings so is not guaranteed to match the language the review is written in. May be absent.\n*   `starRating` (*type:* `integer()`, *default:* `nil`) - The star rating associated with the review, from 1 to 5.\n*   `text` (*type:* `String.t`, *default:* `nil`) - The content of the comment, i.e. review body. In some cases users have been able to write a review with separate title and body; in those cases the title and body are concatenated and separated by a tab character.\n*   `thumbsDownCount` (*type:* `integer()`, *default:* `nil`) - Number of users who have given this review a thumbs down.\n*   `thumbsUpCount` (*type:* `integer()`, *default:* `nil`) - Number of users who have given this review a thumbs up.","ref":"GoogleApi.AndroidPublisher.V3.Model.UserComment.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.UserComment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.UserComment.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.UserComment.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.UserComment.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.UserCountriesTargeting","doc":"Describes an inclusive/exclusive list of country codes that module targets.","ref":"GoogleApi.AndroidPublisher.V3.Model.UserCountriesTargeting.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.UserCountriesTargeting","doc":"*   `countryCodes` (*type:* `list(String.t)`, *default:* `nil`) - List of country codes in the two-letter CLDR territory format.\n*   `exclude` (*type:* `boolean()`, *default:* `nil`) - Indicates if the list above is exclusive.","ref":"GoogleApi.AndroidPublisher.V3.Model.UserCountriesTargeting.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.UserCountriesTargeting.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.UserCountriesTargeting.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.UserCountriesTargeting.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.UserCountriesTargeting.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.UserCountrySet","doc":"A set of user countries. A country set determines what variation of app content gets served to a specific location.","ref":"GoogleApi.AndroidPublisher.V3.Model.UserCountrySet.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.UserCountrySet","doc":"*   `countryCodes` (*type:* `list(String.t)`, *default:* `nil`) - List of country codes representing countries. A Country code is represented in ISO 3166 alpha-2 format. For Example:- \"IT\" for Italy, \"GE\" for Georgia.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Country set name.","ref":"GoogleApi.AndroidPublisher.V3.Model.UserCountrySet.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.UserCountrySet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.UserCountrySet.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.UserCountrySet.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.UserCountrySet.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.UserInitiatedCancellation","doc":"Information specific to cancellations initiated by users.","ref":"GoogleApi.AndroidPublisher.V3.Model.UserInitiatedCancellation.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.UserInitiatedCancellation","doc":"*   `cancelSurveyResult` (*type:* `GoogleApi.AndroidPublisher.V3.Model.CancelSurveyResult.t`, *default:* `nil`) - Information provided by the user when they complete the subscription cancellation flow (cancellation reason survey).\n*   `cancelTime` (*type:* `DateTime.t`, *default:* `nil`) - The time at which the subscription was canceled by the user. The user might still have access to the subscription after this time. Use line_items.expiry_time to determine if a user still has access.","ref":"GoogleApi.AndroidPublisher.V3.Model.UserInitiatedCancellation.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.UserInitiatedCancellation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.UserInitiatedCancellation.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.UserInitiatedCancellation.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.UserInitiatedCancellation.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.UsesPermission","doc":"A permission used by this APK.","ref":"GoogleApi.AndroidPublisher.V3.Model.UsesPermission.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.UsesPermission","doc":"*   `maxSdkVersion` (*type:* `integer()`, *default:* `nil`) - Optionally, the maximum SDK version for which the permission is required.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the permission requested.","ref":"GoogleApi.AndroidPublisher.V3.Model.UsesPermission.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.UsesPermission.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.UsesPermission.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.UsesPermission.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.UsesPermission.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.Variant","doc":"APK that is suitable for inclusion in a system image. The resource of SystemApksService.","ref":"GoogleApi.AndroidPublisher.V3.Model.Variant.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.Variant","doc":"*   `deviceSpec` (*type:* `GoogleApi.AndroidPublisher.V3.Model.DeviceSpec.t`, *default:* `nil`) - The device spec used to generate the APK.\n*   `options` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SystemApkOptions.t`, *default:* `nil`) - Optional. Options applied to the generated APK.\n*   `variantId` (*type:* `integer()`, *default:* `nil`) - Output only. The ID of a previously created system APK variant.","ref":"GoogleApi.AndroidPublisher.V3.Model.Variant.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.Variant.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.Variant.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.Variant.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.Variant.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.VariantTargeting","doc":"Targeting on the level of variants.","ref":"GoogleApi.AndroidPublisher.V3.Model.VariantTargeting.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.VariantTargeting","doc":"*   `abiTargeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.AbiTargeting.t`, *default:* `nil`) - The abi that the variant targets\n*   `multiAbiTargeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.MultiAbiTargeting.t`, *default:* `nil`) - Multi-api-level targeting\n*   `screenDensityTargeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.ScreenDensityTargeting.t`, *default:* `nil`) - The screen densities that this variant supports\n*   `sdkVersionTargeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.SdkVersionTargeting.t`, *default:* `nil`) - The sdk version that the variant targets\n*   `textureCompressionFormatTargeting` (*type:* `GoogleApi.AndroidPublisher.V3.Model.TextureCompressionFormatTargeting.t`, *default:* `nil`) - Texture-compression-format-level targeting","ref":"GoogleApi.AndroidPublisher.V3.Model.VariantTargeting.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.VariantTargeting.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.VariantTargeting.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.VariantTargeting.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.VariantTargeting.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.VoidedPurchase","doc":"A VoidedPurchase resource indicates a purchase that was either canceled/refunded/charged-back.","ref":"GoogleApi.AndroidPublisher.V3.Model.VoidedPurchase.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.VoidedPurchase","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - This kind represents a voided purchase object in the androidpublisher service.\n*   `orderId` (*type:* `String.t`, *default:* `nil`) - The order id which uniquely identifies a one-time purchase, subscription purchase, or subscription renewal.\n*   `purchaseTimeMillis` (*type:* `String.t`, *default:* `nil`) - The time at which the purchase was made, in milliseconds since the epoch (Jan 1, 1970).\n*   `purchaseToken` (*type:* `String.t`, *default:* `nil`) - The token which uniquely identifies a one-time purchase or subscription. To uniquely identify subscription renewals use order_id (available starting from version 3 of the API).\n*   `voidedQuantity` (*type:* `integer()`, *default:* `nil`) - The voided quantity as the result of a quantity-based partial refund. Voided purchases of quantity-based partial refunds may only be returned when includeQuantityBasedPartialRefund is set to true.\n*   `voidedReason` (*type:* `integer()`, *default:* `nil`) - The reason why the purchase was voided, possible values are: 0. Other 1. Remorse 2. Not_received 3. Defective 4. Accidental_purchase 5. Fraud 6. Friendly_fraud 7. Chargeback\n*   `voidedSource` (*type:* `integer()`, *default:* `nil`) - The initiator of voided purchase, possible values are: 0. User 1. Developer 2. Google\n*   `voidedTimeMillis` (*type:* `String.t`, *default:* `nil`) - The time at which the purchase was canceled/refunded/charged-back, in milliseconds since the epoch (Jan 1, 1970).","ref":"GoogleApi.AndroidPublisher.V3.Model.VoidedPurchase.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.VoidedPurchase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.VoidedPurchase.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.VoidedPurchase.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.VoidedPurchase.html#t:t/0"},{"type":"module","title":"GoogleApi.AndroidPublisher.V3.Model.VoidedPurchasesListResponse","doc":"Response for the voidedpurchases.list API.","ref":"GoogleApi.AndroidPublisher.V3.Model.VoidedPurchasesListResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AndroidPublisher.V3.Model.VoidedPurchasesListResponse","doc":"*   `pageInfo` (*type:* `GoogleApi.AndroidPublisher.V3.Model.PageInfo.t`, *default:* `nil`) - General pagination information.\n*   `tokenPagination` (*type:* `GoogleApi.AndroidPublisher.V3.Model.TokenPagination.t`, *default:* `nil`) - Pagination information for token pagination.\n*   `voidedPurchases` (*type:* `list(GoogleApi.AndroidPublisher.V3.Model.VoidedPurchase.t)`, *default:* `nil`) -","ref":"GoogleApi.AndroidPublisher.V3.Model.VoidedPurchasesListResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AndroidPublisher.V3.Model.VoidedPurchasesListResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AndroidPublisher.V3.Model.VoidedPurchasesListResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AndroidPublisher.V3.Model.VoidedPurchasesListResponse.t/0","doc":"","ref":"GoogleApi.AndroidPublisher.V3.Model.VoidedPurchasesListResponse.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}